Proficy Historian - IPI

Historian
Important Product Information


PA 4.2.1 Known Issues

Historian 3.0 Known Issuess

^Bug #^,^Description^,^Problem Area^,^Title^


^Bug #^,^Description^,^Problem Area^,^Title^


PA 4.2.1 System Req.

Collectors

The following collectors are available for Historian 3.0:

  • OPC Alarm and Events
  • CIMPLICITY View
  • CIMPLICITY PE
  • iFIX
  • OPC
  • OSI PI (Collector and Distributor)
  • Simulation
  • Calculation
  • Server-to-Server
  • File


Historian 3.0 New Features

Historian Stories

Alarm and Event Archiving

Historian now supports alarm and event collection, archiving, and archive management. For more information, refer to the Historian Alarms and Events topic in the Historian documentation.

Server High Availability

Historian allows for multiple Historian data archives to be configured through Microsoft Cluster Server, in order to ensure redundancy.

For more information, refer to the Using the Historian Administrator section in the Historian E-Book.

Collector High Availability

Historian 3.0 allows for multiple redundant collectors to run with a single Historian data archive, to ensure data collection runs uninterrupted.

For more information, refer to the Using the Historian Administrator section in the Historian E-Book.

OPC Alarm & Event Collection

Historian 3.0 includes support for Alarm and Event collection through an OPC Alarm & Event server. For more information, refer to the Historian Alarms and Events section in the Historian documentation.

Alarm and Event Calculation Collector

The Calculation collector in Historian 3.0 has been enhanced to support calculation of alarm and event data.

For more information, refer to the Historian Data Collector section in the Historian E-Book.

Custom Calculation Library

The Calculation collector in Historian 3.0 has been enhanced to support the creation and use of custom calculation functions.

For more information, refer to the Historian Data Collectors section of the Historian E-Book.

Excel Alarm & Event Client

The Excel Add-In in Historian 3.0 has been enhanced to include support for analysis of Alarm and Event data.

For more information, refer to the Historian Alarms and Events section of the Historian E-Book.

Alarm and Event OLEDB Client

The OLEDB provider in Historian 3.0 has been enhanced to support direct querying of alarm and event data.

For more information, refer to the Using the Historian OLE DB Provider section in the Historian E-Book.

iFIX Alarm and Event Migration Tool

Historian 3.0 includes a Migration tool to migrate alarm and event data from an iFIX SCADA system to Historian 3.0.

For more information, refer to the Migrating to Historian section of the Historian E-Book.

Alarm and Event support for Server-to-Server collector

Historian 3.0 supports the transfer of alarm data between Historian servers using the Server to Server collector.

For more information, refer to the Historian Data Collectors section of the Historian E-Book.

OSI PI Distributor

Historian allows you to export process data from an Historian archive, to an OSI PI archive through the OSI PI Distributor.

For more information, refer to the Data Collectors section of the Historian E-Book.

OSI PI Collector

Historian allows you to collect process data from an OSI PI archive, and store it in Historian through the OSI PI Collector.

For more information, refer to the Data Collectors section of the Historian E-Book.

Hierarchical OPC Tag Browsing

Historian 3.0 offers progressive browsing through an hierarchical OPC tree, rather than through a flat list. This improves response time when browsing tags on an OPC data source, as only a small subset of data is passed to the browse at any given time.

For more information, refer to the Historian Data Collectors section in the Historian E-Book.

OLEDB Query Parameters

The OLEDB Query Parameters feature allows for the insertion of parameters within a SQL query, which are substituted with data at the query run-time. This feature allows you to create 'template'-style SQL queries that can be reused with different data.

For more information, refer to the Using the Historian OLE DB Provider section in the Historian E-Book.

Remote Storage

Historian 3.0 supports the use of remote storage for online and backup archive files. This includes the use of Storage Area Networks, Network Attached Storage and Windows shares.

For more information, refer to the Using the Historian Administrator section of the Historian E-Book.

Spike Logic

Historian 3.0 includes support in the Admin tool for configuring spike logic, to create a more accurate picture of interpolated data.

For more information, refer to the Using the Historian Administrator section of the Historian E-Book.

Faster collector reload

Historian 3.0 collectors have been optimized for a faster reload time when configuration changes have been made.

Absolute Collector Deadbands

Historian 3.0 includes support for absolute collector deadbands, in addition to percent collector deadbands. This allows users to specify an absolute engineering value for collector compression.

For more information, refer to the Using the Historian Administrator section in the Historian E-Book.

Absolute archive deadbands

Historian 3.0 includes support for absolute archive deadbands, in addition to percent archive deadbands. This allows users to specify an absolute engineering value for archive compression.

For more information, refer to the Using the Historian Administrator section in the Historian E-Book.

Windows Server 2003 Support

Historian now supports Microsoft Windows Server 2003.

Configurable Timeout

The connection timeout for the Historian non-web administrator and other client tools is now configurable in the Historian Administrator.

For more information, refer to the Using the Historian Administrator section of the Historian E-Book.

Audit data changes

Changes in Historian data can now be audited through the Generate Message on Data Update feature.

For more information, refer to the Using the Historian Administrator section of the Historian E-Book.

CIMPLICITY Collector

The CIMPLICITY Data Collector allows for efficient communication between Historian 3.0 and CIMPLICITY 5.0 and above.

The CIMPLICITY Data Collector installs as an option in your project. It uses the Point Management API to retrieve data from a running CIMPLICITY project.

Refer to the following for more information:

  • CIMPLICITY Data Collector topic in the Historian E-Book.
  • Historian 3.0 Release Notes

Query Raw Data in Excel Add-In

The Excel Add-In in Historian 3.0 supports exporting raw data. Both process data, as well as alarm and event data, can be exported through the Query Raw Data dialog box.

For more information, refer to the Using the Historian Excel Add-In section of the Historian E-Book.

Write Data to an Arbitrary Tag

The calculation collector now supports writing data to an arbitrary tag in the archive, through the HistorianUtils.AddData function.

For more information, refer to the Historian Data Collectors section in the Historian E-Book

New Compression Algorithm

Historian 3.0 makes use of a new archive compression algorithm. This new algorithm is more efficient than the algorithm used in iHistorian 2.0, and will result in more compact archives without data loss.

ihReaders group included in all groups

All security groups now also include the ihReaders group's permissions. This includes the ability to read data and system statistics and use the Historian Administrator.


Historian 3.0 Fixed Defects

^Bug #^,^Description^,^Problem Area^,^Title^ ^44361^,^During installation iH 2.0 on Windows XP Pro, SP1, English + MVI Russian (or Russian Edition) ODBC drivers are deleted from the Windows Registry. This was a Microsoft problem. Microsoft has released an update to the Microsoft Data Access Components (MDAC) which corrects an installation problem when installing on Windows XP. The error causes the removal of all ODBC data sources configured for the machine.^,^Install^,^Installing iHistorian v. 2.0 on non-English XP removes all ODBC drivers^ ^44364^,^In the iHistorian 2.0 (and 1.0) admin utiliities, if there is an invalid path defined in the "Default Archive Path" or "Default Backup Path", then the user can not longer click on the browse button to the right of these fields and select a new valid path. They have to manually type in a valid path first in order to get the button to work again.^,^Admin UI - NonWeb^,^"Default Archive Path" browse not working (273966)^ ^44368^,^Polled calculation tags will poll faster than configured when the result variable is not set in the formula.^,^Collector - Calculation^,^Calculation tag poll time ignored if Result = null (271042)^ ^44371^,^In the non web admin program, if you go to restore an archive from backup and use the ... to browse for the location of the archive because it is not in the default directory, the file name gets updated, but the file location does not. You have to go in and browse again for a second time and then the location will be updated.^,^Admin UI - General^,^iHistorian Administrator "Restore an Archive from Backup" (273700)^ ^44372^,^Adding collector with number only for a collector name removes all collectors from configuration. ^,^Collector - Generic^,^Problem with collector name starting with a number (274486)^ ^44373^,^If you accidentally created a tagname of zero length, you are unable to delete it in the admin UI^,^Collector - Calculation^,^Unable to delete a blank tagname (270706)^ ^44374^,^The search tag form list of found tags gets smaller each time the "Tag description" button is clicked.^,^EXCEL Add-In^,^Text list box gets smaller and smaller (273398)^ ^44376^,^Trouble getting the provider schema from some OLEDB clients^,^OLEDB^,^Can't get schema using multithreaded OLE DB Application (273391)^ ^44377^,^The Tag.CopyTag was not in the SDK help. At least one customer had to ask about the proper usage.^,^DOC: SDK Help^,^Tag.CopyTag method needs to be added to SDK help^ ^44378^,^Documentation did not explain that this is designed behavior. Nothing entered into the "Nodes to browse" list in the admin UI for iFIX collector browses every reachable iFIX or FIX32 node. After reviewing this with engineering we agree that this is preferred behavior as this is the only way to browse all nodes with out manual entering all nodes in the remote nodes list.^,^DOC: E-Book^,^iFIX collector Empty nodes to browse list browses all nodes (274797)^ ^44384^,^When doing a maintenance mode install to add a component like Excel Add in, the user is prompted with "You have a 1.0 SIM installed , a 1.0 SIM has been detected please uninstall"^,^Install^,^iHistorian 2.0 - "A 1.0 SIM has been detected" (277779)^ ^44392^,^iHistorian Web Administrator has trouble with tagnames containing Swedish characters. The tag cannot be fetched for detailed tag property configuration. Swedish characters in the tag description work fine. ^,^Admin UI - Web^,^Web Adminstrator cannot configure tags with Swedish characters (272384)^ ^44394^,^Comments with millisecond precision timestamp added to a tag with seconds time resolution causes data overwrite.^,^Server^,^Adding annotations with milliseconds not working on tags with seconds (267073)^ ^44397^,^If you have a time gap between archives, meaning the 2nd archive start time is NOT 1st archive end time + 1 millisec then interpolated retrieval can fail. ^,^Server^,^Interpolated retrieval does not work when gap between archives^ ^44575^,^Documentation says maximum recovery time for Server to Server collector is 4 hours. This is a documentation bug, there is no upper limit to the recovery time. ^,^Collector - Server-To-Server^,^Documentation says maximum recovery time is 4 Hours (289079)^ ^44579^,^User was not clear that a project reference is needed to the Historian SDK to use it in Visual Basic^,^DOC: E-Book^,^How to program against Historian SDK not clear in Help ^ ^44586^,^No samples returned from filtered data query of data tag of scaled data type. Data is returned for a non-filtered query. Issue occurs when data tag is scaled data type, not the filter tag.^,^Server^,^No samples returned from filtered data query of scaled data type (261483)^ ^44587^,^Some Excel add-in queries using lab sampling mode are not returning any values. ^,^Server^,^Some Excel add-in queries using lab sampling not returning values (274472)^ ^44588^,^Excel becomes locked up and will not shut down while executing a certain filtered data query. ^,^EXCEL Add-In^,^Excel lock up while executing filtered data query (273496)^ ^44589^,^When you browse and pick tags for the CIMPLICITY HMI collector, the interface name was set properly but the collector type was not. As a result, the tags would not be collected.^,^SDK^,^Tags added via SDK with collector type other (275463)^ ^44590^,^An option was added to ihArchiveBackup to be able to backup the IHC file^,^Security^,^User cannot backup the IHC file without shutting down the archiver (270706)^ ^44592^,^Corruption in IHC files, showing mostly after archiver restart due to PC reboot or just because of service restart.^,^Server^,^Corruption in IHC files due to archvier restart (270706)^ ^44593^,^The Server to Server collector sends data during recovery that was already sent if you do not have at least 1 result=CurrentValue(TriggerTag)calculation function^,^Collector - Server-To-Server^,^Server to Server collector sends data on recovery already sent (269864)^ ^44594^,^Polled calculation tags will poll faster than configured when the result variable is not set in the formula. Specifically, if you do not set "result = " in your formula then the poll cycles will be 100 milliseconds even if you configured 5 second poll times^,^Collector - Calculation^,^Polled calculation tags poll faster than configured (271042)^ ^44595^,^DataArchiver service crashes when checking security on a large network of domain controllers^,^Server^,^DataArchiver crashes when checking security on a large network (276233, 275045)^ ^44596^,^OLEDB Filtered data query where filtervalue contains more than one consecutive space does not return any results. Filter values with only one space in work fine^,^OLEDB^,^OLEDB provider does not handle repeated spaces in filtervalue (276227)^ ^44597^,^Excel Add in consumes a Client Access License (CAL) at Excel startup, even if you never query data. This behavior is now configurable^,^EXCEL Add-In^,^Excel Add-In uses Client Access License at startup (270167)^ ^44598^,^Backup of the ihc was writing over the original ihc if the Archive path and Default archive path are the same. Now the backup will fail.^,^Archive Backup & Restore^,^Backup of the ihc writing over the original ihc (271471)^ ^44599^,^Calculation formulas containing ^ exponential character do not export and import correctly.^,^EXCEL Add-In^,^Export and import of calculation formula with caret fails (271507)^ ^44600^,^User allowed to delete data outside of active hours time range even though they are not allowed to write data. The meaning of active hours is that the data should be read only after that time.^,^Server^,^User allowed to delete data outside of active hours time range (273438)^ ^44601^,^Calculated average on tag of scaled data type did not work. For some reason, it showed up in queries working in Excel but not in OLEDB.^,^Server^,^Calculated average not returned for tag of scaled data type (275803)^ ^44602^,^OPC collector treats server item handles of 0 as bad data quality. At least one OPC server uses a server item handle of zero. This is rare, but allowed by the OPC specification and it is not handled by the collector. This only affects polled tags.^,^Collector - OPC^,^OPC Collector Cannot Collect data when server handle is 0 (276761)^ ^44603^,^Total Time Good calculation mode cannot be used in a calculation formula of a calculation or server to server tag^,^Collector - Calculation^,^Total Time Good calculation mode cannot be used in a calculation (277205)^ ^44604^,^Server to Server Recovery very slow when you have a large number of tags to recover and unevenly spaced data^,^Collector - Server-To-Server^,^Slow Server to Server Recovery (275995A)^ ^44605^,^Backup of IHA can overwrite existing IHA and cause archive corruption. Now the backup will fail^,^Server^,^Backup of IHA can overwrite existing IHA and cause archive corruption (278096)^ ^44606^,^Scheduled archive backup can occasionally fail because ihArchiveBackup.exe requires a CAL and it is possible that no CALs are available at backup time.^,^Archive Backup & Restore^,^ihArchiveBackup fails due to no Client Access License Available (278576 )^ ^44607^,^The data archiver can produce corrupted archives while storing data."Corrupted" means you have a failure to retreive data that was successfully collected.^,^Server^,^Archive Corruption on Operating System shutdown (273653)^ ^44608^,^Collector has overruns and therefore loses new data when flushing old store and forward data in parallel with new collection^,^Collector - Simulation^,^Collector Overruns during flush of store and forward data (278821)^ ^44609^,^User cannot create more than 100 non simultaneous connections to OLEDB provider when using ADO client side cursor. Server side cursor works fine.^,^OLEDB^,^ADO Client Side Cursor leaks connections (278733)^ ^44610^,^OLEDB queries would take much longer on German OS same query much faster on english The workaround before the change was to ALWAYS specify milliseconds on your timestamps. But this is not always possible in tools like Crystal Reports where the SQL command is not under your control. ^,^OLEDB^,^Slow OLE DB queries when running on German operating system (277222)^ ^44611^,^On the fly changes do not work when the OPC server uses group handles that are 0 At least one OPC server uses a group handle equal to zero. This is rare, but allowed by the OPC specification and it is not handled by the collector.^,^Collector - OPC^,^OPC Collector does not reload when group handle is zero (280210)^ ^44614^,^User sees "-1.#J." returned in ihSQL when querying for standard deviation of an unchanging number^,^Server^,^Incorrect value returned for standard deviation of non changing value (279420)^ ^44615^,^Ref Edit broken in Excel Add-in Search Tags form^,^EXCEL Add-In^,^Cell Reference box broken in Excel Add In Search Tags (281294)^ ^44616^,^Incorrect function created for daily averages. Request 30 samples and only get back one sample^,^EXCEL Add-In^,^Wrong number of samples returned from calculated average (279662)^ ^44617^,^MinTime calculation mode did not work in VBScript in the Calculation or Server to Server collector^,^Collector - Calculation^,^MinTime calculation mode did not work in Calculation collector (280644)^ ^44618^,^Comment "stored on timestamp" property was not being set to the real world time that comment was added. StoredOnTimeStamp should be the time that the comment is added. The time is grabbed on the client side before the comment is added.^,^Server^,^Comment StoredOnTimestamp wrong (282608)^ ^44619^,^Certain Kanji Characters in tagnames would cause the archiver to crash on tag add. In this specific case, the customer would browse an OPC server with kanji item names and pick tags to add to iHistorian. That tag add would cause archiver to crash.^,^Server^,^Certain Kanji Characters in tagnames would cause the archiver to crash (279893)^ ^44620^,^iHistorian administrator allows connection by user with locked OS account if no username and password specified. If a username and password are specified, then the user is correctly rejected.^,^Security^,^User with locked account is able to connect to archiver (282168)^ ^44621^,^Archiver would shutdown on customer machine when migrating classic historian files^,^Server^,^Archiver crash during data migration on fast customer machine (282151)^ ^44622^,^Lab sampling mode did not work with user api. Other sampling and calculation modes work fine.^,^API^,^Lab sampling mode did not work with User API (284331)^ ^44623^,^Selecting one tag in Search Tags dialog of Excel Add in selects 2 others^,^EXCEL Add-In^,^Multi select problem in Excel Add In Search Tags dialog (282393)^ ^44624^,^message and data query fails when you have 2 current archives due to migration^,^Server^,^Message and Data query failure when 2 archives are current (283651)^ ^44625^,^Interpolated query using certain intervals on scaled data type tag returns bad data quality^,^Server^,^Interpolated query of scaled data type tag returns bad quality (282024)^ ^44627^,^Excel AddIn on German Office and German Windows 2000 gives message box "Not present in home location" when open a spreadsheet with updating links like current value^,^EXCEL Add-In^,^"Not Present in home location" Excel error on German (283212)^ ^44628^,^OPC Collector cannot browse read/write items in an OPC server. Can only browse items that are readable only.^,^Collector - OPC^,^OPC Collector cannot browse read/write items in some servers (284741)^ ^44629^,^Data samples for a tag that are out of time order should avoid archive compression^,^Server^,^Archive compression does not pass through out of time order data (284921)^ ^44630^,^When copying tags through the Web Administrator UI, even with Electronic Signatures enabled, the Electronic signature prompt is not evoked. The non-web admin shows the esig dialog on copy tag. The web admin shows the dialog in other actions like adding a tag.^,^Admin UI - Web^,^Copy Tag in Web Administrator does not require Electronic Signature (286075)^ ^44631^,^Calculation collector cannot access points with read tag level security. Now it can read data from these tags and use the data in calculations.^,^Collector - Calculation^,^Calculation collector cannot access points with read tag level security (287088)^ ^44632^,^Calculation Collector ignores collector compression for some polled tags resulting in too many samples stored.^,^Collector - Calculation^,^Calculation Collector ignores collector compression on some polled tags (280207^ ^44633^,^CIMPLICITY User Quality Flags are not taken into account by the PE Native Collector when converting data quality to an OPC quality/subquality^,^Collector - Cimplicity^,^CIMPLICITY HMI collector user flags (286551)^ ^44965^,^Two values shown in query after write^,^Server^,^SDK write shows 2 values for the same time stamp (291128)^ ^45424^,^User cannot use millisecond precision for start and end time of query in the Excel add in. One result of this is that you cannot query where start and end time are in the same second. You can query using OLEDB.^,^EXCEL Add-In^,^Excel Add In cannot use milliseconds on start or end time (1-22671501)^ ^45425^,^Memory leak with file collector or SDK import when numbers do not contain a decimal point.^,^SDK^,^Memory leak with file collector and SDK import if number has no decimal (288320)^ ^45426^,^OPC collector cannot browse Delta V OPC server^,^Collector - OPC^,^OPC collector cannot browse Delta V OPC server (292617)^ ^45427^,^First polled read of OPC collector is DEVICE even when configured to do CACHE reads^,^Collector - OPC^,^OPC collector does first polled DEVICE read (289803, 293315, 291198)^ ^45428^,^RTIP server (tomcat.exe) would crash on rapid connects and disconnects. This happened most often when an invalid server or invalid username was configured.^,^API^,^RTIP server (tomcat.exe) crash on rapid connect disconnect (291501)^ ^45429^,^Historian API handle and memory leak on failed connect.^,^API^,^Historian API handle and memory leak on failed connect (289309)^ ^45430^,^Comments are not returned when doing filtered data query even when requested ^,^Server^,^Comments are not returned when doing filtered data query (290569)^ ^45677^,^Audit trail of replaced data missing timestamp of replaced sample. The message still contains the timestamp the replace was done, now also the timestamp of the replaced sample^,^Server^,^Audit Trail missing timestamp of replaced sample (1-24145305)^ ^45679^,^Excel Add-in erroneously displays "EstimateNumberofSamples divide by 0" dialog when executing calculated queries. ^,^EXCEL Add-In^,^"EstimateNumberOfSamples divide by 0" message in Excel (1-22671501A)^ ^45776^,^Data archiver can crash when reading comments from a corrupted archive^,^Server^,^Data archiver crash when reading comments (1-17284259) ^ ^45941^,^After many connection losses from collector to data archiver the collector may fail to reconnect.^,^API^,^Collector will occasionally not reconnect to archiver (1-19894001)^ ^45942^,^Some comments imported via the file collector cannot be retrieved. The problem happened when the tag was set for millisecond timestamp precision.^,^Server^,^Failure to retrieve comments stored via file collector (1-17284259)^


^Bug #^,^Description^,^Problem Area^,^Title^
^44361^,^During installation iH 2.0 on Windows XP Pro, SP1,  English + MVI Russian (or Russian Edition) ODBC drivers are deleted from the Windows Registry.

This was a Microsoft problem.

Microsoft has released an update to the Microsoft Data Access Components (MDAC) which corrects an installation problem when installing on Windows XP.  The error causes the removal of all ODBC data sources configured for the machine.^,^Install^,^Installing iHistorian v. 2.0 on non-English XP removes all ODBC drivers^
^44364^,^In the iHistorian 2.0 (and 1.0) admin utiliities, if there is an invalid path defined in the "Default Archive Path" or "Default Backup Path", then the user can not longer click on the browse button to the right of these fields and select a new valid path.  They have to manually type in a valid path first in order to get the button to work again.^,^Admin UI - NonWeb^,^"Default Archive Path" browse not working (273966)^
^44368^,^Polled calculation tags will poll faster than configured when the result variable is not set in the formula.^,^Collector - Calculation^,^Calculation tag poll time ignored if Result = null    (271042)^
^44371^,^In the non web admin program, if you go to restore an archive from backup and use the ... to browse for the location of the archive because it is not in the default directory, the file name gets updated, but the file location does not.  You have to go in and browse again for a second time and then the location will be updated.^,^Admin UI - General^,^iHistorian Administrator "Restore an Archive from Backup" (273700)^
^44372^,^Adding collector with number only for a collector name removes all collectors from configuration.

^,^Collector - Generic^,^Problem with collector name starting with a number (274486)^
^44373^,^If you accidentally created a tagname of zero length, you are unable to delete it in the admin UI^,^Collector - Calculation^,^Unable to delete a blank tagname  (270706)^
^44374^,^The search tag form list of found tags gets smaller each time the "Tag description" button is clicked.^,^EXCEL Add-In^,^Text list box gets smaller and smaller  (273398)^
^44376^,^Trouble getting the provider schema from some OLEDB clients^,^OLEDB^,^Can't get schema using multithreaded OLE DB Application (273391)^
^44377^,^The Tag.CopyTag was not in the SDK help.  At least one customer had to ask about the proper usage.^,^DOC:  SDK Help^,^Tag.CopyTag method needs to be added to SDK help^
^44378^,^Documentation did not explain that this is designed behavior.  Nothing entered into the "Nodes to browse" list in the admin UI for iFIX collector browses every reachable iFIX or FIX32 node.

After reviewing this with engineering we agree that this is preferred behavior as this is the only way to browse all nodes with out manual entering all nodes in the remote nodes list.^,^DOC: E-Book^,^iFIX collector Empty nodes to browse list browses all nodes  (274797)^
^44384^,^When doing a maintenance mode install to add a component like Excel Add in, the user is prompted with
"You have a 1.0 SIM installed , a 1.0 SIM has been detected please uninstall"^,^Install^,^iHistorian 2.0 -  "A 1.0 SIM has been detected" (277779)^
^44392^,^iHistorian Web Administrator has trouble with tagnames containing Swedish characters. The tag cannot be fetched for detailed tag property configuration.  Swedish characters in the tag description work fine.
^,^Admin UI - Web^,^Web Adminstrator cannot configure tags with Swedish characters (272384)^
^44394^,^Comments with millisecond precision timestamp added to a tag with seconds time resolution causes data overwrite.^,^Server^,^Adding annotations with milliseconds not working on tags with seconds (267073)^
^44397^,^If you have a time gap between archives, meaning the 2nd archive start time is NOT 1st archive end time + 1 millisec then interpolated retrieval can fail.  ^,^Server^,^Interpolated retrieval does not work when gap between archives^
^44575^,^Documentation says maximum recovery time for Server to Server collector is 4 hours.  This is a documentation bug, there is no upper limit to the recovery time. ^,^Collector - Server-To-Server^,^Documentation says maximum recovery time is 4 Hours (289079)^
^44579^,^User was not clear that a project reference is needed to the Historian SDK to use it in Visual Basic^,^DOC: E-Book^,^How to program against Historian SDK not clear in Help ^
^44586^,^No samples returned from filtered data query of data tag of scaled data type.  Data is returned for a non-filtered query.  Issue occurs when data tag is scaled data type, not the filter tag.^,^Server^,^No samples returned from filtered data query of scaled data type (261483)^
^44587^,^Some Excel add-in queries using lab sampling mode are not returning any values. ^,^Server^,^Some Excel add-in queries using lab sampling not returning values (274472)^
^44588^,^Excel becomes locked up and will not shut down while executing a certain filtered data query. ^,^EXCEL Add-In^,^Excel lock up while executing filtered data query (273496)^
^44589^,^When you browse and pick tags for the CIMPLICITY HMI collector, the interface name was set properly but the collector type was not.  As a result, the tags would not be collected.^,^SDK^,^Tags added via SDK with collector type other (275463)^
^44590^,^An option was added to ihArchiveBackup to be able to backup the IHC file^,^Security^,^User cannot backup the IHC file without shutting down the archiver (270706)^
^44592^,^Corruption in IHC files, showing mostly after archiver restart	due to PC reboot or just because of service restart.^,^Server^,^Corruption in IHC files due to archvier restart (270706)^
^44593^,^The Server to Server collector sends data during recovery that was already sent if you do not have at least 1 result=CurrentValue(TriggerTag)calculation function^,^Collector - Server-To-Server^,^Server to Server collector sends data on recovery already sent (269864)^
^44594^,^Polled calculation tags will poll faster than configured when the result variable is not set in the formula.

Specifically, if you do not set "result = " in your formula then the poll cycles will be 100 milliseconds even if you configured 5 second poll times^,^Collector - Calculation^,^Polled calculation tags poll faster than configured (271042)^
^44595^,^DataArchiver service crashes when checking security on a large network of domain controllers^,^Server^,^DataArchiver crashes when checking security on a large network (276233, 275045)^
^44596^,^OLEDB Filtered data query where filtervalue contains more than one consecutive space does not return any results.  Filter values with only one space in work fine^,^OLEDB^,^OLEDB provider does not handle repeated spaces in filtervalue (276227)^
^44597^,^Excel Add in consumes a Client Access License (CAL) at Excel startup, even if you never query data.  This behavior is now configurable^,^EXCEL Add-In^,^Excel Add-In uses Client Access License at startup (270167)^
^44598^,^Backup of the ihc was writing over the original ihc if the Archive path and Default archive path are the same.  Now the backup will fail.^,^Archive Backup & Restore^,^Backup of the ihc writing over the original ihc (271471)^
^44599^,^Calculation formulas containing &#94; exponential character do not export and import correctly.^,^EXCEL Add-In^,^Export and import of calculation formula with caret fails (271507)^
^44600^,^User allowed to delete data outside of active hours time range even though they are not allowed to write data.  The meaning of active hours is that the data should be read only after that time.^,^Server^,^User allowed to delete data outside of active hours time range (273438)^
^44601^,^Calculated  average on tag of scaled data type did not work.  For some reason, it showed up in queries working in Excel but not in OLEDB.^,^Server^,^Calculated average not returned for tag of scaled data type (275803)^
^44602^,^OPC collector treats server item handles of 0 as bad data quality. At least one OPC server uses a server item handle of zero.  This is rare, but allowed by the OPC specification and it is not handled by the collector.

This only affects polled tags.^,^Collector - OPC^,^OPC Collector Cannot Collect data when server handle is 0 (276761)^
^44603^,^Total Time Good calculation mode cannot be used in a calculation formula of a calculation or server to server tag^,^Collector - Calculation^,^Total Time Good calculation mode cannot be used in a calculation (277205)^
^44604^,^Server to Server Recovery very slow when you have a large number of tags to recover and unevenly spaced data^,^Collector - Server-To-Server^,^Slow Server to Server Recovery (275995A)^
^44605^,^Backup of IHA can overwrite existing IHA and cause archive corruption.  Now the backup will fail^,^Server^,^Backup of IHA can overwrite existing IHA and cause archive corruption  (278096)^
^44606^,^Scheduled archive backup can occasionally fail because ihArchiveBackup.exe requires a CAL and it is possible that no CALs are available at backup time.^,^Archive Backup & Restore^,^ihArchiveBackup fails due to no Client Access License Available (278576 )^
^44607^,^The data archiver can produce corrupted archives while storing data."Corrupted" means you have a failure to retreive data that was successfully collected.^,^Server^,^Archive Corruption on Operating System shutdown (273653)^
^44608^,^Collector has overruns and therefore loses new data when flushing old store and forward data in parallel with new collection^,^Collector - Simulation^,^Collector Overruns during flush of store and forward data (278821)^
^44609^,^User cannot create more than 100 non simultaneous connections to OLEDB provider when using ADO client side cursor.  Server side cursor works fine.^,^OLEDB^,^ADO Client Side Cursor leaks connections (278733)^
^44610^,^OLEDB queries would take much longer on German OS same query much faster on english

The workaround before the change was to ALWAYS specify milliseconds on your timestamps. But this is not always possible in tools like Crystal Reports where the SQL command is not under your control.
^,^OLEDB^,^Slow OLE DB queries when running on German operating system (277222)^
^44611^,^On the fly changes do not work when the OPC server uses group handles that are 0

At least one OPC server uses a group handle equal to zero.  This is rare, but allowed by the OPC specification and it is not handled by the collector.^,^Collector - OPC^,^OPC Collector does not reload when group handle is zero (280210)^
^44614^,^User sees "-1.#J." returned in ihSQL when querying for standard deviation of an unchanging number^,^Server^,^Incorrect value returned for standard deviation of non changing value (279420)^
^44615^,^Ref Edit broken in Excel Add-in Search Tags form^,^EXCEL Add-In^,^Cell Reference box broken in Excel Add In Search Tags (281294)^
^44616^,^Incorrect function created for daily averages. Request 30 samples and only get back one sample^,^EXCEL Add-In^,^Wrong number of samples returned from calculated average (279662)^
^44617^,^MinTime calculation mode did not work in VBScript in the Calculation or Server to Server collector^,^Collector - Calculation^,^MinTime calculation mode did not work in Calculation collector (280644)^
^44618^,^Comment "stored on timestamp" property was not being set to the real world time that comment was added.

StoredOnTimeStamp should be the time that the comment is added.  The time is grabbed on the client side before the comment is added.^,^Server^,^Comment StoredOnTimestamp wrong (282608)^
^44619^,^Certain Kanji Characters in tagnames would cause the archiver to crash on tag add. In this specific case, the customer would browse an OPC server with kanji item names and pick tags to add to iHistorian. That tag add would cause archiver to crash.^,^Server^,^Certain Kanji Characters in tagnames would cause the archiver to crash (279893)^
^44620^,^iHistorian administrator allows connection by user with
locked OS account if no username and password specified.  If a username and password are specified,
then the user is correctly rejected.^,^Security^,^User with locked account is able to connect to archiver (282168)^
^44621^,^Archiver would shutdown on customer machine when migrating classic historian files^,^Server^,^Archiver crash during data migration on fast customer machine (282151)^
^44622^,^Lab sampling mode did not work with user api.  Other sampling and calculation modes work fine.^,^API^,^Lab sampling mode did not work with User API (284331)^
^44623^,^Selecting one tag in Search Tags dialog of Excel Add in
selects 2 others^,^EXCEL Add-In^,^Multi select problem in Excel Add In Search Tags dialog (282393)^
^44624^,^message and data query fails when you have 2 current archives due to migration^,^Server^,^Message and Data query failure when 2 archives are current (283651)^
^44625^,^Interpolated query using certain intervals on scaled data type tag returns bad data quality^,^Server^,^Interpolated query of scaled data type tag returns bad quality (282024)^
^44627^,^Excel AddIn on German Office and German Windows 2000 gives message box "Not present in home location" when open a spreadsheet with updating links like current value^,^EXCEL Add-In^,^"Not Present in home location" Excel error on  German (283212)^
^44628^,^OPC Collector cannot browse read/write items in an OPC server.  Can only browse items that are readable only.^,^Collector - OPC^,^OPC Collector cannot browse read/write items in some servers (284741)^
^44629^,^Data samples for a tag that are out of time order should avoid archive compression^,^Server^,^Archive compression does not pass through out of time order data (284921)^
^44630^,^When copying tags through the Web Administrator UI, even with Electronic Signatures enabled, the Electronic signature prompt is not evoked. The non-web admin shows the esig dialog on copy tag.

The web admin shows the dialog in other actions like adding a tag.^,^Admin UI - Web^,^Copy Tag in Web Administrator does not require Electronic Signature (286075)^
^44631^,^Calculation collector cannot access points with read tag level security.  Now it can read data from these tags and use the data in calculations.^,^Collector - Calculation^,^Calculation collector cannot access points with read tag level security (287088)^
^44632^,^Calculation Collector ignores collector compression for some polled tags resulting in too many samples stored.^,^Collector - Calculation^,^Calculation Collector ignores collector compression on some polled tags (280207^
^44633^,^CIMPLICITY User Quality Flags are not taken into account by the PE Native Collector when converting data quality to an OPC quality/subquality^,^Collector - Cimplicity^,^CIMPLICITY HMI collector user flags (286551)^
^44965^,^Two values shown in query after write^,^Server^,^SDK write shows 2 values for the same time stamp (291128)^
^45424^,^User cannot use millisecond precision for start and end time of query in the Excel add in.

One result of this is that you cannot query where start and end time are in the same second.

You can query using OLEDB.^,^EXCEL Add-In^,^Excel Add In cannot use milliseconds on start or end time (1-22671501)^
^45425^,^Memory leak with file collector or SDK import when numbers do not contain a decimal point.^,^SDK^,^Memory leak with file collector and SDK import if number has no decimal (288320)^
^45426^,^OPC collector cannot browse Delta V OPC server^,^Collector - OPC^,^OPC collector cannot browse Delta V OPC server (292617)^
^45427^,^First polled read of OPC collector is DEVICE even when configured to do CACHE reads^,^Collector - OPC^,^OPC collector does first polled DEVICE read (289803, 293315, 291198)^
^45428^,^RTIP server (tomcat.exe) would crash on rapid connects and disconnects.  This happened most often when an invalid server or invalid username was configured.^,^API^,^RTIP server (tomcat.exe) crash on rapid connect disconnect (291501)^
^45429^,^Historian API handle and memory leak on failed connect.^,^API^,^Historian API handle and memory leak on failed connect (289309)^
^45430^,^Comments are not returned when doing filtered data query even when requested
^,^Server^,^Comments are not returned when doing filtered data query (290569)^
^45677^,^Audit trail of replaced data missing timestamp of replaced sample.  The message still contains the timestamp the replace was done, now also the timestamp of the replaced sample^,^Server^,^Audit Trail missing timestamp of replaced sample (1-24145305)^
^45679^,^Excel Add-in erroneously displays "EstimateNumberofSamples divide by 0" dialog when executing calculated queries. ^,^EXCEL Add-In^,^"EstimateNumberOfSamples divide by 0" message in Excel (1-22671501A)^
^45776^,^Data archiver can crash when reading comments from a corrupted archive^,^Server^,^Data archiver crash when reading comments (1-17284259) ^
^45941^,^After many connection losses from collector to data archiver the collector may fail to reconnect.^,^API^,^Collector will occasionally not reconnect to archiver (1-19894001)^
^45942^,^Some comments imported via the file collector cannot be retrieved.  The problem happened when the tag was set for millisecond timestamp precision.^,^Server^,^Failure to retrieve comments stored via file collector (1-17284259)^


Notes

Historian - Release Notes

Table of Contents

Installation Troubleshooting

Upgrading from iHistorian 2.0

Before upgrading Historian, it is recommends that you follow these steps:

Start your Historian service.

Backup all archive data files (*.iha), configuration files (*.ihc) and backup files. By default, you can find these files in the c:\Program Files\GE Fanuc\Proficy Historian\Archives folder.

Optionally, use the Excel Add-In to export your tag configuration for all tags. It is recommended that you export tags associated with each collector on a separate worksheet.

Uninstalling the old Historian Product

You can uninstall the old Historian product before installing the new Historian, but you do not have to. If you choose to uninstall, make sure that you remove all Historian SIMs before uninstalling the old Historian product.

If you uninstall the old Historian product, you do not need to remove any Historian archives, unless you want to. When you use the Windows Add Remove Programs wizard to uninstall Historian, a message box appears asking if you want to remove the archives. If upgrading, select the Do Not Delete Archives and Continue option and click Next to continue with the uninstall.

Installing the new Historian Product

If you chose to uninstall Historian first, make sure you restart your computer before installing the new Historian. For the steps on how to install Historian, refer to the section at beginning of this chapter, Installing Historian Software.

NOTE: If you have uninstalled a previous version of Proficy Historian and did not remove the archives, ensure you direct the new Historian to the previous install folder (for example, c:\Program Files\iHistorian) so that the Historian install program will find the existing archives and configuration file.

Upgrading the Historian SDK

If you want to run an SDK program that you created with an older version of Historian on a newer version, you must first rebuild the program on a computer with an older version installed. You cannot run an SDK application built on an Historian node on a node running an older version of the software.

Upgrading from the Historian 3.0 Beta

To upgrade to Historian 3.0 from the Historian 3.0 Beta, perform the following:

  1. Uninstall Historian and Delete the Data Archives.
  2. Drop your database. If you have installed MSDE:
    1. Run OSQL from the command prompt: osql –E –S \Proficy
    2. Type in: drop plantdatabase, enter, then Go, enter

    If you have installed the database to a SQL Server:
    1. use enterprise manager to delete the database that you installed to.
  3. Run the Historian installation

If you want to run an SDK program that you built with the Historian v3.0 BETA, you must first rebuild the program on an Historian v3.0 node, with the released software.

Plant database must be installed before installing Historian

If you want to configure Historian and Plant Applications 4.x to use a shared SQL Server Database, Plant Applications 4.x must be installed before installing Historian 3.0.

If you have already installed Historian 3.0, and want Plant Applications v4.x to connect to a shared SQL Server database, you must re-run the Historian setup program after Plant Applications v4.x has beeen installed.

NOTE: It is recommended to upgrade to Plant Applications v4.1 before installing Historian 3.0.

Cannot authenticate with SQL Server

In order for Proficy Historian to function properly with SQL Server 2000, SQL Server's authentication must be set to SQL Server and Windows, and not Windows Only. This can be changed or verified in Enterprise Manager by right-clicking on the SQL Server and selecting Properties, then clicking on the Security tab.

NOTE: This does not apply to installations using the MSDE database.

Error when installing plant database

When reinstalling Historian's plant database, you may receive the following error:

Archiver database failed: Fatal Error encountered: Script Execution Failure  Unable to prepare the database.

When the Plant database is uninstalled, it does not delete the database files associated with it. When the Plant database is being reinstalled, the setup program results in an error because the plantdatabase.mdf and plantdatabase.ldf files already exist.

To resolve this issue, locate the plantdatabase.ldf and plantdatabase.mdf files and manually delete them before reinstalling the Plant database.

NOTE: It is not recommended to uninstall the Plant Database if you have other Proficy products installed on the server, as data loss may occur.

If you choose to specify a SQL Server during the Historian setup, it is recommended that you first use Enterprise Manager to create an empty database on the SQL Server. This will ensure that your database files are created properly on the desired location.

Installing Historian when iFIX v2.6 and the Licensing SIM for Aladdin Keys is installed

If you try to install Historian v3.0 on a computer with iFIX v2.6 and the licensing SIM for Aladdin keys, when the license key section of the install appears, multiple dialog boxes appears stating that the setup program is "Unable to write to the log file."

To resolve this issue, there are two workarounds. Before you install Historian, on a computer that has iFIX v2.6 and the latest SIM installed you can perform either of the following:

- Run the license program from the Historian product CD separately and select yes to overwrite the files.

- Go to c:\winnt\Intellution folder and remove the read-only attributes for the following files:

- Ikeydiag.exe 7/15/02
- Netcheck.dll 7/24/02
- Slapi.dll 7/24/02
- Netsupport.dll 6/2/02
- IlicenseSvc.exe 7/23/02
- IkeyupdateRes.dll 7/12/02
- Ikeyupdate.exe 7/12/02
- IkeyDiagRes.dll 7/12/02

After you perform one of the workarounds, you can proceed to install Historian v3.0.

Proficy Historian Data Collectors

File Collector

Adding tags with the File Collector

If you are adding tags using the File Collector, ensure that you specify the Collector Source Address and the Tag Source Address fields in the CSV file. If you do not, the Collector and Source Names are not added to the tags created by the File Collector.

iFIX Collector

Starting the iFIX collector without iFIX running

If you attempt to start the iFIX Collector without iFIX running, an incorrect status displays in the Collection Status field of the Collector Maintenance Screen.

OPC Collector

Using status tags and collector status outputs with an ABR driver used as an OPC Server

The use of Status Tags and Collector Status Output fields (Rate Output, Heartbeat Output, and Status Output fields) is not supported with an Intellution ABR v7.23C or prior Driver running as an OPC Server.

Proficy Historian and CIMPLICITY

Upgrade steps for users of CIMPLICITY HMI Collector

A CIMPLICITY HMI data collector was released as an Historian 2.0 SIM. That collector is now available in Historian 3.0. If you were using the 2.0 version, please review the following upgrade notes.

  • The CIMPLICITY collector is not checked on upgrade. When upgrading to Historian 3.0, select the CIMPLICITY collector install option.
  • Collector settings are preserved on upgrade but consider deleting and registering the collector to complete the upgrade. Note that if you delete the collector, settings are not preserved but return to defaults. To delete and reregister the collector perform the following steps:
    1. delete the collector in admin UI. Do NOT delete the tags associated with collector
    2. restart the project or at least restart the IHCOLL project option in the workbench to restart the collector. The collector will reregister with the archiver and will appear in the admin UI.
    NOTE: You may want to convert the tag's CollectorType property from Other to CIMPLICITY. The easiest way to do this is to export the tags to Excel, change the collector type, and reimport.
  • The CIMPLICITY HMI collector functions best when writing to a 3.0 or newer data archiver. A 2.0 or below archiver will not understand the new CIMPLICITY collector type. Use the 2.0 sim PE collector instead (If you are running in 2.0).

Proficy Historian and iFIX

Receiving EGU Errors when migrating Classic Historian data

When migrating your Classic Historian data to Historian, you may receive one or more "Error 1209" messages in the log. This error occurs when a tag is migrated that is missing one of the following fields:

  • HI EGU
  • LO EGU
  • Desc

Not all tag types have these fields, and the error is harmless.

Collector type may not display properly after Advanced Historian migration

If you use the Advanced Historian to Historian migration utility without first migrating your groups using the Classic Historian migration utility, the Collector Type of the migrated data may not display properly. If you use the iFIX Expression Editor to browse the tag list of migrated data, the Collector Type field will show blank or All.

To correct the Collector Type field, perform a bulk edit of the tags using the Excel Add-In.

Uninstalling Historian if iFIX v2.6 is installed.

If iFIX v2.6 is installed, when you uninstall Historian, you should select No if prompted to remove the shared file named SPR32X30.OCX, the Farpoint Spreadsheet v3.0 (a third-party ActiveX control).

If the install removes the SPR32X30.OCX file, the iFIX WorkSpace reports a VBA compile error the next time you open the iFIX WorkSpace.

If you receive the compile error when you open the iFIX WorkSpace, run the following command from the iFIX base path:

regsvr32 SPR32X30.OCX

This command re-registers the Farpoint Spreadsheet.

Receiving EGU errors when migrating classic historian

iFIX Alarm Migration on Kanji SQL Server

iFIX Alarm Migration running on Kanji iFIX can fail to migrate acknowledgement messages when alarms are stored on an English version of SQL Server. Ensure that the Kanji alarms are properly stored in SQL Server before trying to migrate them.

Proficy Historian and OSI PI

Upgrade steps for users of OSI PI Collector and Distributor

A CIMPLICITY HMI data collector was released as an Historian 2.0 SIM. That collector is now available in Historian 3.0. If you were using the 2.0 version, please review the following upgrade notes.

  • The OSI PI collector and distributor are not selected on upgrade. When upgrading to Historian 3.0, select the OSI PI collector and distributor install options.
  • Collector settings are preserved on upgrade but consider deleting and reinstalling the collector to complete the upgrade. Note that if you delete the collector, settings are not preserved but return to defaults.
  • The OSI PI collector functions best when writing to a 3.0 or newer data archiver. A 2.0 or below archiver will not understand the new OSI PI collector type. Use the 2.0 sim OSI PI collector instead (If you are running in 2.0).

Proficy Historian and Microsoft Windows

Windows Firewall enabled by default in Windows XP SP2 and Server 2003

If you install Proficy Historian on a Windows XP system, you will be prompted to allow Proficy Historian to reconfigure the Windows Firewall. If you answer Yes, Historian will be added to the firewall's exception list and set to Enabled. If you answer No, Historian will be added to the list and set to Disabled. You can change this setting through the Windows Firewall control panel at any time.

Optimizing server settings for Windows 2000 Server, Advanced Server, or NT 4.0 Server

If you are running Historian on a Windows 2000 Server, Windows 2000 Advanced Server, or NT 4.0 Server computer, do not set your File and Printer Sharing for the Server optimization options to Maximum Throughput for File Sharing. The Maximize Data Throughput for File Sharing setting in File and Printer Sharing for Microsoft Networks Properties controls the system cache size and allows the cache to grow very large. This could cause excessive paging when dealing with large files and might interfere with applications like Historian.

It is recommended that you select the Maximum Data Throughput for Network Applications.

To view or change your Server Optimization settings on Windows 2000 servers:

1. Open the Control Panel.
2. Double-click the Network and Dial-Up Connections icon. The Network and Dial-up Connections dialog box appears.
3. Right-click on the Local Area Connection Properties icon and select Properties.
4. Select the File and Printer Sharing for Microsoft Networks component and click the Properties button.
5. Ensure that the Maximize Data Throughput for Network Applications options is selected.
6. Click OK.

For more information on changing the Server Service properties, refer to the Microsoft Knowledge Base article Q228766.

To view or change your Server Optimization settings on Windows NT 4.0 servers:

1. Open the Control Panel.
2. Double-click the Network icon. The Network Properties dialog box appears.
3. In the Services tab, select the Server service and select Properties.
4. Ensure that the Maximize Data Throughput for Network Applications option is selected.
5. Click OK.

Changing time zones on a Windows 2000 computer

If you need to change the time zone on a Windows 2000 computer, you must select the desired time zone (from the Time Zone tab of the Date/Time Properties dialog box in Control Panel) and then restart Windows 2000. The time zone change will not take effect until you have re-started Windows.

Archiver obtaining list of domain controllers

If the archiver is configured to use domain group security, the data archiver obtains the list of primary and backup domain controllers at archiver startup. If a domain controller is not available at that time or if you add new domain controllers, they are not seen by the archiver until the next time the archiver is restarted. For example, if your backup domain controller was not available on archiver startup, the archiver will not failover to the backup domain controller for user authentication.

Invalid username and password error when running Historian Web Administrator on Windows 98

If you are running the Historian Web Administrator on a Windows 98 computer and are logging on with a valid username and password but receiving an invalid username and password error, run the installation for Internet Explorer v6.0 on the Historian CD and install Visual Basic Scripting support.

If you are using Internet Explorer v5.5, install the VBScript support component. Optionally, you can upgrade to Internet Explorer v6.0 which has built-in VBScript support.

Proficy Historian General Troubleshooting

Receiving an ihConfigurationGetProperties error

If you receive a single ihConfigurationGetProperties[-2] error in the collector.LOG file, the error most likely occurred as a result of the collector connecting and querying for changes in the tag database immediately, getting a timeout, and then immediately querying again and succeeding.

Web Administrator not working with Zone Alarm Pro

Zone Alarm Pro has a privacy feature for ad blocking, cookie control and mobile code control that causes the Web Administrator to cease functioning.

In order to use the Historian Web Administrator with Zone Alarm Pro, you must completely disable Zone Alarm's privacy features. Consult your Zone Alarm Pro documentation for more information.

Alarm archiver does not start up

The alarm archiver requires a valid license, and will not start in demo mode. Plug in a valid license key and reboot your computer.

UserAPI Programs not freeing up memory

User API Programs built with anything other than Visual Studio .NET should be modified to call ihuFreePtr() to free any memory pointers returned by the User API. Do not free these pointers using free() in your application or you can have memory corruption.


Historian 3.0 System Req.

System Requirements

Hardware Requirements

For Historian Servers, the minimum hardware requirements are:

  • A Pentium 4-based 2.0 GHz or better computer with 1 GB RAM.

  • A CD-ROM drive.

  • 100 MBit TCP/IP-compatible network interface adapter for network communication and certain I/O drivers.

  • A screen resolution of at least 1024 X 768.

  • 80 GB free hard drive space, for the data archives, message files, buffer files, and log files used by the system.

For Data Collector nodes, the recommended minimum hardware requirements are:

  • A Pentium 4-based 2.0 GHz or better computer with 512 MB RAM.

  • 40 GB of free hard drive space to store buffered data.

  • A CD-ROM drive.

  • TCP/IP-compatible network interface adapter for network communication and certain I/O drivers.

For the Microsoft Cluster service, the minimum hardware requirements are:

  • A Pentium 4-based 2.0Ghz or better computer with 1GB of RAM

  • 80 GB of local free hard drive space

  • 40 GB shared SCSI hard drive (RAID preferred)

  • Two 100Mbit TCP/IP-compatible network interface adapters for network communication and certain I/O drivers (one for public network, another for private network).

NOTE: The configuration of each server added to the cluster must be identical to the other servers in the cluster.

You determine the size of an Historian Server as a function of the number of tags from which data is collected, the rate of alarm and event collection, and how often you intend to collect the data and how much data you want to keep online. The number of tags is an indicator of the number of concurrent users likely to access the system. The primary factor is server memory requirements; CPU load is a secondary factor. If the number of concurrent users is significantly different from the suggested guidelines, adjust server memory size accordingly.

Use the following parameters to determine the size of the Historian Server.

Tags | Users | RAM (MB) | Recommended Archive Size | CPU
5000 | 10 | 1000 | 100MB | Single
10,000 | 30 | 1000 | 500MB | Single
20,000 | 50 | 1000 | 500MB | Dual
50,000 | 100 | 1000 | 500MB | Dual
100,000 | 200 | 1000 | 500MB | Quad
150,000 | 200 | 2000 | 1GB | Quad
200,000 | 200 | 2000 | 1GB | Quad
250,000 | 200 | 3000 | 1GB | Quad

For iFIX systems, count each Node.Tag.Field (NTF) as a separate tag when you determine the size of the system. For example, FIX.FIC101.F_CV and FIX.FIC101.B_CUALM (current alarm) both count as tags, even though they are derived from the same iFIX tag.

Use the following parameters to determine the size of the Historian Alarm and Event archiver.

Alarm & Event Rate | RAM | CPU
1 / minute | 1GB | Single
1 / second | 2GB | Single
10 / second | 2GB | Single
100 / second | 4GB | Double

You must have disk storage capacity in the multi-GB range for the many data archive files (typically 500 MB each) and alarms you will generate, especially if you want to keep old data online.

NOTE: As more applications run simultaneously on a server, performance decreases. Whenever possible, run additional applications on separate computers.

Software Requirements

The minimum Historian software requirements are:

  • Windows NT v4.0 operating system with Service Pack 6 or later installed, Windows XP Pro, or Windows 2000 Professional operating system with Service Pack 2 or later for Historian Servers and Data Collectors.

  • Internet Explorer v5.5 or greater (v6.0 or greater when using with Server-to-Server or Calculation Collectors)

  • For Windows 2000, Windows XP Pro, or Windows NT systems with Historian Web Administrators, Microsoft IIS (Internet Information Server). IIS is not required for Historian Non-Web Administrators. Windows 2000 or higher is required for the Alarm and Event archiver.

  • Network interface software for network communication. The TCP/IP network protocol is required.

  • SQL Server 2000 or greater required for "Use Existing SQL Server" option in alarm and event archiving configuration.

  • The Historian Excel Add-In requires installation of Microsoft Office 2000, Office XP, or Office 2003.

You can also run the Historian Web Administrator, Historian Non-Web Administrator, Historian Excel Add-In, Historian OLE DB Provider, and the Historian Software Development Kit components on Windows 98.

Compatibility

Several GE Fanuc products work with Proficy Historian. The following is a general set of required versions to work with Historian 3.0.

Product | Required Version
Proficy RTIP | 2.1 with current service packs.
CIMPLICITY | To work with CIMPLICITY Alarm and Event Data, the CIMPLICITY A&E Server must be of version 6.1 SP4, 6.1 SP3 Hotfix, or later.
Machine Edition View | To work with Machine Edition data, the Machine Edition software must be version 5.0 SP1 or later.
iFIX | To work iFIX alarm and event data, you must have iFIX version 3.0 or 3.5 and the iFIX OPC AE Server for your version. The iFIX OPC AE Server for your version is available through GlobalCare. NOTE: You will need a valid GlobalCare account to download the iFIX OPC AE Server.
ROC Driver | Version 6.31 is required for use with Historian.


Proficy Historian 3.1 Known Issues

^Bug #^,^Description^,^Problem Area^,^Title^ ^47128^,^If a user attempts to browse a PCS7 project with over 100,000 items the following error may occur: "This Browse Resulted In An Error. Please Try Again. The Details Of The Error Follows: Collector::BrowseTags>> Failed To Brows Collector FER_OS_606_01_OPC_OPCServer_WinCC"^,^Collector - OPC^,^Historian browsing problems with large PCS7 project^ ^47155^,^While testing 47097, found some issues while processing a large flush. Running 52 collectors running 2 collectors listed but stopped over 43,000 tags Receive rate ~968,000 Archives set to 1 gig. Archiver stopped processing around 3:00am Sunday Morning. 2/6/06 9:15am Monday came in and saw that the server was not processing. The service window indicated that it was running, but nothing was being processed. Stopped the service and restarted at 2/6/2006 9:46:37.859 AM Collectors showed up as running. Flush from weekend started to process. Started to receive buffer messages while flush is occurring. Collectors started turning red. Some Collector logs started to show the error: [2/6/2006 9:49:04.703 AM] Warning: Error on ihConfigurationGetProperties [-2] [2/6/2006 9:52:04.734 AM] Warning: Could Not Add Collector [FXBQARDB_OPC_Matrikon_OPC_Simulation] [-2] [2/6/2006 10:02:35.734 AM] Warning: Error on ihConfigurationGetProperties [-2] [2/6/2006 10:04:06.734 AM] Warning: Error on ihConfigurationGetProperties [-2] IHistorianSDKErrors.log - showed error retrieving collector properties. 2/6/2006 09:46:34-Server::iHistorian SDK Server Terminating Version: 3.1.1744 2/6/2006 09:47:39-Server::iHistorian SDK Server Instantiating Version: 3.1.1744 2/6/2006 09:56:35-Server::iHistorian SDK Server Instantiating Version: 3.1.1744 2/6/2006 09:56:36-Server::iHistorian SDK Server Instantiating Version: 3.1.1744 2/6/2006 09:56:36-Server::iHistorian SDK Server Instantiating Version: 3.1.1744 2/6/2006 10:29:07-Collector::zRefreshProperties>> Overflow 2/6/2006 10:29:07-Collector::zRefreshProperties>> Overflow 2/6/2006 10:29:42-Collector::zRefreshProperties>> Overflow 2/6/2006 10:29:42-Collector::Status>> Error Retrieving Collector Properties... 2/6/2006 10:29:42-Collector::zRefreshProperties>> Overflow 2/6/2006 10:29:42-Collector::ComputerName>> Error Retrieving Collector Properties... 2/6/2006 10:29:42-Collector::zRefreshProperties>> Overflow 2/6/2006 10:29:42-Collector::PerformanceStatistics>> Error Retrieving Collector Properties... Receive rate eventually went down to almost nothing. Many of the collectors were red. At this point there were about 20 archive files. Reduced the number of archives to 5 Server did not start right away. DataArchiver-61.log Server started Turned off auto create and turned off auto backup. Still saw the following warning on some collector logs. Warning: Error on ihConfigurationGetProperties [-2] Stopped and started the server to make sure the service was running with the admin changes made. Receive rate went to over 15 million. Most Collectors were showing as running. DataArchiver-62.log Checked server about 45 minutes later. Many of the Collectors were red again. Events were not processing. Nothing was being logged in the DataArchiver log. It appeared that the server was hung. Did not see any new ihConfigurationGetProperties [-2] errors since the first time starting the 5 archive files but it appeared that the service was not processing. Stopped server around 4:00pm Installed build 1746. Server did not start right away. Received the error: "Could not start the Historian Data Archiver service on local computer. Error 1053: The service did not respond to the start or control request in a timely fashion." Re-started server. Collectors started as running, but quickly started to go to red. Flush was still occurring from the weekend when the server stopped at 3:00am on 2/5/06 Ended up deleting some of the large buffer files to get the archiver in a state so we could test 47097. Not sure if the archiver would have eventually stabilized on its own. Will try to duplicate the large flush again.^,^Data Archiver^,^While processing large flushes, receive Error on ihConfigurationGetProperties ^ ^47120^,^If you have a 10 second and 1 second polled tag in OPC collector, both are put in same OPC group with a poll rate of 1/2 second. This puts a unnecessary load on the PLC. Also, more than one OPC group is created, and they are all at 1/2 second.^,^Collector - OPC^,^RSLINX Update rate being set to 1/2 of shortest poll time^


^Bug #^,^Description^,^Problem Area^,^Title^
^47128^,^If a user attempts to browse a PCS7 project with over 100,000 items the following error may occur:

"This Browse Resulted In An Error. Please Try Again.
The Details Of The Error Follows:
Collector::BrowseTags>> Failed To Brows Collector FER_OS_606_01_OPC_OPCServer_WinCC"^,^Collector - OPC^,^Historian browsing problems with large PCS7 project^
^47155^,^While testing 47097, found some issues while processing a large flush.

Running 52 collectors running
2 collectors listed but stopped
over 43,000 tags
Receive rate ~968,000
Archives set to 1 gig.

Archiver stopped processing around 3:00am Sunday Morning.

2/6/06 9:15am Monday came in and saw that the server was not processing.
The service window indicated that it was running, but nothing was being processed.
Stopped the service and restarted at 2/6/2006 9:46:37.859 AM
Collectors showed up as running.

Flush from weekend started to process. Started to receive buffer messages while flush is occurring.

Collectors started turning red.

Some Collector logs started to show the error:

[2/6/2006 9:49:04.703 AM] Warning: Error on ihConfigurationGetProperties [-2]

[2/6/2006 9:52:04.734 AM] Warning: Could Not Add Collector [FXBQARDB_OPC_Matrikon_OPC_Simulation] [-2]

[2/6/2006 10:02:35.734 AM] Warning: Error on ihConfigurationGetProperties [-2]

[2/6/2006 10:04:06.734 AM] Warning: Error on ihConfigurationGetProperties [-2]

IHistorianSDKErrors.log - showed error retrieving collector properties.

2/6/2006 09:46:34-Server::iHistorian SDK Server Terminating Version: 3.1.1744
2/6/2006 09:47:39-Server::iHistorian SDK Server Instantiating Version: 3.1.1744
2/6/2006 09:56:35-Server::iHistorian SDK Server Instantiating Version: 3.1.1744
2/6/2006 09:56:36-Server::iHistorian SDK Server Instantiating Version: 3.1.1744
2/6/2006 09:56:36-Server::iHistorian SDK Server Instantiating Version: 3.1.1744
2/6/2006 10:29:07-Collector::zRefreshProperties>> Overflow
2/6/2006 10:29:07-Collector::zRefreshProperties>> Overflow
2/6/2006 10:29:42-Collector::zRefreshProperties>> Overflow
2/6/2006 10:29:42-Collector::Status>> Error Retrieving Collector Properties...
2/6/2006 10:29:42-Collector::zRefreshProperties>> Overflow
2/6/2006 10:29:42-Collector::ComputerName>> Error Retrieving Collector Properties...
2/6/2006 10:29:42-Collector::zRefreshProperties>> Overflow
2/6/2006 10:29:42-Collector::PerformanceStatistics>> Error Retrieving Collector Properties...

Receive rate eventually went down to almost nothing.
Many of the collectors were red.

At this point there were about 20 archive files.

Reduced the number of archives to 5

Server did not start right away.

DataArchiver-61.log Server started

Turned off auto create and turned off auto backup.

Still saw the following warning on some collector logs.
Warning: Error on ihConfigurationGetProperties [-2]

Stopped and started the server to make sure the service was running with the admin changes made.

Receive rate went to over 15 million.
Most Collectors were showing as running.

DataArchiver-62.log
Checked server about 45 minutes later.
Many of the Collectors were red again.
Events were not processing.
Nothing was being logged in the DataArchiver log.
It appeared that the server was hung.

Did not see any new ihConfigurationGetProperties [-2] errors since the first time starting the 5 archive files but it appeared that the service was not processing.

Stopped server around 4:00pm

Installed build 1746.

Server did not start right away.  Received the error:
"Could not start the Historian Data Archiver service on local computer.
Error 1053: The service did not respond to the start or control request in a timely fashion."

Re-started server.

Collectors started as running, but quickly started to go to red.
Flush was still occurring from the weekend when the server stopped at 3:00am on 2/5/06

Ended up deleting some of the large buffer files to get the archiver in a state so we could test 47097.
Not sure if the archiver would have eventually stabilized on its own.

Will try to duplicate the large flush again.^,^Data Archiver^,^While processing large flushes, receive Error on ihConfigurationGetProperties ^
^47120^,^If you have a 10 second and 1 second polled tag in OPC collector, both are put in same OPC group with a poll rate of 1/2 second.  This puts a unnecessary load on the PLC.

Also, more than one OPC group is created, and they are all at 1/2 second.^,^Collector - OPC^,^RSLINX Update rate being set to 1/2 of shortest poll time^


Proficy Historian 3.1 Collectors

The following collectors are available for Historian 3.1:

  • OPC Alarm and Events
  • CIMPLICITY View
  • CIMPLICITY PE
  • iFIX
  • OPC
  • OSI PI (Collector and Distributor)
  • Simulation
  • Calculation
  • Server-to-Server
  • File


Proficy Historian 3.1 New Features

File Collector Alarm and Event Support

The File Collector now supports importing alarm and event data. See the File Collector documentation for more information.

Export and Import Alarms from the Excel Add-In

The Excel Add-In now supports importing and exporting alarm and event data. See the Historian Alarms and Events documentation for more information.

Held Point Included in Queries

When using archive or collector compression, Historian will now report the most recent held point when querying for data. For more information on collector compression, refer to the Administration Guide.

OPC Subqualities

Historian 3.1 stores sub-qualities for Good, Bad, and Uncertain data qualities in order to comply with the OPC 2.0 specification. For more information, refer to the OPC Collector documentation.

StepValue Tag Property

The StepValue property has been added as a retrieval option on the tag level. This property indicates that values collected on the tag change sharply (such as a digital signal changing from 0 to 1) and should not be interpolated when retrieved from the archive. For more information, refer to the Administration Guide.

CIMPLICITY Collector Redundancy

Collector redundancy support in Historian 3.1 has been extended to include the CIMPLICITY collector.

Disable Auto-refresh of Alerts

The Historian Non-Web Administrator now supports the capability of disabling auto-refresh of alert messages on the main screen. For more information, refer to the Administration Guide.

OLEDB conversion functions

Conversion functions have been added to the OLEDB query syntax to convert results from the variant data type. For more information, refer to the OLEDB Provider documentation.


Proficy Historian 3.1 Fixed Defects

^Bug #^,^Description^,^Problem Area^,^Title^ ^44364^,^In the iHistorian 2.0 (and 1.0) admin utiliities, if there is an invalid path defined in the "Default Archive Path" or "Default Backup Path", then the user can not longer click on the browse button to the right of these fields and select a new valid path. They have to manually type in a valid path first in order to get the button to work again.^,^Admin UI - NonWeb^,^"Default Archive Path" browse not working (Case 273966)^ ^44366^,^The issue you are reporting as "Invalid Licensing dll error message" has been seen when upgrading iHistorian version 1 with keyless option to iHistorian version 2 Keyless option. Sent customer a new ihArchUtilsNoLic.dll file that was provided by MSI. Need to ensure this issue is fixed in next release.^,^Security^,^Invalid Licensing dll error message^ ^44367^,^Customer reported issue: could not start the ihistorian data archiver service on error 2186 the service is not responding to the control function. The iHistorian Data Archiver failed to start. The root cause of the failure was that the License Key expired. We need to handle this in a way that makes the root cause more obvious. 1) an archiver log file entry 2) a more descriptinve application log entry^,^Licensing^,^ the service is not responding to the control function^ ^44368^,^Polled calculation tags will poll faster than configured when the result variable is not set in the formula.^,^Collector - Calculation^,^Calculation tag poll time ignored if Result = null (Case 271042)^ ^44370^,^There are circumstances where archives are automatically created causing overlapping timestamps between archives and the archives cannot be loaded. Customer would like the product to prevent the occurance of this issue. Steps to Reproduce: Archive Configuration -> Global Options Automatically create archives : Enabled Overwrite old archives : Disabled ... Previously you have to backup the current and the inmediate before file. 1. Stop ihDataArchiver service 2. Delete the current archive file 3. Start ihDataArchiver 4. Current archive have dissapeared (obviously). iHistorian will reopen the inmediate archive (already closed) before the current (dissapeared) and will add data. If you have previously set the closed archive file as "read-only" (before the test), iHistorian will create a new one automatically. In both cases, if you try to restore a previous backup of the "old" current archive file, iHistorian gives you an error message due to a time overlap. You get the same behaviour if you modify the archive header (simulating corruption) while ihDataArchiver is stopped.^,^Data Archiver^,^Archives created with overlapping timestamps^ ^44371^,^In the non web admin program, if you go to restore an archive from backup and use the ... to browse for the location of the archive because it is not in the default directory, the file name gets updated, but the file location does not. You have to go in and browse again for a second time and then the location will be updated.^,^Admin UI - General^,^iHistorian Administrator "Restore an Archive from Backup" (Case 273700)^ ^44372^,^Adding collector with number only for a collector name removes all collectors from configuration. ^,^Collector Shell^,^Problem with collector name starting with a number (Case 274486)^ ^44373^,^If you accidentally created a tagname of zero length, you are unable to delete it in the admin UI^,^Collector - Calculation^,^Unable to delete a blank tagname (Case 270706)^ ^44374^,^The search tag form list of found tags gets smaller each time the "Tag description" button is clicked.^,^EXCEL Add-In^,^Text list box gets smaller and smaller (Case 273398)^ ^44378^,^Documentation did not explain that this is designed behavior. Nothing entered into the "Nodes to browse" list in the admin UI for iFIX collector browses every reachable iFIX or FIX32 node. After reviewing this with engineering we agree that this is preferred behavior as this is the only way to browse all nodes with out manual entering all nodes in the remote nodes list.^,^Help^,^iFIX collector Empty nodes to browse list browses all nodes (Case 274797)^ ^44381^,^Would like to print out a topic and all subtopics, but when right-clicking on parent topic and selecting print, and then selecting "Print the selected heading and all subtopics", an error pops us that says, "The selected topics must be printed inidvidually." This is not very useful. Also when clicking the print icon for a topic heading (i.e. "What''''s new in ihistorian 2.0") a min of two pages always comes out. The first is a page with just the "Send feedback on this topic to doc@gefanuc.com. And the 2nd page is the actual text of that page. Both these are very annoying. I''''m sure other users would like to print out the documentation more than one topic at a time. ------------------------------------------- This is a known behavior but many customers request this functionality. If it is a limitation of using frames in the help, maybe we want to investigate a different implementation for the help.^,^Help^,^Cannot Print SubTopics in Help^ ^44390^,^docs say it works but it does not. sample query: SELECT MIN(Timestamp), MAX(Timestamp), FilterValue FROM ihRawData WHERE TagName=Simulation00001 AND FilterTag=SimulationString00001 AND FilterMode=AfterTime AND FilterComparisonMode=Equal AND FilterValue=ABCD-1061997900026 AND SamplingMode=RawByTime AND Timestamp >=today GROUP BY FilterValue above query works with a specific filtervalue. same query with wildcard in filtervalue returns nothing: SELECT MIN(Timestamp), MAX(Timestamp), FilterValue FROM ihRawData WHERE TagName=Simulation00001 AND FilterTag=SimulationString00001 AND FilterMode=AfterTime AND FilterComparisonMode=Equal AND FilterValue=ABCD-106199790002* AND SamplingMode=RawByTime AND Timestamp >=today GROUP BY FilterValue how do I get wildcards to work with the FilterValue parameter, as shown in the ebook? *** RESEARCH LOG Oct 3 2003 2:52PM cperno Action Type:Engr Notes [!!]^,^Help^,^Filtervalue OLE-DB query parameter support wildcards^ ^44391^,^Per Wade, We need to take a look at the backup strategy in the 3.0 release. -------------------------------------------------- DESCRIPTION -------------------------------------------------- Please note that Steve Masterson is highly familiar with our systems. We are trying to understand how to manage performing data backups (disaster recovery) on iHistorian v2.0 systems. Looking at the archives directory, we are seeing every archive showing a timestamp with today''''s date. Archive size is already totalling 4GB for about 2 months of operation. We have archives set to be read-only at the default of 96 hrs. This setting gave us the impression that nothing would change in the archive after that time elapsed. This appears incorrect, since every archive has changed today. If we want to perform backup to DVD, this would take a person nearly an hour every day. That is not a good use of a person''''s time. As time passes, the person''''s time needed per day would go up. In a year, it might take all day to do it. That is unacceptable. The "backup archive" button process is also time consuming. Once a year passes, the number of archive files would make that operation very time consuming. Even now it is not very fast. Plus when an archive is already backed up, the process fails unless the user manually deletes the old backup. That risks deleting the wrong files. These computers are at remote sites. Originally we planned to backup archive files to a central file storage location on weekends when WAN traffic is minimal. We can handle 300mb files in this way, but tens (hundreds) of GB is not possible. The bandwidth just isn''''t there. Then, monthly, a local tech would write a DVD of all new archives. This also ties into the IHC files not receiving a new timestamp when the config changes. How do we know to backup that file when it appears to have not changed? We are very concerned about the implications of a power failure in reguards to data loss. How do we do incrimental backups when every single data file changes daily? How can we automate the entire backup process? What tools does Intellution have to help with this? Why is EVERY old archive being changed? No new data is coming in, calculations or collectors are not being recalculated, users are not putting in comments. Will the archives changing invalidate the application for 21CFR11 in that data is not alterable and proof of that fact can be presented? Changing timestamps on old data makes that highly questionable. If we backup an archive just once - when the next new archive is created - if we had to restore that copy at some date in the future: What are the risks and considerations? What would be lost? Would it work? What would be the effect of restoring archives that have been backed up across a long period of time. Meaning archive001 backup in May, ..., archive 037 in Aug, ..., archive258 a year later. When all get put back, would they work together to serve data? What will happen if we set the read-only file bit? Will that prevent old archives from changing? What else will that mess up? What are the performance implications when there are 500GB of archives? Will the system even run or will it be spending all its CPU time on editing archives that are years old? If we have to backup every file every time, do we need to spend $25,000 on a tape loader for every one of these PCs just to backup that data? That would break the budget for the entire project. Leaving the door open for data loss in the event of an unexpected catastophic failure (fire, virus, etc) must not happen. We need a way to perform backups that is reasonable cost wise, does not require human intervention to execute, and can work in a spread out corporate environment. It must be able to restore data with no data loss for data older than when the last backup was made.^,^Archive Management^,^Archive file time stamp changes - How do we do backups?^ ^44395^,^PRAXAIR: The iHistorian v2.0 Excel Add-In uses one CAL whenever Excel is running. Does not matter if no add-in functions are being used on the worksheet. Users most often use Excel for purposes other than connecting to the iHistorian. Users find it very annoying to have to start and stop the add-in and are just leaving it run - either they forget or just don''''t bother. This is using up all available CALs even though they are not really being used - blocking legitimate access. This is giving the impression to users that the system is never available, and may erode support (i.e. funding) for future installations. Need the add-in to not use a CAL unless it is using iHistorian to get data. Per Steve Friedenthal, customer wanted this in 2.0 but agreed to wait until 3.0. The requirements and functionality have been discussed in detail. Refer to Clarify Case #270167 for further details.^,^EXCEL Add-In^,^Excel Add-In CAL use^ ^44396^,^ Install iHistorian Excel Add-In on an Office 2003. During the installation, he gets an message saying that the installation requires Office 2000 or Office XP. Once Excel Add-in is on the machine it appears to work properly. Looks like an install issue.^,^EXCEL Add-In^,^iHist Excel Add-In on Office 2003^ ^44465^,^This from clarify 285240 There is a minor typo In the iHistorian 2.0 ebooks under the section: Getting Started With iHistorian\Installing iHistorian Software\Upgrading From a Previous Release "You can uninstall the iHistorian v1.0 product before installing iHistorian v2.0, but you do have to." should be changed to "but you do not have to."^,^Help^,^Ebook is wrong about updating from iHist 1.0^ ^44556^,^I have a problem with my iHistorian. I have tested the BLOB data type by using the SDK. During my testing,I have managed to insert a tag into iHistorian that has no Tag Name. This is a problem for me since I cannot export tags to Excel anymore and I cannot delete the tag from the Administrator. InfoAgent 2.0, beta 936d cannot browse the iHistorian anymore either. For me it is no problem since I will just make a new IHC, but I would like to report the issue anyway. The next time it is acustomer that does what I did and perhaps he has no backup. Therefore it would be good if it is fixed to the next release of iHistorian. I have attached the IHC file for Your own testing. Best regards Ulf^,^SDK^,^Able to insert a tag into iHistorian that has no Tag Name^ ^44575^,^Documentation says maximum recovery time for Server to Server collector is 4 hours. This is a documentation bug, there is no upper limit to the recovery time. ^,^Collector - Server-To-Server^,^Documentation says maximum recovery time is 4 Hours (Case 289079)^ ^44602^,^OPC collector treats server item handles of 0 as bad data quality. At least one OPC server uses a server item handle of zero. This is rare, but allowed by the OPC specification and it is not handled by the collector. This only affects polled tags.^,^Collector - OPC^,^OPC Collector Cannot Collect data when server handle is 0 (Case 276761)^ ^44603^,^Total Time Good calculation mode cannot be used in a calculation formula of a calculation or server to server tag^,^Collector - Calculation^,^Total Time Good calculation mode cannot be used in a calculation (Case 277205)^ ^44637^,^From a customer email: One of my customers is working with iHistorian and has noticed that the documentation for iHistorian Server-to-Server collector states a maximum buffer of 4 hours worth of data, which would be a show-stopper for many applications requiring buffered server-to-server connection. His initial call to Intellution/GE tech support verified the 4 hour time period as well. Tom Koszuta has checked this out, the documentation is wrong, tech support initially was wrong, response as follows: "The limit is incorrectly documented at 4 hours. The limit is the appears to be 999999999 hours. The case was handled directly between Scott and Jason Camara. Jason ran a test that recovered over 16 hours. The communication of this was on 3/18." In case it comes up with one of your customers. Steve, you might want to correct the documentation for Server-to-Server. ^,^Help^,^Server-to-Server max buffer spec incorrect^ ^44711^,^This is defined in the documentation with specifications as to the date and number formats that are required but is a serious obstacle to some of the overseas customers. They need the collectors to be able to work with regional settings as defined on the system. Specific examples include the date format, delimiter (,) and decimal indicator (.).^,^Collector - File^,^File Collectors don't support regional settings^ ^44723^,^Customer runs the iFix collector in the task list with the command line /runasdos When the iFix service starts up the iFix Collector starts in the background. If they need to shutdown the collector and restart it they cannot restart it in the background without closing iFix. When they start the collector it will start as a console app and if someone logs off the machine it will go away. This becomes a problem since the machines are in production and they cannot restart fix without shutting down a production line. It would be beneficial to be able to configure the iFIX collector as a service instead of working around the issue by running the iFIX collector through the iFIX startup task list.^,^Collector - iFIX^,^The iFIX collector needs to be able to be run as a Service^ ^44735^,^Values at time 00:00:00 do not show the time, it only shows the date. This can be demonstrated by collecting data over the midnight timeframe or by importing data. Using the Non-Web Admin UI, trend the raw data so it will include the sample at 00:00:00. At that time, only the date, not the time, will be displayed. This is causing problems when charting using infoAgent and iFIX charting. The Excel Add-in will display time as 00:00:00 if no time is given.^,^Admin UI - NonWeb^,^Values in Archive with time stamp 00:00:00 are not readable in Admin^ ^44741^,^When browsing the OPC Servers from the iHistorian Administrator in hopes to configure tags for the OPC Collector, it has been reported that the performance is unbearably slow. The customer who reported it developed an offline OPC Client that browsed the OPC Hierarchy so that it would be more efficient. Still they would like this addressed in the iHistorian product. I set this to a P2 because the workaround is not available to us.^,^Admin UI - General^,^Performance: browsing OPC Server when configuring the OPC Collector^ ^44772^,^If the server crashes or is shutdown and then restarted, the OPC collector will not reconnect to the new instance of the server unless it also is restarted.^,^Collector - OPC^,^OPC collector will not reconnect after server crash or shutdown^ ^44860^,^Enable point verification Go into Excel and import data. Symptoms: It does ask him to verify himself when he does the import and he does this. The import completes fine but when he searches messages he only sees a connection message for the user. It does not say what the user did when he connected. I set this up and see the same thing. Adding tags from Excel adds the appropriate message in the audit trail but importing data does not.^,^E-Signature^,^Audit trail not working when importing data from excel^ ^44902^,^ISSUE: there is no documentation in the ver 1.1 dos on configuring infoagent for internet access. There are two scenerios 1) an iA server in a DMZ 2) an iA server on a private ip inside a domain that uses IP forwarding from the public ip to the private IP should include all port # that we use and the implications of limiting this to a single http port May be more scenerios^,^Help^,^internet access to infoAgent sample configurations need to be documented^ ^44923^,^Registry changes to settings for handling value step changes with coll compression -------------------------------------------------- DESCRIPTION -------------------------------------------------- I need to change the algorithm that is used to determine the need for and location of the marker point when handling value step changes with collector data compression: BigDiff=abs(HI_EGU-LO_EGU)*(CompressionDeadbandPercent/(100.0*2.0))*4.0 If ( Collector Compression is Enabled ) If ( Elapsed time since LastReportedValue>=( SampleInterval * 5 ) ) If ( abs(CurrentValue-LastReportedValue) > BigDiff ) Write LastReportedValue,Timestamp=(CurrentTime-SampleInterval) I need to make the following changes: Change the number 4 in the BigDiff definition. Change the number 5 in the elapsed time condition. Change Write LastReportedValue,Timestamp=(CurrentTime-1ms) Thanks, Dave Leader 585-453-4691 dleader1@ocdus.jnj.com ---------------------------------------------------- *** RESEARCH LOG Jan 28 2004 6:49PM cperno Action Type:Engr Notes [!!] *** RESEARCH LOG Jan 28 2004 6:51PM cperno Action Type:Engr Notes [!!] ^,^Data Archiver^,^Additional Configurable settings for the BigSpikeIntervals^ ^44937^,^In EXCEL Add-In, Search Tag, put in filter for a tag, click search, get requested tags and then click the "Tag description" button. The window (with the list of found tags) gets smaller. Click "Tag names" to go back to tags request, window stays small. Go to description, gets smaller again. Etc until thinner than a McD hamburger. No way to make it bigger. ^,^EXCEL Add-In^,^Text list box gets smaller and smaller^


^Bug #^,^Description^,^Problem Area^,^Title^
^44364^,^In the iHistorian 2.0 (and 1.0) admin utiliities, if there is an invalid path defined in the "Default Archive Path" or "Default Backup Path", then the user can not longer click on the browse button to the right of these fields and select a new valid path.  They have to manually type in a valid path first in order to get the button to work again.^,^Admin UI - NonWeb^,^"Default Archive Path" browse not working (Case 273966)^
^44366^,^The issue you are reporting as "Invalid Licensing dll error message" has been seen when upgrading iHistorian version 1 with keyless option to iHistorian version 2 Keyless option.

Sent customer a new ihArchUtilsNoLic.dll file that was provided by MSI.
Need to ensure this issue is fixed in next release.^,^Security^,^Invalid Licensing dll error message^
^44367^,^Customer reported issue: could not start the ihistorian data archiver service on  error 2186 the service is not responding to the control function.

The iHistorian Data Archiver  failed to start.

The root cause of the failure was that the License Key  expired.

We need to handle this in a way that makes the root cause more obvious.

1) an archiver log file entry
2) a more descriptinve application log entry^,^Licensing^,^ the service is not responding to the control function^
^44368^,^Polled calculation tags will poll faster than configured when the result variable is not set in the formula.^,^Collector - Calculation^,^Calculation tag poll time ignored if Result = null    (Case 271042)^
^44370^,^There are circumstances where archives are automatically created causing overlapping timestamps between archives and the archives cannot be loaded.  Customer would like the product to prevent the occurance of this issue.

Steps to Reproduce:
Archive Configuration -> Global Options
Automatically create archives : Enabled
Overwrite old archives : Disabled

 ... Previously you have to backup the current and the inmediate before file.

 1. Stop ihDataArchiver service
2. Delete the current archive file
3. Start ihDataArchiver
4. Current archive have dissapeared (obviously). iHistorian will reopen the inmediate archive (already closed) before the current (dissapeared) and will add data. If you have previously set the closed archive file as "read-only" (before the test), iHistorian will create a new one automatically.  In both cases, if you try to restore a previous backup of the "old" current archive file, iHistorian gives you an error message due to a time overlap.  You get the same behaviour if you modify the archive header (simulating corruption) while ihDataArchiver is stopped.^,^Data Archiver^,^Archives created with overlapping timestamps^
^44371^,^In the non web admin program, if you go to restore an archive from backup and use the ... to browse for the location of the archive because it is not in the default directory, the file name gets updated, but the file location does not.  You have to go in and browse again for a second time and then the location will be updated.^,^Admin UI - General^,^iHistorian Administrator "Restore an Archive from Backup" (Case 273700)^
^44372^,^Adding collector with number only for a collector name removes all collectors from configuration.

^,^Collector Shell^,^Problem with collector name starting with a number (Case 274486)^
^44373^,^If you accidentally created a tagname of zero length, you are unable to delete it in the admin UI^,^Collector - Calculation^,^Unable to delete a blank tagname  (Case 270706)^
^44374^,^The search tag form list of found tags gets smaller each time the "Tag description" button is clicked.^,^EXCEL Add-In^,^Text list box gets smaller and smaller  (Case 273398)^
^44378^,^Documentation did not explain that this is designed behavior.  Nothing entered into the "Nodes to browse" list in the admin UI for iFIX collector browses every reachable iFIX or FIX32 node.

After reviewing this with engineering we agree that this is preferred behavior as this is the only way to browse all nodes with out manual entering all nodes in the remote nodes list.^,^Help^,^iFIX collector Empty nodes to browse list browses all nodes  (Case 274797)^
^44381^,^Would like to print out a topic and all subtopics, but when right-clicking on parent topic and selecting print, and then selecting "Print the selected heading and all subtopics", an error pops us that says, "The selected topics must be printed inidvidually."  This is not very useful.
Also when clicking the print icon for a topic heading (i.e. "What''''s new in ihistorian 2.0") a min of two pages always comes out.  The first is a page with just the "Send feedback on this topic to doc@gefanuc.com.  And the 2nd page is the actual text of that page.
Both these are very annoying.
I''''m sure other users would like to print out the documentation more than one topic at a time.

-------------------------------------------
This is a known behavior but many customers request this functionality.  If it is a limitation of using frames in the help, maybe we want to investigate a different implementation for the help.^,^Help^,^Cannot Print SubTopics in Help^
^44390^,^docs say it works but it does not.
sample query:
SELECT MIN(Timestamp), MAX(Timestamp), FilterValue
FROM ihRawData
WHERE TagName=Simulation00001
AND FilterTag=SimulationString00001
AND FilterMode=AfterTime
AND FilterComparisonMode=Equal
AND FilterValue=ABCD-1061997900026
AND SamplingMode=RawByTime
AND Timestamp >=today
GROUP BY FilterValue

above query works with a specific filtervalue.

same query with wildcard in filtervalue returns nothing:
SELECT MIN(Timestamp), MAX(Timestamp), FilterValue
FROM ihRawData
WHERE TagName=Simulation00001
AND FilterTag=SimulationString00001
AND FilterMode=AfterTime
AND FilterComparisonMode=Equal
AND FilterValue=ABCD-106199790002*
AND SamplingMode=RawByTime
AND Timestamp >=today
GROUP BY FilterValue

how do I get wildcards to work with the FilterValue parameter, as shown in the ebook?

*** RESEARCH LOG Oct  3 2003  2:52PM cperno Action Type:Engr Notes

[!<For Internal Use Only
 According to the Archiver.cpp in CompareValue() wildcards do not work.  There is no example in ebook like what Noel has using a where clause.  There is one that does a set FilterValue = 'ABC*'

Either way, it does not work and we should remove the SET example>!]^,^Help^,^Filtervalue OLE-DB query parameter support wildcards^
^44391^,^Per Wade,
 We need to take a look at the backup strategy in the 3.0 release.

--------------------------------------------------
 DESCRIPTION
--------------------------------------------------
    Please note that Steve Masterson is highly familiar with our systems.

We are trying to understand how to manage performing data backups (disaster recovery) on iHistorian v2.0 systems. Looking at the archives directory, we are seeing every archive showing a timestamp with today''''s date. Archive size is already totalling 4GB for about 2 months of operation.

We have archives set to be read-only at the default of 96 hrs. This setting gave us the impression that nothing would change in the archive after that time elapsed. This appears incorrect, since every archive has changed today.

If we want to perform backup to DVD, this would take a person nearly an hour every day. That is not a good use of a person''''s time. As time passes, the person''''s time needed per day would go up. In a year, it might take all day to do it. That is unacceptable.

The "backup archive" button process is also time consuming. Once a year passes, the number of archive files would make that operation very time consuming. Even now it is not very fast. Plus when an archive is already backed up, the process fails unless the user manually deletes the  old backup. That risks deleting the wrong files.

These computers are at remote sites. Originally we planned to backup archive files to a central file storage location on weekends when WAN traffic is minimal. We can handle 300mb files in this way, but tens (hundreds) of GB is not possible. The bandwidth just isn''''t there. Then, monthly, a local tech would write a DVD of all new archives.

This also ties into the IHC files not receiving a new timestamp when the config changes. How do we know to backup that file when it appears to have not changed? We are very concerned about the implications of a power failure in reguards to data loss.

How do we do incrimental backups when every single data file changes daily?

How can we automate the entire backup process? What tools does Intellution have to help with this?

Why is EVERY old archive being changed? No new data is coming in, calculations or collectors are not being recalculated, users are not putting in comments.

Will the archives changing invalidate the application for 21CFR11 in that data is not alterable and proof of that fact can be presented? Changing timestamps on old data makes that highly questionable.

If we backup an archive just once - when the next new archive is created - if we had to restore that copy at some date in the future:
What are the risks and considerations?
What would be lost?
Would it work?
What would be the effect of restoring archives that have been backed up across a long period of time. Meaning archive001 backup in May, ..., archive 037 in Aug, ..., archive258 a year later. When all get put back, would they work together to serve data?

What will happen if we set the read-only file bit? Will that prevent old archives from changing? What else will that mess up?

What are the performance implications when there are 500GB of archives? Will the system even run or will it be spending all its CPU time on editing archives that are years old?

If we have to backup every file every time, do we need to spend $25,000 on a tape loader for every one of these PCs just to backup that data? That would break the budget for the entire project.

Leaving the door open for data loss in the event of an unexpected catastophic failure (fire, virus, etc) must not happen. We need a way to perform backups that is reasonable cost wise, does not require human intervention to execute, and can work in a spread out corporate environment.
It must be able to restore data with no data loss for data older than when the last backup was made.^,^Archive Management^,^Archive file time stamp changes - How do we do backups?^
^44395^,^PRAXAIR:
The iHistorian v2.0 Excel Add-In uses one CAL whenever Excel is running. Does not matter if no add-in functions are being used on the worksheet. Users most often use Excel for purposes other than connecting to the iHistorian. Users find it very annoying to have to start and stop the add-in and are just leaving it run - either they forget or just don''''t bother. This is using up all available CALs even though they are not really being used - blocking legitimate access. This is giving the impression to users that the system is never available, and may erode support (i.e. funding) for future installations. Need the add-in to not use a CAL unless it is using iHistorian to get data.

Per Steve Friedenthal, customer wanted this in 2.0 but agreed to wait until 3.0.  The requirements and functionality have been discussed in detail.  Refer to Clarify Case #270167 for further details.^,^EXCEL Add-In^,^Excel Add-In CAL  use^
^44396^,^  Install iHistorian Excel Add-In on an Office 2003. During the installation, he gets an message saying that the installation requires Office 2000 or Office XP.
  Once Excel Add-in is on the machine it appears to work properly.  Looks like an install issue.^,^EXCEL Add-In^,^iHist Excel Add-In on Office 2003^
^44465^,^This from clarify 285240

There is a minor typo In the iHistorian 2.0 ebooks under the section:

Getting Started With iHistorian\Installing iHistorian Software\Upgrading From a Previous Release

"You can uninstall the iHistorian v1.0 product before installing iHistorian v2.0, but you do have to."

should be changed to "but you do not have to."^,^Help^,^Ebook is wrong about updating from iHist 1.0^
^44556^,^I have a problem with my iHistorian. I have tested the BLOB data type by using the SDK. During my testing,I have managed to insert a tag into iHistorian that has no Tag Name. This is a problem for me since I cannot export tags to Excel anymore and I cannot delete the tag from the Administrator. InfoAgent 2.0, beta 936d cannot browse the iHistorian anymore either.
For me it is no problem since I will just make a new IHC, but I would like to report the issue anyway. The next time it is acustomer that does what I did and perhaps he has no backup. Therefore it would be good if it is fixed to the next release of iHistorian. I have attached the IHC file for Your own testing.
Best regards
Ulf^,^SDK^,^Able to insert a tag into iHistorian that has no Tag Name^
^44575^,^Documentation says maximum recovery time for Server to Server collector is 4 hours.  This is a documentation bug, there is no upper limit to the recovery time. ^,^Collector - Server-To-Server^,^Documentation says maximum recovery time is 4 Hours (Case 289079)^
^44602^,^OPC collector treats server item handles of 0 as bad data quality. At least one OPC server uses a server item handle of zero.  This is rare, but allowed by the OPC specification and it is not handled by the collector.

This only affects polled tags.^,^Collector - OPC^,^OPC Collector Cannot Collect data when server handle is 0 (Case 276761)^
^44603^,^Total Time Good calculation mode cannot be used in a calculation formula of a calculation or server to server tag^,^Collector - Calculation^,^Total Time Good calculation mode cannot be used in a calculation (Case 277205)^
^44637^,^From a customer email:

One of my customers is working with iHistorian and has noticed that the documentation for iHistorian Server-to-Server collector states a maximum buffer of 4 hours worth of data, which would be a show-stopper for many applications requiring buffered server-to-server connection.  His initial call to Intellution/GE tech support verified the 4 hour time period as well.

Tom Koszuta has checked this out, the documentation is wrong, tech support initially was wrong, response as follows:

"The limit is incorrectly documented at 4 hours.  The limit is the appears to be 999999999 hours.  The case was handled directly between Scott and Jason Camara.  Jason ran a test that recovered over 16 hours.  The communication of this was on 3/18."

In case it comes up with one of your customers.

Steve, you might want to correct the documentation for Server-to-Server.
^,^Help^,^Server-to-Server max buffer spec  incorrect^
^44711^,^This is defined in the documentation with specifications as to the date and number formats that are required but is a serious obstacle to some of the overseas customers.  They need the collectors to be able to work with regional settings as defined on the system.  Specific examples include the date format, delimiter (,) and decimal indicator (.).^,^Collector - File^,^File Collectors don't support regional settings^
^44723^,^Customer runs the iFix collector in the task list with the command line /runasdos
When the iFix service starts up the iFix Collector starts in the background.
If they need to shutdown the collector and restart it they cannot restart it in the background without closing iFix.  When they start the collector it will start as a console app and if someone logs off the machine it will go away.  This becomes a problem since the machines are in production and they cannot restart fix without shutting down a production line.

It would be beneficial to be able to configure the iFIX collector as a service instead of working around the issue by running the iFIX collector through the iFIX startup task list.^,^Collector - iFIX^,^The iFIX collector needs to be able to be run as a Service^
^44735^,^Values at time 00:00:00 do not show the time, it only shows the date.

This can be demonstrated by collecting data over the midnight timeframe or by importing data.  Using the Non-Web Admin UI, trend the raw data so it will include the sample at 00:00:00.  At that time, only the date, not the time, will be displayed.

This is causing problems when charting using infoAgent and iFIX charting.  The Excel Add-in will display time as 00:00:00 if no time is given.^,^Admin UI - NonWeb^,^Values in Archive with time stamp 00:00:00 are not readable in Admin^
^44741^,^When browsing the OPC Servers from the iHistorian Administrator in hopes to configure tags for the OPC Collector, it has been reported that the performance is unbearably slow.  The customer who reported it developed an offline OPC Client that browsed the OPC Hierarchy so that it would be more efficient.  Still they would like this addressed in the iHistorian product.

I set this to a P2 because the workaround is not available to us.^,^Admin UI - General^,^Performance: browsing OPC Server when configuring the OPC Collector^
^44772^,^If the server crashes or is shutdown and then restarted, the OPC collector will not reconnect to the new instance of the server unless it also is restarted.^,^Collector - OPC^,^OPC collector will not reconnect after server crash or shutdown^
^44860^,^Enable point verification
Go into Excel and import data.

Symptoms:
It does ask him to verify himself when he does the import and he does this.  The import completes fine but when he searches messages he only sees a connection message for the user.  It does not say what the user did when he connected.
I set this up and see the same thing.

Adding tags from Excel adds the appropriate message in the audit trail but importing data does not.^,^E-Signature^,^Audit trail not working when importing data from excel^
^44902^,^ISSUE: there is no documentation in the ver 1.1 dos on configuring infoagent for internet access.

There are two scenerios

1) an iA server in a DMZ
2) an iA server on a private ip inside a domain that uses IP forwarding from the public ip to the private IP

should include all port # that we use and the implications of limiting this to a single http port

May be more scenerios^,^Help^,^internet access to infoAgent sample configurations need to be documented^
^44923^,^Registry changes to settings for handling value step changes with coll compression

--------------------------------------------------
 DESCRIPTION
--------------------------------------------------
    I need to change the algorithm that is used to determine the need for and location of the marker point when handling value step changes with collector data compression:

BigDiff=abs(HI_EGU-LO_EGU)*(CompressionDeadbandPercent/(100.0*2.0))*4.0
                If ( Collector Compression is Enabled )
                If ( Elapsed time since LastReportedValue>=( SampleInterval * 5 ) )
                If ( abs(CurrentValue-LastReportedValue) > BigDiff )
                    Write LastReportedValue,Timestamp=(CurrentTime-SampleInterval)

I need to make the following changes:
Change the number 4 in the BigDiff definition.
Change the number 5 in the elapsed time condition.
Change Write LastReportedValue,Timestamp=(CurrentTime-1ms)

Thanks,

Dave Leader
585-453-4691
dleader1@ocdus.jnj.com
----------------------------------------------------
*** RESEARCH LOG Jan 28 2004  6:49PM cperno Action Type:Engr Notes

[!<For Internal Use Only
 This is certainly doable, but to me it may not reflect the likely real world value.  It just makes things plot a little nicer.

We know what the real world value was 1 interval ago because we actually polled it.  We do NOT know what the real world value was 1 msec ago, so adding a raw point there may not reflect real world.

I always start by finding out if digital or analog value. If digital, maybe use Lab sampling instead of interpolated.  If analog, then no good workaround other than change collection interval or deadband.

Said another way, the location of the manufactured point is configurable today via the collection interval.  You can't do 1 msec but can do 100 ms though you will hit your PLC pretty hard.  >!]

*** RESEARCH LOG Jan 28 2004  6:51PM cperno Action Type:Engr Notes

[!<For Internal Use Only
 as a final note, in 3.0 we are probably moving big spike interval and big spike multiplier from registry into the admin ui.  If we create a new setting, we would want this to come with it into admin so we should decide pre 3.0 if we are doing this or not so that we can get all params into admin UI >!]
^,^Data Archiver^,^Additional Configurable settings for the BigSpikeIntervals^
^44937^,^In EXCEL Add-In, Search Tag, put in filter for a tag, click search, get requested tags and then click the "Tag description" button.  The window (with the list of found tags) gets smaller. Click "Tag names" to go back to tags request, window stays small. Go to description, gets smaller again.  Etc until thinner than a McD hamburger.
No way to make it bigger.

^,^EXCEL Add-In^,^Text list box gets smaller and smaller^


Notes

Proficy Historian 3.1 Release Notes

Table of Contents

Installation Troubleshooting

Upgrading from Historian 3.0

Before upgrading Historian, it is recommends that you follow these steps:

Start your Historian Data Archiver.

Backup all archive data files (*.iha), configuration files (*.ihc) and backup files. By default, you can find these files in the c:\Program Files\GE Fanuc\Proficy Historian\Archives folder.

Optionally, use the Excel Add-In to export your tag configuration for all tags. It is recommended that you export tags associated with each collector on a separate worksheet.

Uninstalling the old Historian Product

You can uninstall the old Historian product before installing the new Historian, but you do not have to. If you choose to uninstall, make sure that you remove all Historian SIMs before uninstalling the old Historian product.

If you uninstall the old Historian product, you do not need to remove any Historian archives, unless you want to. When you use the Windows Add Remove Programs wizard to uninstall Historian, a message box appears asking if you want to remove the archives. If upgrading, select the Do Not Delete Archives and Continue option and click Next to continue with the uninstall.

Installing the new Historian Product

If you chose to uninstall Historian first, make sure you restart your computer before installing the new Historian. For the steps on how to install Historian, refer to the section at beginning of this chapter, Installing Historian Software.

NOTE: If you have uninstalled a previous version of Proficy Historian and did not remove the archives, ensure you direct the new Historian to the previous install folder (for example, c:\Program Files\GE Fanuc\Proficy Historianx) so that the Historian install program will find the existing archives and configuration file.

Upgrading the Historian SDK

If you want to run an SDK program that you created with an older version of Historian on a newer version, you must first rebuild the program on a computer with an older version installed. You cannot run an SDK application built on an Historian node on a node running an older version of the software.

Changes in Archive Backup behaviour

If you backup an archive more than once, the backup tool will (by default) attempt to use the same name for the backup file and will detect that an archive with the same name already exists. Rename the backup archive file or move the original backup archive file from the target backup directory.

Archives loaded in Historian 3.1 are not readable in Historian 3.0

Archives loaded in Historian 3.1 will no longer be readable by the Historian 3.0 archiver

NOTE: Data archives loaded in Historian 3.1 will still be accessible to Historian 3.0 clients.

Proficy Plant Applications must be installed before installing Historian

If you want to configure Historian and Plant Applications 4.x to use a shared SQL Server Database, Plant Applications 4.x must be installed before installing Historian 3.1. Historian must be configured to point at the GDBD database on the shared SQL Server.

If you have already installed Historian 3.1, and want Plant Applications v4.x to connect to a shared SQL Server database, you must re-run the Historian setup program after Plant Applications v4.x has beeen installed.

NOTE: It is recommended to upgrade to Plant Applications v4.1 before installing Historian 3.1.

Cannot authenticate with SQL Server

In order for Proficy Historian to function properly with SQL Server 2000, SQL Server's authentication must be set to SQL Server and Windows, and not Windows Only. This can be changed or verified in Enterprise Manager by right-clicking on the SQL Server and selecting Properties, then clicking on the Security tab.

NOTE: This does not apply to installations using the MSDE database.

MSDE has 2 gigabyte database limitation

Historian installs MSDE if the Alarm and Event collector is selected, and will use MSDE by default. MSDE has a 2GB limit on the size of its databases. If your alarm and event database will exceed this limit, you may wish to use SQL Server instead of MSDE.

Error when installing plant database

When reinstalling Historian's plant database, you may receive the following error:

Archiver database failed: Fatal Error encountered: Script Execution Failure  Unable to prepare the database.

When the Plant database is uninstalled, it does not delete the database files associated with it. When the Plant database is being reinstalled, the setup program results in an error because the {machinenname}_plantdatabase.mdf and {machinenname}_plantdatabase.ldf files already exist.

To resolve this issue, locate the plantdatabase.ldf and plantdatabase.mdf files and manually delete them before reinstalling the Plant database.

NOTE: It is not recommended to uninstall the Plant Database if you have other Proficy products installed on the server, as data loss may occur.

If you choose to specify a SQL Server during the Historian setup, it is recommended that you first use Enterprise Manager to create an empty database on the SQL Server. This will ensure that your database files are created properly on the desired location.

Installing Historian when iFIX v2.6 and the Licensing SIM for Aladdin Keys is installed

If you try to install Historian v3.1 on a computer with iFIX v2.6 and the licensing SIM for Aladdin keys, when the license key section of the install appears, multiple dialog boxes appears stating that the setup program is "Unable to write to the log file."

To resolve this issue, there are two workarounds. Before you install Historian, on a computer that has iFIX v2.6 and the latest SIM installed you can perform either of the following:

- Run the license program from the Historian product CD separately and select yes to overwrite the files.

- Go to c:\winnt\Intellution folder and remove the read-only attributes for the following files:

- Ikeydiag.exe 7/15/02
- Netcheck.dll 7/24/02
- Slapi.dll 7/24/02
- Netsupport.dll 6/2/02
- IlicenseSvc.exe 7/23/02
- IkeyupdateRes.dll 7/12/02
- Ikeyupdate.exe 7/12/02
- IkeyDiagRes.dll 7/12/02

After you perform one of the workarounds, you can proceed to install Historian v3.1.

Data Execution Prevention (DEP) Support Statement For GE Fanuc Products Using Proficy Common Licensing

When trying to install any GE Fanuc application (i.e. iFIX, iHistorian, Cimplicity, or any 3rd Party application) the install may throw an error, freeze, or not appear to start or complete. You may also experience unexplained system lockups that require a complete reboot of the computer. This may be due to conflicts between DEP and the HASP driver included with Proficy Common Licensing.

DEP affects all products using HASP drivers. The HASP driver is included with Proficy Common Licensing, and is a part of all GE Fanuc software products. At this time, GE Fanuc products do not support running with hardware-based DEP turned on. Please read the remainder of this article for further detail of DEP and how to disable DEP.

For more information, please refer to this GlobalCare Knowledge Base article: http://globalcare.gefanuc.com/kc/kb/glbCarekbinfo.asp?objid=1553203&id=268450132

Proficy Historian Data Collectors

File Collector

Adding tags with the File Collector

If you are adding tags using the File Collector, ensure that you specify the Collector Source Address and the Tag Source Address fields in the CSV file. If you do not, the Collector and Source Names are not added to the tags created by the File Collector.

iFIX Collector

Starting the iFIX collector without iFIX running

If you attempt to start the iFIX Collector without iFIX running, an incorrect status displays in the Collection Status field of the Collector Maintenance Screen.

OPC Collector

Using status tags and collector status outputs with an ABR driver used as an OPC Server

The use of Status Tags and Collector Status Output fields (Rate Output, Heartbeat Output, and Status Output fields) is not supported with an Intellution ABR v7.23C or prior Driver running as an OPC Server.

OPC Browse Access Rights Mask

If you are unable to browse readable items in your OPC server with the OPC collector, you may need to change the browse access mask used by the collector. Specify the mask by using REGEDIT to creat the DWORD value "OPCBrowseAccessRightsMask" under the OPC collector. An exact REG file cannot be provided, since it is different for different OPC servers but here is an example:

Windows Registry Editor Version 5.00

[HKEY_LOCAL_MACHINE\SOFTWARE\Intellution, Inc.\iHistorian\Services\OPCCollector\T20_OPC_Matrikon_OPC_Simulation] "OPCBrowseAccessRightsMask"=dword:00000003

Valid values are 0, 1, 2, 3 with 1 being the default. Use 0 or 3 if you are unable to browse readable items. Creating or changing the value takes effect on the next browse attempt and does not require a collector restart.

OPC Quality Flags

OPC quality flags are a word value (16 bits) representing the quality state of a data value. The low 8 bits are arranged in three bit fields (quality, substatus and limit status) and the high 8 bits available for vendor specific use.

The low 8 bits are arranged as follows (QQ=quality, SSSS=substatus, LL=limit status):

QQSSSSLL

The standard OPC quality are defined below (refer to the OPC 2.0 spec. for complete details).

The Quality bit field

QQ | Bit Value | Define
0 | 00SSSSLL | Bad
1 | 01SSSSLL | Uncertain
2 | 10SSSSLL | N/A
3 | 11SSSSLL | Good

The Substatus bit field for BAD quality

SSSS | Bit Value | Define
0 | 000000LL | Non-speficic
1 | 000001LL | Configuration Error
2 | 000010LL | Not Connected
3 | 000011LL | Device Failure
4 | 000100LL | Sensor Failure
5 | 000101LL | Last Known Value
6 | 000110LL | Comm Failure
7 | 000111LL | Out of Service
8-15 |  | N/A

The Substatus bit field for UNCERTAIN quality

SSSS | Bit Value | Define
0 | 010000LL | Non-specific
1 | 010001LL | Last Usable Value
2-3 |  | N/A
4 | 010100LL | Sensor Not Accurate
5 | 010101LL | Engineering Units Exceeded
6 | 010110LL | Sub-Normal
7-15 |  | N/A

Proficy Historian and CIMPLICITY

Upgrade steps for users of CIMPLICITY HMI Collector

A CIMPLICITY HMI data collector was released as an Historian 2.0 SIM. That collector is now available in Historian 3.1. If you were using the 2.0 version, please review the following upgrade notes.

  • The CIMPLICITY collector is not checked on upgrade. When upgrading to Historian 3.1, select the CIMPLICITY collector install option.
  • Collector settings are preserved on upgrade but consider deleting and registering the collector to complete the upgrade. Note that if you delete the collector, settings are not preserved but return to defaults. To delete and reregister the collector perform the following steps:
    1. delete the collector in admin UI. Do NOT delete the tags associated with collector
    2. restart the project or at least restart the IHCOLL project option in the workbench to restart the collector. The collector will reregister with the archiver and will appear in the admin UI.

    NOTE: You may want to convert the tag's CollectorType property from Other to CIMPLICITY. The easiest way to do this is to export the tags to Excel, change the collector type, and reimport.

  • The CIMPLICITY HMI collector functions best when writing to a 3.0 or newer data archiver. A 2.0 or below archiver will not understand the new CIMPLICITY collector type. Use the 2.0 sim PE collector instead (If you are running in 2.0).

Proficy Historian and iFIX

Receiving EGU Errors when migrating Classic Historian data

When migrating your Classic Historian data to Historian, you may receive one or more "Error 1209" messages in the log. This error occurs when a tag is migrated that is missing one of the following fields:

  • HI EGU
  • LO EGU
  • Desc

Not all tag types have these fields, and the error is harmless.

Collector type may not display properly after Advanced Historian migration

If you use the Advanced Historian to Historian migration utility without first migrating your groups using the Classic Historian migration utility, the Collector Type of the migrated data may not display properly. If you use the iFIX Expression Editor to browse the tag list of migrated data, the Collector Type field will show blank or All.

To correct the Collector Type field, perform a bulk edit of the tags using the Excel Add-In.

Uninstalling Historian if iFIX v2.6 is installed.

If iFIX v2.6 is installed, when you uninstall Historian, you should select No if prompted to remove the shared file named SPR32X30.OCX, the Farpoint Spreadsheet v3.0 (a third-party ActiveX control).

If the install removes the SPR32X30.OCX file, the iFIX WorkSpace reports a VBA compile error the next time you open the iFIX WorkSpace.

If you receive the compile error when you open the iFIX WorkSpace, run the following command from the iFIX base path:

regsvr32 SPR32X30.OCX

This command re-registers the Farpoint Spreadsheet.

Receiving EGU errors when migrating classic historian

iFIX Alarm Migration on Kanji SQL Server

iFIX Alarm Migration running on Kanji iFIX can fail to migrate acknowledgement messages when alarms are stored on an English version of SQL Server. Ensure that the Kanji alarms are properly stored in SQL Server before trying to migrate them.

Proficy Historian and OSI PI

Upgrade steps for users of OSI PI Collector and Distributor

A CIMPLICITY HMI data collector was released as an Historian 2.0 SIM. That collector became available in Historian 3.0. If you were using the 2.0 version, please review the following upgrade notes.

  • The OSI PI collector and distributor are not selected on upgrade. When upgrading to Historian 3.1, select the OSI PI collector and distributor install options.
  • Collector settings are preserved on upgrade but consider deleting and reinstalling the collector to complete the upgrade. Note that if you delete the collector, settings are not preserved but return to defaults.
  • The OSI PI collector functions best when writing to a 3.0 or newer data archiver. A 2.0 or below archiver will not understand the new OSI PI collector type. Use the 2.0 sim OSI PI collector instead (If you are running in 2.0).

Proficy Historian and Antivirus Software

It is recommended that antivirus software be configured to exclude Historian archive and ihc files from antivirus scans, as this may interfere with server operation.

Proficy Historian and Microsoft Windows

Windows Firewall enabled by default in Windows XP SP2 and Server 2003

If you install Proficy Historian on a Windows XP system, you will be prompted to allow Proficy Historian to reconfigure the Windows Firewall. If you answer Yes, Historian will be added to the firewall's exception list and set to Enabled. If you answer No, Historian will be added to the list and set to Disabled. You can change this setting through the Windows Firewall control panel at any time.

Optimizing server settings for Windows 2000 Server, Advanced Server, or NT 4.0 Server

If you are running Historian on a Windows 2000 Server, Windows 2000 Advanced Server, or NT 4.0 Server computer, do not set your File and Printer Sharing for the Server optimization options to Maximum Throughput for File Sharing. The Maximize Data Throughput for File Sharing setting in File and Printer Sharing for Microsoft Networks Properties controls the system cache size and allows the cache to grow very large. This could cause excessive paging when dealing with large files and might interfere with applications like Historian.

It is recommended that you select the Maximum Data Throughput for Network Applications.

To view or change your Server Optimization settings on Windows 2000 servers:

1. Open the Control Panel.
2. Double-click the Network and Dial-Up Connections icon. The Network and Dial-up Connections dialog box appears.
3. Right-click on the Local Area Connection Properties icon and select Properties.
4. Select the File and Printer Sharing for Microsoft Networks component and click the Properties button.
5. Ensure that the Maximize Data Throughput for Network Applications options is selected.
6. Click OK.

For more information on changing the Server Service properties, refer to the Microsoft Knowledge Base article Q228766.

To view or change your Server Optimization settings on Windows NT 4.0 servers:

1. Open the Control Panel.
2. Double-click the Network icon. The Network Properties dialog box appears.
3. In the Services tab, select the Server service and select Properties.
4. Ensure that the Maximize Data Throughput for Network Applications option is selected.
5. Click OK.

Changing time zones on a Windows 2000 computer

If you need to change the time zone on a Windows 2000 computer, you must select the desired time zone (from the Time Zone tab of the Date/Time Properties dialog box in Control Panel) and then restart Windows 2000. The time zone change will not take effect until you have re-started Windows.

Archiver obtaining list of domain controllers

If the archiver is configured to use domain group security, the data archiver obtains the list of primary and backup domain controllers at archiver startup. If a domain controller is not available at that time or if you add new domain controllers, they are not seen by the archiver until the next time the archiver is restarted. For example, if your backup domain controller was not available on archiver startup, the archiver will not failover to the backup domain controller for user authentication.

Invalid username and password error when running Historian Web Administrator on Windows 98

If you are running the Historian Web Administrator on a Windows 98 computer and are logging on with a valid username and password but receiving an invalid username and password error, run the installation for Internet Explorer v6.0 on the Historian CD and install Visual Basic Scripting support.

If you are using Internet Explorer v5.5, install the VBScript support component. Optionally, you can upgrade to Internet Explorer v6.0 which has built-in VBScript support.

Proficy Historian General Troubleshooting

Receiving an ihConfigurationGetProperties error

If you receive a single ihConfigurationGetProperties[-2] error in the collector.LOG file, the error most likely occurred as a result of the collector connecting and querying for changes in the tag database immediately, getting a timeout, and then immediately querying again and succeeding.

Web Administrator not working with Zone Alarm Pro

Zone Alarm Pro has a privacy feature for ad blocking, cookie control and mobile code control that causes the Web Administrator to cease functioning.

In order to use the Historian Web Administrator with Zone Alarm Pro, you must completely disable Zone Alarm's privacy features. Consult your Zone Alarm Pro documentation for more information.

Alarm archiver does not start up

The alarm archiver requires a valid license, and will not start in demo mode. Plug in a valid license key and reboot your computer.

UserAPI Programs not freeing up memory

User API Programs built with anything other than Visual Studio .NET should be modified to call ihuFreePtr() to free any memory pointers returned by the User API. Do not free these pointers using free() in your application or you can have memory corruption.


Historian - Requirements

System Requirements

Hardware Requirements

For Historian Servers, the minimum hardware requirements are:

  • A Pentium 4-based 2.0 GHz or better computer with 1 GB RAM.

  • A CD-ROM drive.

  • 100 MBit TCP/IP-compatible network interface adapter for network communication and certain I/O drivers.

  • A screen resolution of at least 1024 X 768.

  • 80 GB free hard drive space, for the data archives, message files, buffer files, and log files used by the system.

For Data Collector nodes, the recommended minimum hardware requirements are:

  • A Pentium 4-based 2.0 GHz or better computer with 512 MB RAM.

  • 40 GB of free hard drive space to store buffered data.

  • A CD-ROM drive.

  • TCP/IP-compatible network interface adapter for network communication and certain I/O drivers.

For the Microsoft Cluster service, the minimum hardware requirements are:

  • A Pentium 4-based 2.0Ghz or better computer with 1GB of RAM

  • 80 GB of local free hard drive space

  • 40 GB shared SCSI hard drive (RAID preferred)

  • Two 100Mbit TCP/IP-compatible network interface adapters for network communication and certain I/O drivers (one for public network, another for private network).

NOTE: The configuration of each server added to the cluster must be identical to the other servers in the cluster.

You determine the size of an Historian Server as a function of the number of tags from which data is collected, the rate of alarm and event collection, and how often you intend to collect the data and how much data you want to keep online. The number of tags is an indicator of the number of concurrent users likely to access the system. The primary factor is server memory requirements; CPU load is a secondary factor. If the number of concurrent users is significantly different from the suggested guidelines, adjust server memory size accordingly.

Use the following parameters to determine the size of the Historian Server.

Tags | Users | RAM (MB) | Recommended Archive Size | CPU
5000 | 10 | 1000 | 100MB | Single
10,000 | 30 | 1000 | 500MB | Single
20,000 | 50 | 1000 | 500MB | Dual
50,000 | 100 | 1000 | 500MB | Dual
100,000 | 200 | 1000 | 500MB | Quad
150,000 | 200 | 2000 | 1GB | Quad
200,000 | 200 | 2000 | 1GB | Quad
250,000 | 200 | 3000 | 1GB | Quad

For iFIX systems, count each Node.Tag.Field (NTF) as a separate tag when you determine the size of the system. For example, FIX.FIC101.F_CV and FIX.FIC101.B_CUALM (current alarm) both count as tags, even though they are derived from the same iFIX tag.

Use the following parameters to determine the size of the Historian Alarm and Event archiver.

Alarm & Event Rate | RAM | CPU
1 / minute | 1GB | Single
1 / second | 2GB | Single
10 / second | 2GB | Single
100 / second | 4GB | Double

You must have disk storage capacity in the multi-GB range for the many data archive files (typically 500 MB each) and alarms you will generate, especially if you want to keep old data online.

NOTE: As more applications run simultaneously on a server, performance decreases. Whenever possible, run additional applications on separate computers.

Software Requirements

The minimum Historian software requirements are:

  • Windows NT v4.0 operating system with Service Pack 6 or later installed, Windows XP Pro, or Windows 2000 Professional operating system with Service Pack 2 or later for Historian Servers and Data Collectors.

  • Internet Explorer v5.5 or greater (v6.0 or greater when using with Server-to-Server or Calculation Collectors)

  • For Windows 2000, Windows XP Pro, or Windows NT systems with Historian Web Administrators, Microsoft IIS (Internet Information Server). IIS is not required for Historian Non-Web Administrators. Windows 2000 or higher is required for the Alarm and Event archiver.

  • Network interface software for network communication. The TCP/IP network protocol is required.

  • SQL Server 2000 SP2 or greater required for "Use Existing SQL Server" option in alarm and event archiving configuration.

  • The Historian Excel Add-In requires installation of Microsoft Office 2000, Office XP, or Office 2003.

  • The Historian Web Administrator requires the Java Runtime Environment version 1.4.2_02 or later.

Compatibility

Several GE Fanuc products work with Proficy Historian. The following is a general set of required versions to work with Historian 3.0.

Product | Required Version
Proficy RTIP | 2.1 with current service packs.
CIMPLICITY | To work with CIMPLICITY Alarm and Event Data, the CIMPLICITY A&E Server must be of version 6.1 SP4, 6.1 SP3 Hotfix, or later. On Windows 2000 SP3 and Windows 2003 SP1, 6.1 SP5 or later is required.
Machine Edition View | To work with Machine Edition data, the Machine Edition software must be version 5.0 SP1 or later.
iFIX | To work iFIX alarm and event data, you must have iFIX version 3.0 or 3.5 and the iFIX OPC AE Server for your version. The iFIX OPC AE Server for your version is available through GlobalCare. NOTE: You will need a valid GlobalCare account to download the iFIX OPC AE Server.
ROC Driver | Version 6.31 is required for use with Historian.


Proficy Historian 3.1 SP1 Known Issues

Proficy Historian 3.1 Known Issues

^Bug #^,^Description^,^Problem Area^,^Title^ ^47128^,^If a user attempts to browse a PCS7 project with over 100,000 items the following error may occur: "This Browse Resulted In An Error. Please Try Again. The Details Of The Error Follows: Collector::BrowseTags>> Failed To Brows Collector FER_OS_606_01_OPC_OPCServer_WinCC"^,^Collector - OPC^,^Historian browsing problems with large PCS7 project^ ^47155^,^While testing 47097, found some issues while processing a large flush. Running 52 collectors running 2 collectors listed but stopped over 43,000 tags Receive rate ~968,000 Archives set to 1 gig. Archiver stopped processing around 3:00am Sunday Morning. 2/6/06 9:15am Monday came in and saw that the server was not processing. The service window indicated that it was running, but nothing was being processed. Stopped the service and restarted at 2/6/2006 9:46:37.859 AM Collectors showed up as running. Flush from weekend started to process. Started to receive buffer messages while flush is occurring. Collectors started turning red. Some Collector logs started to show the error: [2/6/2006 9:49:04.703 AM] Warning: Error on ihConfigurationGetProperties [-2] [2/6/2006 9:52:04.734 AM] Warning: Could Not Add Collector [FXBQARDB_OPC_Matrikon_OPC_Simulation] [-2] [2/6/2006 10:02:35.734 AM] Warning: Error on ihConfigurationGetProperties [-2] [2/6/2006 10:04:06.734 AM] Warning: Error on ihConfigurationGetProperties [-2] IHistorianSDKErrors.log - showed error retrieving collector properties. 2/6/2006 09:46:34-Server::iHistorian SDK Server Terminating Version: 3.1.1744 2/6/2006 09:47:39-Server::iHistorian SDK Server Instantiating Version: 3.1.1744 2/6/2006 09:56:35-Server::iHistorian SDK Server Instantiating Version: 3.1.1744 2/6/2006 09:56:36-Server::iHistorian SDK Server Instantiating Version: 3.1.1744 2/6/2006 09:56:36-Server::iHistorian SDK Server Instantiating Version: 3.1.1744 2/6/2006 10:29:07-Collector::zRefreshProperties>> Overflow 2/6/2006 10:29:07-Collector::zRefreshProperties>> Overflow 2/6/2006 10:29:42-Collector::zRefreshProperties>> Overflow 2/6/2006 10:29:42-Collector::Status>> Error Retrieving Collector Properties... 2/6/2006 10:29:42-Collector::zRefreshProperties>> Overflow 2/6/2006 10:29:42-Collector::ComputerName>> Error Retrieving Collector Properties... 2/6/2006 10:29:42-Collector::zRefreshProperties>> Overflow 2/6/2006 10:29:42-Collector::PerformanceStatistics>> Error Retrieving Collector Properties... Receive rate eventually went down to almost nothing. Many of the collectors were red. At this point there were about 20 archive files. Reduced the number of archives to 5 Server did not start right away. DataArchiver-61.log Server started Turned off auto create and turned off auto backup. Still saw the following warning on some collector logs. Warning: Error on ihConfigurationGetProperties [-2] Stopped and started the server to make sure the service was running with the admin changes made. Receive rate went to over 15 million. Most Collectors were showing as running. DataArchiver-62.log Checked server about 45 minutes later. Many of the Collectors were red again. Events were not processing. Nothing was being logged in the DataArchiver log. It appeared that the server was hung. Did not see any new ihConfigurationGetProperties [-2] errors since the first time starting the 5 archive files but it appeared that the service was not processing. Stopped server around 4:00pm Installed build 1746. Server did not start right away. Received the error: "Could not start the Historian Data Archiver service on local computer. Error 1053: The service did not respond to the start or control request in a timely fashion." Re-started server. Collectors started as running, but quickly started to go to red. Flush was still occurring from the weekend when the server stopped at 3:00am on 2/5/06 Ended up deleting some of the large buffer files to get the archiver in a state so we could test 47097. Not sure if the archiver would have eventually stabilized on its own. Will try to duplicate the large flush again.^,^Data Archiver^,^While processing large flushes, receive Error on ihConfigurationGetProperties ^ ^47120^,^If you have a 10 second and 1 second polled tag in OPC collector, both are put in same OPC group with a poll rate of 1/2 second. This puts a unnecessary load on the PLC. Also, more than one OPC group is created, and they are all at 1/2 second.^,^Collector - OPC^,^RSLINX Update rate being set to 1/2 of shortest poll time^


^Bug #^,^Description^,^Problem Area^,^Title^
^48936^,^The Data Archiver handle count will grow as archives are created and closed.  An archive that started as "maximum" caching will use the same number of handles even as it is demoted to "minimum" and finally "none" caching.  When the archiver is restarted the handle count will decrease for the same number of archives because the same archive will start at caching level of none.^,^Data Archiver^,^Data Archiver handles are not freed when cache level changes to none^
^48886^,^User is unable to delete a tag with leading or trailing spaces.  When this is encountered, contact support and send the IHC to GE Fanuc.
^,^Data Archiver^,^Historian  user is unable to delete a tag with leading or trailing spaces^
^48877^,^ An archiver memory usage status bar was added to the non-web admin UI.  That same status bar does not currently appear in the web admin.
^,^Admin UI - Web^,^Historian Admin Web UI new server memory display does not appear^


Proficy Historian 3.1 SP1 New Features

IMPORTANT: Please review the readme.txt file for important information about special instructions and previous SIMs contained in this service pack. The readme.txt file is located in the following path:

\Program Files\GE Fanuc\Proficy Historian\SIMS\iH31_SP1BackupFiles\readme.txt

Historian 2GB Server Memory Limit Management

Historian 3.1 SP1 includes improved server memory utilization for better management of Windows’ 2 GB memory constraint. This includes reduced per-archive memory cost for online archives and a new indicator bar in the Main page of the Proficy Historian Non-Web Administrator to display live server memory usage.

Throttle Large Store and Forward Buffer Flush

Collector store and forward buffers are now throttled for more predictable network behavior during recovery after a collector/server disconnect. Collectors now cap their store and forward buffer send rate to a multiple of the normal, connected data rate. This multiple may be tuned for each installed collector instance via a registry setting. View the Release Notes tab for details.

Historian Archive Migration Tool (IHA Migration)

The IHA (iHistorian Archive) migration tool can be used to merge archives and save space. Detailed instructions can be found in the readme.txt located at the following path:

\Program Files\GE Fanuc\Proficy Historian\SIMS\iH31_SP1BackupFiles\readme.txt.

Sustained data write rate of 100,000 samples per second

Historian 3.1 Service Pack 1 now supports a sustained data write rate of 100,000 samples per second.

Microsoft Internet Explorer 7

Historian 3.1 SP1 now supports Internet Explorer 7 with the Historian web UI.

Microsoft Excel 2007

MS Excel 2007 has been verified to be compatible with the Historian Excel Add-in. Instructions for installation and setup is located under the Release Notes tab.

Microsoft SQL Server 2005

Microsoft SQL Server 2005 has been tested and verified to work with Historian 3.1 SP1. However Microsoft SQL Server 2005 Express is not supported.

Microsoft Windows 2003 R2

Historian 3.1 SP1 is now support on Windows 2003 R2.

Historian User API Development Files

Historian 3.1 SP1 includes header, library, and documentation files for the User API. This API allows you to develop programs in C and C++ that read and write historical data.

The files and documentation are located in the following directory:

\Program Files\GE Fanuc\Proficy Historian\api

Visual Studio .NET 2003

Historian SDK has been tested with modern programming languages, specifically VB.NET without issue.

Improved API Logging

API Logging has been improved to assist in troubleshooting API related issues. The additional logging can be enabled through the registry.


Proficy Historian 3.1 SP1 Fixed Defects

Proficy Historian 3.1 Fixed Defects

^Bug #^,^Description^,^Problem Area^,^Title^ ^44364^,^In the iHistorian 2.0 (and 1.0) admin utiliities, if there is an invalid path defined in the "Default Archive Path" or "Default Backup Path", then the user can not longer click on the browse button to the right of these fields and select a new valid path. They have to manually type in a valid path first in order to get the button to work again.^,^Admin UI - NonWeb^,^"Default Archive Path" browse not working (Case 273966)^ ^44366^,^The issue you are reporting as "Invalid Licensing dll error message" has been seen when upgrading iHistorian version 1 with keyless option to iHistorian version 2 Keyless option. Sent customer a new ihArchUtilsNoLic.dll file that was provided by MSI. Need to ensure this issue is fixed in next release.^,^Security^,^Invalid Licensing dll error message^ ^44367^,^Customer reported issue: could not start the ihistorian data archiver service on error 2186 the service is not responding to the control function. The iHistorian Data Archiver failed to start. The root cause of the failure was that the License Key expired. We need to handle this in a way that makes the root cause more obvious. 1) an archiver log file entry 2) a more descriptinve application log entry^,^Licensing^,^ the service is not responding to the control function^ ^44368^,^Polled calculation tags will poll faster than configured when the result variable is not set in the formula.^,^Collector - Calculation^,^Calculation tag poll time ignored if Result = null (Case 271042)^ ^44370^,^There are circumstances where archives are automatically created causing overlapping timestamps between archives and the archives cannot be loaded. Customer would like the product to prevent the occurance of this issue. Steps to Reproduce: Archive Configuration -> Global Options Automatically create archives : Enabled Overwrite old archives : Disabled ... Previously you have to backup the current and the inmediate before file. 1. Stop ihDataArchiver service 2. Delete the current archive file 3. Start ihDataArchiver 4. Current archive have dissapeared (obviously). iHistorian will reopen the inmediate archive (already closed) before the current (dissapeared) and will add data. If you have previously set the closed archive file as "read-only" (before the test), iHistorian will create a new one automatically. In both cases, if you try to restore a previous backup of the "old" current archive file, iHistorian gives you an error message due to a time overlap. You get the same behaviour if you modify the archive header (simulating corruption) while ihDataArchiver is stopped.^,^Data Archiver^,^Archives created with overlapping timestamps^ ^44371^,^In the non web admin program, if you go to restore an archive from backup and use the ... to browse for the location of the archive because it is not in the default directory, the file name gets updated, but the file location does not. You have to go in and browse again for a second time and then the location will be updated.^,^Admin UI - General^,^iHistorian Administrator "Restore an Archive from Backup" (Case 273700)^ ^44372^,^Adding collector with number only for a collector name removes all collectors from configuration. ^,^Collector Shell^,^Problem with collector name starting with a number (Case 274486)^ ^44373^,^If you accidentally created a tagname of zero length, you are unable to delete it in the admin UI^,^Collector - Calculation^,^Unable to delete a blank tagname (Case 270706)^ ^44374^,^The search tag form list of found tags gets smaller each time the "Tag description" button is clicked.^,^EXCEL Add-In^,^Text list box gets smaller and smaller (Case 273398)^ ^44378^,^Documentation did not explain that this is designed behavior. Nothing entered into the "Nodes to browse" list in the admin UI for iFIX collector browses every reachable iFIX or FIX32 node. After reviewing this with engineering we agree that this is preferred behavior as this is the only way to browse all nodes with out manual entering all nodes in the remote nodes list.^,^Help^,^iFIX collector Empty nodes to browse list browses all nodes (Case 274797)^ ^44381^,^Would like to print out a topic and all subtopics, but when right-clicking on parent topic and selecting print, and then selecting "Print the selected heading and all subtopics", an error pops us that says, "The selected topics must be printed inidvidually." This is not very useful. Also when clicking the print icon for a topic heading (i.e. "What''''s new in ihistorian 2.0") a min of two pages always comes out. The first is a page with just the "Send feedback on this topic to doc@gefanuc.com. And the 2nd page is the actual text of that page. Both these are very annoying. I''''m sure other users would like to print out the documentation more than one topic at a time. ------------------------------------------- This is a known behavior but many customers request this functionality. If it is a limitation of using frames in the help, maybe we want to investigate a different implementation for the help.^,^Help^,^Cannot Print SubTopics in Help^ ^44390^,^docs say it works but it does not. sample query: SELECT MIN(Timestamp), MAX(Timestamp), FilterValue FROM ihRawData WHERE TagName=Simulation00001 AND FilterTag=SimulationString00001 AND FilterMode=AfterTime AND FilterComparisonMode=Equal AND FilterValue=ABCD-1061997900026 AND SamplingMode=RawByTime AND Timestamp >=today GROUP BY FilterValue above query works with a specific filtervalue. same query with wildcard in filtervalue returns nothing: SELECT MIN(Timestamp), MAX(Timestamp), FilterValue FROM ihRawData WHERE TagName=Simulation00001 AND FilterTag=SimulationString00001 AND FilterMode=AfterTime AND FilterComparisonMode=Equal AND FilterValue=ABCD-106199790002* AND SamplingMode=RawByTime AND Timestamp >=today GROUP BY FilterValue how do I get wildcards to work with the FilterValue parameter, as shown in the ebook? *** RESEARCH LOG Oct 3 2003 2:52PM cperno Action Type:Engr Notes [!!]^,^Help^,^Filtervalue OLE-DB query parameter support wildcards^ ^44391^,^Per Wade, We need to take a look at the backup strategy in the 3.0 release. -------------------------------------------------- DESCRIPTION -------------------------------------------------- Please note that Steve Masterson is highly familiar with our systems. We are trying to understand how to manage performing data backups (disaster recovery) on iHistorian v2.0 systems. Looking at the archives directory, we are seeing every archive showing a timestamp with today''''s date. Archive size is already totalling 4GB for about 2 months of operation. We have archives set to be read-only at the default of 96 hrs. This setting gave us the impression that nothing would change in the archive after that time elapsed. This appears incorrect, since every archive has changed today. If we want to perform backup to DVD, this would take a person nearly an hour every day. That is not a good use of a person''''s time. As time passes, the person''''s time needed per day would go up. In a year, it might take all day to do it. That is unacceptable. The "backup archive" button process is also time consuming. Once a year passes, the number of archive files would make that operation very time consuming. Even now it is not very fast. Plus when an archive is already backed up, the process fails unless the user manually deletes the old backup. That risks deleting the wrong files. These computers are at remote sites. Originally we planned to backup archive files to a central file storage location on weekends when WAN traffic is minimal. We can handle 300mb files in this way, but tens (hundreds) of GB is not possible. The bandwidth just isn''''t there. Then, monthly, a local tech would write a DVD of all new archives. This also ties into the IHC files not receiving a new timestamp when the config changes. How do we know to backup that file when it appears to have not changed? We are very concerned about the implications of a power failure in reguards to data loss. How do we do incrimental backups when every single data file changes daily? How can we automate the entire backup process? What tools does Intellution have to help with this? Why is EVERY old archive being changed? No new data is coming in, calculations or collectors are not being recalculated, users are not putting in comments. Will the archives changing invalidate the application for 21CFR11 in that data is not alterable and proof of that fact can be presented? Changing timestamps on old data makes that highly questionable. If we backup an archive just once - when the next new archive is created - if we had to restore that copy at some date in the future: What are the risks and considerations? What would be lost? Would it work? What would be the effect of restoring archives that have been backed up across a long period of time. Meaning archive001 backup in May, ..., archive 037 in Aug, ..., archive258 a year later. When all get put back, would they work together to serve data? What will happen if we set the read-only file bit? Will that prevent old archives from changing? What else will that mess up? What are the performance implications when there are 500GB of archives? Will the system even run or will it be spending all its CPU time on editing archives that are years old? If we have to backup every file every time, do we need to spend $25,000 on a tape loader for every one of these PCs just to backup that data? That would break the budget for the entire project. Leaving the door open for data loss in the event of an unexpected catastophic failure (fire, virus, etc) must not happen. We need a way to perform backups that is reasonable cost wise, does not require human intervention to execute, and can work in a spread out corporate environment. It must be able to restore data with no data loss for data older than when the last backup was made.^,^Archive Management^,^Archive file time stamp changes - How do we do backups?^ ^44395^,^PRAXAIR: The iHistorian v2.0 Excel Add-In uses one CAL whenever Excel is running. Does not matter if no add-in functions are being used on the worksheet. Users most often use Excel for purposes other than connecting to the iHistorian. Users find it very annoying to have to start and stop the add-in and are just leaving it run - either they forget or just don''''t bother. This is using up all available CALs even though they are not really being used - blocking legitimate access. This is giving the impression to users that the system is never available, and may erode support (i.e. funding) for future installations. Need the add-in to not use a CAL unless it is using iHistorian to get data. Per Steve Friedenthal, customer wanted this in 2.0 but agreed to wait until 3.0. The requirements and functionality have been discussed in detail. Refer to Clarify Case #270167 for further details.^,^EXCEL Add-In^,^Excel Add-In CAL use^ ^44396^,^ Install iHistorian Excel Add-In on an Office 2003. During the installation, he gets an message saying that the installation requires Office 2000 or Office XP. Once Excel Add-in is on the machine it appears to work properly. Looks like an install issue.^,^EXCEL Add-In^,^iHist Excel Add-In on Office 2003^ ^44465^,^This from clarify 285240 There is a minor typo In the iHistorian 2.0 ebooks under the section: Getting Started With iHistorian\Installing iHistorian Software\Upgrading From a Previous Release "You can uninstall the iHistorian v1.0 product before installing iHistorian v2.0, but you do have to." should be changed to "but you do not have to."^,^Help^,^Ebook is wrong about updating from iHist 1.0^ ^44556^,^I have a problem with my iHistorian. I have tested the BLOB data type by using the SDK. During my testing,I have managed to insert a tag into iHistorian that has no Tag Name. This is a problem for me since I cannot export tags to Excel anymore and I cannot delete the tag from the Administrator. InfoAgent 2.0, beta 936d cannot browse the iHistorian anymore either. For me it is no problem since I will just make a new IHC, but I would like to report the issue anyway. The next time it is acustomer that does what I did and perhaps he has no backup. Therefore it would be good if it is fixed to the next release of iHistorian. I have attached the IHC file for Your own testing. Best regards Ulf^,^SDK^,^Able to insert a tag into iHistorian that has no Tag Name^ ^44575^,^Documentation says maximum recovery time for Server to Server collector is 4 hours. This is a documentation bug, there is no upper limit to the recovery time. ^,^Collector - Server-To-Server^,^Documentation says maximum recovery time is 4 Hours (Case 289079)^ ^44602^,^OPC collector treats server item handles of 0 as bad data quality. At least one OPC server uses a server item handle of zero. This is rare, but allowed by the OPC specification and it is not handled by the collector. This only affects polled tags.^,^Collector - OPC^,^OPC Collector Cannot Collect data when server handle is 0 (Case 276761)^ ^44603^,^Total Time Good calculation mode cannot be used in a calculation formula of a calculation or server to server tag^,^Collector - Calculation^,^Total Time Good calculation mode cannot be used in a calculation (Case 277205)^ ^44637^,^From a customer email: One of my customers is working with iHistorian and has noticed that the documentation for iHistorian Server-to-Server collector states a maximum buffer of 4 hours worth of data, which would be a show-stopper for many applications requiring buffered server-to-server connection. His initial call to Intellution/GE tech support verified the 4 hour time period as well. Tom Koszuta has checked this out, the documentation is wrong, tech support initially was wrong, response as follows: "The limit is incorrectly documented at 4 hours. The limit is the appears to be 999999999 hours. The case was handled directly between Scott and Jason Camara. Jason ran a test that recovered over 16 hours. The communication of this was on 3/18." In case it comes up with one of your customers. Steve, you might want to correct the documentation for Server-to-Server. ^,^Help^,^Server-to-Server max buffer spec incorrect^ ^44711^,^This is defined in the documentation with specifications as to the date and number formats that are required but is a serious obstacle to some of the overseas customers. They need the collectors to be able to work with regional settings as defined on the system. Specific examples include the date format, delimiter (,) and decimal indicator (.).^,^Collector - File^,^File Collectors don't support regional settings^ ^44723^,^Customer runs the iFix collector in the task list with the command line /runasdos When the iFix service starts up the iFix Collector starts in the background. If they need to shutdown the collector and restart it they cannot restart it in the background without closing iFix. When they start the collector it will start as a console app and if someone logs off the machine it will go away. This becomes a problem since the machines are in production and they cannot restart fix without shutting down a production line. It would be beneficial to be able to configure the iFIX collector as a service instead of working around the issue by running the iFIX collector through the iFIX startup task list.^,^Collector - iFIX^,^The iFIX collector needs to be able to be run as a Service^ ^44735^,^Values at time 00:00:00 do not show the time, it only shows the date. This can be demonstrated by collecting data over the midnight timeframe or by importing data. Using the Non-Web Admin UI, trend the raw data so it will include the sample at 00:00:00. At that time, only the date, not the time, will be displayed. This is causing problems when charting using infoAgent and iFIX charting. The Excel Add-in will display time as 00:00:00 if no time is given.^,^Admin UI - NonWeb^,^Values in Archive with time stamp 00:00:00 are not readable in Admin^ ^44741^,^When browsing the OPC Servers from the iHistorian Administrator in hopes to configure tags for the OPC Collector, it has been reported that the performance is unbearably slow. The customer who reported it developed an offline OPC Client that browsed the OPC Hierarchy so that it would be more efficient. Still they would like this addressed in the iHistorian product. I set this to a P2 because the workaround is not available to us.^,^Admin UI - General^,^Performance: browsing OPC Server when configuring the OPC Collector^ ^44772^,^If the server crashes or is shutdown and then restarted, the OPC collector will not reconnect to the new instance of the server unless it also is restarted.^,^Collector - OPC^,^OPC collector will not reconnect after server crash or shutdown^ ^44860^,^Enable point verification Go into Excel and import data. Symptoms: It does ask him to verify himself when he does the import and he does this. The import completes fine but when he searches messages he only sees a connection message for the user. It does not say what the user did when he connected. I set this up and see the same thing. Adding tags from Excel adds the appropriate message in the audit trail but importing data does not.^,^E-Signature^,^Audit trail not working when importing data from excel^ ^44902^,^ISSUE: there is no documentation in the ver 1.1 dos on configuring infoagent for internet access. There are two scenerios 1) an iA server in a DMZ 2) an iA server on a private ip inside a domain that uses IP forwarding from the public ip to the private IP should include all port # that we use and the implications of limiting this to a single http port May be more scenerios^,^Help^,^internet access to infoAgent sample configurations need to be documented^ ^44923^,^Registry changes to settings for handling value step changes with coll compression -------------------------------------------------- DESCRIPTION -------------------------------------------------- I need to change the algorithm that is used to determine the need for and location of the marker point when handling value step changes with collector data compression: BigDiff=abs(HI_EGU-LO_EGU)*(CompressionDeadbandPercent/(100.0*2.0))*4.0 If ( Collector Compression is Enabled ) If ( Elapsed time since LastReportedValue>=( SampleInterval * 5 ) ) If ( abs(CurrentValue-LastReportedValue) > BigDiff ) Write LastReportedValue,Timestamp=(CurrentTime-SampleInterval) I need to make the following changes: Change the number 4 in the BigDiff definition. Change the number 5 in the elapsed time condition. Change Write LastReportedValue,Timestamp=(CurrentTime-1ms) Thanks, Dave Leader 585-453-4691 dleader1@ocdus.jnj.com ---------------------------------------------------- *** RESEARCH LOG Jan 28 2004 6:49PM cperno Action Type:Engr Notes [!!] *** RESEARCH LOG Jan 28 2004 6:51PM cperno Action Type:Engr Notes [!!] ^,^Data Archiver^,^Additional Configurable settings for the BigSpikeIntervals^ ^44937^,^In EXCEL Add-In, Search Tag, put in filter for a tag, click search, get requested tags and then click the "Tag description" button. The window (with the list of found tags) gets smaller. Click "Tag names" to go back to tags request, window stays small. Go to description, gets smaller again. Etc until thinner than a McD hamburger. No way to make it bigger. ^,^EXCEL Add-In^,^Text list box gets smaller and smaller^


^Bug #^,^Title^,^Problem Area^,^Description^
^49023^,^The OPC collector writes the names of invalid tags to the collector log.  These are items that no longer exist or may have been entered wrong.  The collector was already listing the names of invalid polled tags.  Now it lists the names of invalid unsolicited tags. ^,^Collector - OPC^,^Historian^,^OPC collector does not log tagnames of invalid tags^
^48937^,^Continuous disconnects from a remote OPC server saw increased handle and thread counts that were not seen to decline on a steady connection.^,^Collector - OPC^,^Historian^,^OPC Collector - Handle and Thread Leak on continuous reconnect.^
^48916^,^The IHA migration program produces a logfile containing the results of the migration.  The messages in that logfile are now timestamped so you can tell how long the migration took.
^,^Data Migration^,^Historian^,^IHA Migration Tool - Logging - Place Timestamps on Log Messages^
^48845^,^Time Zone Bias settings maximum and minimum value specified in error message for Web Admin is incorrect: the actual minimum is -720 found through testing and comparison of NonWeb Admin.  Web Admin indicates -780 is the minimum.
^,^Admin UI - Web^,^Historian^,^Web Admin: Time Zone Bias - Warning Dialog Incorrect (Cosmetic)^


Notes

Proficy Historian 3.1 SP1 Release Notes

Table of Contents

Installation Troubleshooting

Upgrading from Historian 3.1

Before upgrading Historian, it is recommended that you follow these steps:

  1. Stop the Historian Data Archiver service.
  2. Back up all archive data files (*.iha), configuration files (*.ihc) and backup files. By default, you can find these files in the c:\Program Files\GE Fanuc\Proficy Historian\Archives folder.
  3. Optionally, use the Excel Add-In to export your tag configuration for all tags. It is recommended that you export tags associated with each collector to a separate worksheet.

Installing Proficy Historian 3.1 Service Pack 1

Before installing Proficy Historian Service Pack 1, stop all running Historian services by going to Administrative Tools, and then Services. The installation process for the Proficy Historian 3.1 Service Pack 1 should automatically uninstall your SIMs. However, the automatic uninstall of your SIMs may fail during the service pack install if files are locked. An error will display indicating the file which is in use. You will be required to stop the services or applications locking the file, then attempt the installation again.

You can choose to manually uninstall your Historian SIMs prior to installing the service pack. To uninstall SIMs manually, you must first stop all Historian Services, then go into your systems control panel, click on add/remove programs, and remove those SIMs. It is recommended after any SIM uninstall to restart your system.

Archive Backup Behavior

If you back up an archive more than once, the backup tool will, by default, attempt to use the same name for the backup file and will detect that an archive with the same name already exists. Rename the backup archive file or move the original backup archive file from the target backup directory.

Data Execution Prevention (DEP) Support Statement For GE Fanuc Products Using Proficy Common Licensing

When trying to install any GE Fanuc application (For Example, iFIX, iHistorian, CIMPLICITY) or any 3rd Party application, the install may display an error, stop responding, or appear not to start or complete. You may also experience unexplained system lockups that require a complete reboot of the computer. This may be due to conflicts between DEP and the HASP driver included with Proficy Common Licensing.

DEP affects all products using HASP drivers. The HASP driver is included with Proficy Common Licensing, and is a part of all GE Fanuc software products. At this time, GE Fanuc products do not support running with hardware-based DEP turned on. Please read the remainder of this article for further detail of DEP and how to disable DEP.

For more information, please refer to this Knowledge Base article: http://support.gefanuc.com/support/index?page=kbchannel&id=S:23301021e12f6d011417920b5e006000

Proficy Historian IHA (Historian Archive) Migration Tool

How to use the IHA Migration Tool

The Historian Archive Migration Tool is commonly used for:

  • Merging archives to save space.
  • Migrating archives from one server to another with different server names.
  • Reducing large archives into smaller archives.

The IHA Migration utility will only migrate one (1) archive at a time by design. As a result, if you are required to add more than one (1) archive at a time, you can create a batch file to automate multiple archive merges for you. When migrating any archive into another, you need to start with the earliest time stamped archive first, followed by later times in sequence. Failure to do this could produce undesirable results.

When creating a batch file, you need to provide it with a logical name and save the batch (.bat) file in a location that you can easily access from the command line. The following is an example of how contents of the batch file should appear:

  cd C:\Program Files\GE Fanuc\Proficy Historian
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive001.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive002.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive003.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive004.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive005.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive006.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive007.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive008.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive009.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive010.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive011.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive012.iha

Additional command line options for the IHA Migration tools are:

/NOTHROTTLE - This does not throttle any part of the migration process, but may impact resources on the server. Optionally, you can remove this switch as required. By default throttling is rated at 5000 events per second.

/NOMESSAGES - This does not migrate messages into the newly created archive. Using this switch may or may not reduce the size of your archives, depending on the number of messages stored in the archive. By default, messages are migrated if this switch is not used.

/b - This option of the start.exe file allows the IHA Migration tool to start without opening a new window for each instance.

/wait - This option of the start.exe file allows each instance of the IHA Migration tool to complete the migration before starting the next migration in the sequence.

For further details and instructions, refer to the following readme file:

  • \Program Files\GE Fanuc\Proficy Historian\SIMS\iH31_SP1BackupFiles\readme.txt

Proficy Historian and Microsoft Excel 2007

Installing Excel Add-in for Excel 2007

Requirement: Make sure that Visual Basic for Applications is installed before installing the Excel Add-in for Excel 2007. This is typically located under Office Shared Features in the Office 2007 installation process.

To install Excel Add-in for Excel 2007, use the following steps:

  1. In Excel 2007, click the Office button in the top left corner.
  2. Click Options and then go to Add-Ins.
  3. Make sure the drop-down list for Manage is set for Excel Add-ins, and click Go.
  4. Select Proficy Historian Add-In.

If the installation is successful a new menu item appears under Add-Ins. If it does not appear then you may need to shutdown and restart Excel. If you receive an error such as: "This workbook has lost its VBA project, ActiveX controls and other programmability-related features." , the most probable cause is that Visual Basic for Applications was not installed. Install this application by navigating to Office Shared Features through the Office 2007 installation process.

Changes to the Proficy Historian non-Web Admin UI Time Format

As a result of integrating SIM 1-343889412 into Proficy Historian 3.1 SP1, time stamps in a raw data query have changed. This change applies to the last 10 values, or raw by time data query, in the non-web admin UI.

The new format includes milliseconds if you have non-zero millisecond time stamps, but it will also show time using a 24 hour clock.

Proficy Historian Alarm and Events Server with Microsoft SQL Server 2005

If you are using Microsoft SQL 2005 Server as your Alarm and Events database server, you must install SIM IH31PDB_1-129038384, located in the following path:

\Program Files\GE Fanuc\Proficy Historian\IH31PDB_1-129038384.exe

Installation of this SIM is required for the Alarm and Events database in order to have the ability to backup or restore. Failure to install the SIM results in the inability to perform these functions.

Proficy Historian and Microsoft SQL Server 2005 Linked Server Connection

To setup a Microsoft 2005 Linked Server Connection with Historian 3.1 SP1

To install the Historian OLE DB Provider, run the Historian installation setup program from the Historian install CD and enable and install the Historian OLE DB Driver option. This makes the Historian OLE DB Provider available on the SQL Server 2005 machine.

To configure a linked server connection to Proficy Historian from Microsoft SQL 2005 perform the following steps:

  1. Open Microsoft SQL Server Management Studio.
  2. In the Object Explorer, click Server Objects, then click Linked Servers.
  3. Right-Click the Linked Servers folder and select New Linked Server.
  4. On the General configuration page, enter the following:
  5. Enter a name for the new Linked Server connection, such as iHist.
  6. For Server Type, select Other data source.
  7. For Provider, select iHistorian OLE DB Provider from the list.
  8. For Product Name, enter Proficy Historian.
  9. For Data Source, enter the computer name of the Historian server that you will be connecting to.
  10. Click the OK button.

A new Linked Server will be created under the Linked Servers folder in the Object Explorer.

Configuring the Proficy Historian OLE DB Provider Properties

To configure the Proficy Historian OLE DB provider Properties, perform the following steps:

  1. Expand the Providers folder which is located inside the Linked Servers folder in the Object Explorer.
  2. Right-click the ihOLEDB.iHistorian provider and select Properties.
  3. Enable the following Provider Options:
  • Level zero only
  • Allow inprocess
  • Supports 'Like' operator

Historian OLE DB Provider and Microsoft SQL Server 2005 Service Pack 2

Beginning with SQL 2005 Service Pack 2, apartment threaded OLE DB providers are not allowed as linked servers. You can override this restriction with a command line parameter to the SQL Server service.

If you have a working Historian linked server, then install SQL 2005 SP2 and attempt an OPENQUERY the following error displays:

"OLE DB provider [target] cannot be used for distributed queries because the provider is configured to run in single-threaded apartment mode."

Attempts to configure a new linked server results in error 7308.

Changing the Historian OLEDB provider to "ThreadingModel=Both" does allow the provider to starting working, but has not been thoroughly tested.

The following instructions allow apartment threaded OLE DB providers to work on SQL 2005 SP2. This adds the Trace flag 7300 to the SQL Server by adding a -T7300 command line parameter to the Sql Server Service.

  1. Start SQL Server Configuration Manager and select SQL Server 2005 Services.
  2. Right-click SQL Server (MSSQLSERVER)and choose Properties.
  3. Click the Advanced tab and then the Startup Parameters in the list. You should have some existing command line parameters; -d -e -l.
  4. At the end of those parameters, add a ;-T7300 note that is the number 7300. Do not add a space before the semi colon.
  5. Restart the SQL Server service, or restart the machine.

If completed correctly, the Historian linked server should start working again. Verify that the trace flag is enabled by going into a query window of Management Studio and typing DBCC TRACESTATUS(-1). Traceflag 7300 should display in the results with status=1, global=1, and session=0.

With this setting in place, the existing linked server should now be operational. The linked server should have the ability to set up a new linked server as well as the ability to use the security context dialog to connect to historian as a specific user.

Throttling Store and Forward Buffer Flush

Store and forward buffering is a key feature of Historian collectors. It prevents data loss during planned or unplanned network outage between a collector and Historian server.

If the collector is disconnected from the archiver for several hours or days, many megabytes of data can be buffered and must be delivered by the collector to the Data Archiver upon reconnect. Since all data is sent from the collector to the archiver in time order, the design goal has been to catch up to real time as quickly as possible by sending data as fast as possible.

If this is not the desired behavior because you want to limit the network load on a slow, shared Wide Area Network (WAN) or you want to limit the CPU load on the Data Archiver caused by the incoming data, you can configure the collector to throttle the data it is sending.

NOTE: Throttling Store and Forward does not affect the alarm and events collector.

Configuring the BufferFlushMultiplier

Configuring the throttle is easy, but due to modifying a key in the registry, this should be done with caution. A DWORD registry key called BufferFlushMultiplier is present under each collector under:

HKey_Local_Machine\Software\Intellution, Inc.\iHistorian\Services\YOUR_COLLECTOR_TYPE.

To slow the store and forward throttling, enter a value of 2 in the registry on the BufferFlushMultiplier key. To disable throttling, set the value to 0 or delete the registry value. The 2 means that the collector should never send data at more than 2 times its normal rate. This limits network and CPU load, but because data is sent in time order, you are not able to retrieve near current time historical data until the throttled flush is complete.

Proficy Historian and Antivirus Software

It is recommended that antivirus software be configured to exclude Historian archive and ihc files from antivirus scans, as this may interfere with server operation.

Proficy Historian and Microsoft Windows

Windows Firewall Enabled by Default in Windows XP SP2 and Server 2003

If you install Proficy Historian on a Windows XP system, you will be prompted to allow Proficy Historian to reconfigure the Windows Firewall. If you answer Yes, Historian will be added to the firewall's exception list and set to Enabled. If you answer No, Historian will be added to the list and set to Disabled. You can change this setting through the Windows Firewall control panel at any time.

Optimizing Server Settings for Windows 2000 Server, Advanced Server, or NT 4.0 Server

If you are running Historian on a Windows 2000 Server, Windows 2000 Advanced Server, or NT 4.0 Server computer, do not set your File and Printer Sharing for the Server optimization options to Maximum Throughput for File Sharing. The Maximize Data Throughput for File Sharing setting in File and Printer Sharing for Microsoft Networks Properties controls the system cache size and allows the cache to grow very large. This could cause excessive paging when dealing with large files and might interfere with applications like Historian.

It is recommended that you select the Maximum Data Throughput for Network Applications.

To view or change your Server Optimization settings on Windows 2000 servers:

  1. Open the Control Panel.
  2. Double-click the Network and Dial-Up Connections icon. The Network and Dial-up Connections dialog box appears.
  3. Right-click the Local Area Connection Properties icon and select Properties.
  4. Select the File and Printer Sharing for Microsoft Networks component and click the Properties button.
  5. Ensure that the Maximize Data Throughput for Network Applications options is selected.
  6. Click OK.

For more information on changing the Server Service properties, refer to the Microsoft Knowledge Base article Q228766.

To view or change your Server Optimization settings on Windows NT 4.0 servers:

  1. Open the Control Panel.
  2. Double-click the Network icon. The Network Properties dialog box appears.
  3. Right-click on the Local Area Connection Properties icon and select Properties.
  4. In the Services tab, select the Server service and select Properties.
  5. Ensure that the Maximize Data Throughput for Network Applications option is selected.
  6. Click OK.

Changing Time Zones on a Windows 2000 Computer

If you need to change the time zone on a Windows 2000 computer, you must select the desired time zone (from the Time Zone tab of the Date/Time Properties dialog box in Control Panel) and then restart Windows 2000. The time zone change does not take effect until you re-start Windows.

Archiver Obtaining List of Domain Controllers

If the archiver is configured to use domain group security, the data archiver obtains the list of primary and backup domain controllers at archiver startup. If a domain controller is not available at that time or if you add new domain controllers, they are not seen by the archiver until the next time the archiver is restarted. For example, if your backup domain controller was not available on archiver startup, the archiver will not fail over to the backup domain controller for user authentication.

Invalid Username and Password Error When Running Historian Web Administrator on Windows 98

If you are running the Historian Web Administrator on a Windows 98 computer and are logging on with a valid username and password but receiving an invalid username and password error, run the installation for Internet Explorer v6.0, on the Historian CD and install Visual Basic Scripting support.

If you are using Internet Explorer v5.5, install the VBScript support component. Optionally, you can upgrade to Internet Explorer v6.0 which has built-in VBScript support.

Proficy Historian General Troubleshooting

Receiving an ihConfigurationGetProperties Error

If you receive a single ihConfigurationGetProperties[-2] error in the collector.LOG file, the error most likely occurred as a result of the collector connecting and querying for changes in the tag database immediately, getting a timeout, and then immediately querying again and succeeding.

Web Administrator Not Working With Zone Alarm Pro

Zone Alarm Pro has a privacy feature for ad blocking, cookie control and mobile code control that causes the Web Administrator to cease functioning.

In order to use the Historian Web Administrator with Zone Alarm Pro, you must completely disable Zone Alarm's privacy features. Consult your Zone Alarm Pro documentation for more information.

Alarm Archiver Does Not Start Up

The alarm archiver requires a valid license, and will not start in demo mode. Plug in a valid license key and restart your computer.

User API Programs Not Freeing Up Memory

User API Programs built with anything other than Visual Studio .NET should be modified to call ihuFreePtr() to free any memory pointers returned by the User API. Do not free these pointers using free() in your application or you can risk memory corruption.


Historian 3.1 SP1 - Requirements

System Requirements

Hardware Requirements

For Historian Servers, the minimum hardware requirements are:

  • A Pentium 4-based 2.0 GHz or better computer with 1 GB RAM.

  • A CD-ROM drive.

  • 100 MBit TCP/IP-compatible network interface adapter for network communication and certain I/O drivers.

  • A screen resolution of at least 1024 X 768.

  • 80 GB free hard drive space, for the data archives, message files, buffer files, and log files used by the system.

For Data Collector nodes, the recommended minimum hardware requirements are:

  • A Pentium 4-based 2.0 GHz or better computer with 512 MB RAM.

  • 40 GB of free hard drive space to store buffered data.

  • A CD-ROM drive.

  • TCP/IP-compatible network interface adapter for network communication and certain I/O drivers.

For the Microsoft Cluster service, the minimum hardware requirements are:

  • A Pentium 4-based 2.0Ghz or better computer with 1GB of RAM

  • 80 GB of local free hard drive space

  • 40 GB shared SCSI hard drive (RAID preferred)

  • Two 100Mbit TCP/IP-compatible network interface adapters for network communication and certain I/O drivers (one for public network, another for private network).

NOTE: The configuration of each server added to the cluster must be identical to the other servers in the cluster.

You determine the size of an Historian Server as a function of the number of tags from which data is collected, the rate of alarm and event collection, and how often you intend to collect the data and how much data you want to keep online. The number of tags is an indicator of the number of concurrent users likely to access the system. The primary factor is server memory requirements; CPU load is a secondary factor. If the number of concurrent users is significantly different from the suggested guidelines, adjust server memory size accordingly.

Use the following parameters to determine the size of the Historian Server.

Tags | Users | RAM (MB) | Recommended Archive Size | CPU
5000 | 10 | 1000 | 100MB | Single
10,000 | 30 | 1000 | 500MB | Single
20,000 | 50 | 1000 | 500MB | Dual
50,000 | 100 | 1000 | 500MB | Dual
100,000 | 200 | 1000 | 500MB | Quad
150,000 | 200 | 2000 | 1GB | Quad
200,000 | 200 | 2000 | 1GB | Quad
250,000 | 200 | 3000 | 1GB | Quad

For iFIX systems, count each Node.Tag.Field (NTF) as a separate tag when you determine the size of the system. For example, FIX.FIC101.F_CV and FIX.FIC101.B_CUALM (current alarm) both count as tags, even though they are derived from the same iFIX tag.

Use the following parameters to determine the size of the Historian Alarm and Event archiver.

Alarm & Event Rate | RAM | CPU
1 / minute | 1GB | Single
1 / second | 2GB | Single
10 / second | 2GB | Single
100 / second | 4GB | Double

You must have disk storage capacity in the multi-GB range for the many data archive files (typically 500 MB each) and alarms you will generate, especially if you want to keep old data online.

NOTE: As more applications run simultaneously on a server, performance decreases. Whenever possible, run additional applications on separate computers.

Software Requirements

The minimum Historian software requirements are:

  • Windows NT v4.0 operating system with Service Pack 6 or later installed, Windows XP Pro, Windows 2000 Professional operating system with Service Pack 2 or later, or Windows 2003 and Windows 2003 R2 for Historian Servers and Data Collectors.

    NOTE: Microsoft Windows Vista is currently not supported with Proficy Historian.

  • Internet Explorer v5.5 or greater (v6.0 or greater when using with Server-to-Server or Calculation Collectors)

  • For Windows Server 2003, Windows 2000, Windows XP Pro, or Windows NT systems with Historian Web Administrators, Microsoft IIS (Internet Information Server). IIS is not required for Historian Non-Web Administrators. Windows 2000 or higher is required for the Alarm and Event archiver.

  • Network interface software for network communication. The TCP/IP network protocol is required.

  • SQL Server 2000 SP2 (or higher service packs), SQL Server 2005 Standard, or SQL Server 2005 Enterprise are required for "Use Existing SQL Server" option in alarm and event archiving configuration.

  • The Historian Excel Add-In requires installation of Microsoft Office 2000, Office XP, Office 2003, or Office 2007.

  • The Historian Web Administrator requires the Java Runtime Environment version 1.4.2_02 or later.

Compatibility

Several GE Fanuc products work with Proficy Historian. The following is a general set of required versions to work with Historian 3.1.

Product | Required Version
Proficy RTIP | 2.1 with current service packs.
CIMPLICITY | To work with CIMPLICITY Alarm and Event Data, the CIMPLICITY A&E Server must be of version 6.1 SP4, 6.1 SP3 Hotfix, or later. On Windows 2000 SP3 and Windows 2003 SP1, 6.1 SP5 or later is required.
Machine Edition View | To work with Machine Edition data, the Machine Edition software must be version 5.0 SP1 or later.
iFIX | To work iFIX alarm and event data, you must have iFIX version 3.0 or 3.5 and the iFIX OPC AE Server for your version. The iFIX OPC AE Server for your version is available through GlobalCare. NOTE: You will need a valid GlobalCare account to download the iFIX OPC AE Server.
ROC Driver | Version 6.31 is required for use with Historian.


^Bug #^,^Description^,^Problem Area^,^Title^
^5497^,^^,^Install^,^Historian DataArchiver does not start when Cimplicity is installed. Workaround: You must install CIMPLICITY 7.5 or 8.0 before installing Historian 3.5. If Historian 3.5 is already installed, then you must perform the Historian Maintenance installation after installing Cimplicity 7.5 or 8.0.^
^6178^,^^,^OPC HDA Server^,^You cannot browse and read raw data on a machine that has Visual Studio 2005 installed.^
^23358^,^^,^Install^,^The destination changes for Archives automatically if the directory for Historian is modified during the Install.^
^23437^,^^,^Archives^,^You cannot add multiple archives with user-defined Archive names.^
^23668^,^^,^Install^,^TestDB.exe crashes during installation if Historian A&E database is located in a remote location.^
^23921^,^^,^Install^,^Windows event log message “aksfridge service failed” is displayed every time you logon to Windows.  This error message is caused by “Aladdin software drivers” and has no impact on Proficy Historian 3.5 functionality.^
^6208^,^^,^Install^,^Error message "Error 1706. No valid source could be found for product Proficy Historian. The Windows Installer cannot continue." may be found during the maintenance install.This error message has no impact on Proficy Historian 3.5 functionality. If you see the error message, click OK to continue.^


Proficy Historian 3.5 New Features

Microsoft Windows Vista and Windows Server 2008 support

You can run Historian 3.5 on Windows Vista SP1 32-bit (Business, Ultimate and Enterprise), Windows Server 2008-32 bit, or Windows 2008 Server 64bit edition (WoW64) operating systems.

When you are installing Proficy Historian on Windows Vista SP1 32-bit (Business, Ultimate, and Enterprise), Windows Server 2003 SP2, Windows Server 2008 32-bit, or Windows 2008 Server 64bit edition (WoW64), you must run the installer as an administrator. Also, if you want to run Historian Web Administrator on Windows Vista or Server 2008, you must enable parent paths.

For more information, refer to the Installing the Historian Server topic in the online help.

Enhanced Installer

You can now install Excel Add-in, Client Tools, and Collectors independently using the individual component installer.

For more information, refer to the Installing Historian Software topic in the online help.

SQL Server 2008 Express

Historian now uses SQL Server 2008 Express to store Alarm and Event (A&E) data collected from any OPC-compliant A&E server.

IMPORTANT: If you choose to install the Alarm and Event Archiver then you must restart your computer to complete the SQL Server Express 2008 and Plant Database installations.

NOTE: If you are using SQL Server 2005, then you must enable TCP/IP network protocol before installing Historian 3.5.

For more information, refer to the Historian Alarm and Event SQL Configuration topic in the online help.

OPC Historical Data Access (HDA 1.20) Server

OPC HDA Clients can now read the raw data stored in the Historian. Any OPC HDA complaint client can connect to Proficy Historian OPC HDA Server to acquire and analyze the raw data.

For more information, refer to the Historian OPC HDA Server online help.

Virtual Machine Support

VMware is an officially supported and tested environment on VMWare ESX 3.5.0 for running Proficy Historian 3.5. For more information, click the Release Notes tab.

Multiple Archives Support

Historian 3.5 now supports creating multiple Archives at the same time.

For more information, refer to the Adding Archives topic in the online help.

Dynamic Collector Updates

The dynamic collector update feature ensures that any modifications done to the tag configuration do not affect all the tags in a collector. Only the tags that stop data collection will record zero data and bad quality without restarting the collector. In other words, the tags that do not stop data collection do not record bad data samples to the collection.

Whenever you add tags, delete tags, or modify certain tag properties, the following collectors reload only the modified tag(s) without restarting the collectors.

  • OPC Collector
  • iFIX Collector
  • Calculation Collector
  • Simulation Collector
  • Server to Server Collector
  • PI Collector
  • PI Distributor

All the collector configuration changes done within a 30 second time frame are batched up together and applied to the collector.

For more information, refer to the Dynamic Collector Updates topic in the online help.

Active Directory Support

You can now configure the DataArchiver to use a different set of Windows calls called Active Directory Services Interface (ADSI) when using Historian security. Configuring the DataArchiver to use Active Directory Services Interface (ADSI) allows you to:

  • Login to the Historian even if the DataArchiver is unable to enumerate any domain controllers during the DataArchiver startup.
  • Access a Backup Domain Controller if a Primary Domain Controller is not available temporarily or permanently.

For more information, refer to the Configuring DataArchiver to use Active Directory Service Interface topic in the online help.


^Bug #^,^Description^,^Problem Area^,^Title^
^1-764344517^,^^,^Data Archiver^,^DataArchiver crashes when you encounter a long alarm message with an invalid timestamp.^
^1-761933847^,^^,^Data Archiver^,^Crash when retrieving floats as comments.^
^1-698620501^,^^,^Tag Configuration^,^Re-adding a deleted tag with iH Tag admin security gives an error.^
^1-719244811^,^^,^Excel Add-in^,^Step value average does not work when query spans archives.^
^1-622802101/1-726281051^,^^,^Historian Server^,^Data Archiver stack overflows when reading out of order data.^
^1-694908707^,^^,^OLE DB^,^OLE DB cannot use LIKE on tag with underscore.^
^1-510761518^,^^,^Archiver Service^,^User cannot backup archives larger than 4 gig with alarms.^
^1-679436541^,^^,^Other^,^OPC AE memory leaks on checking vendor attributes.^
^1-543548611^,^^,^Other^,^Excel opens slowly when you double click on a spreadsheet.^
^1-622671642^,^^,^Collector OPC^,^You cannot collect alarms from a DLL A+E server.^
^1-545969111^,^^,^Collector - OPC^,^Collector failover leaves collection group.^
^1-614902118^,^^,^OLE DB^,^You cannot use tagname with single quote in WHERE clause.^
^1-444392131^,^^,^Excel Add-In^,^Tag import fails in the Dutch language version of excel for boolean properties.^
^1-444853947^,^^,^Calculation Collector^,^Calculation collector fails multiple tags when reading a missing tag.^
^1-416461371^,^^,^Excel Add-In^,^Excel query using trend sampling mode is truncated.^
^1-421619471^,^^,^Collector- Cimplicity^,^The Cimplicity collector crashes on collector reload when some source addresses do not contain a ".VALUE" extension.^
^1-365113691^,^^,^Server^,^Issue while browsing a CIMPLICITY project with more than 20,000 points.^
^1-469882561^,^^,^Collector^,^Memory leak in Calculation or Server to Server collector when CurrentQuality, NextQuality, PreviousQuality, NextTime, and PreviousTime of a string tag are used.^
^1-510586961^,^^,^Migration^,^iFIX classic migration program is enhanced to allow the user to pass the *.H24, *.H08, *.H04 file name to migrate as part of the command line to IFIX2IH.exe.^
^1-620968824^,^^,^Collector^,^Whenever a File Collector sends its status, there is a memory leak in a Data Archiver. ^
^1-482521779^,^^,^Data Archiver^,^Issue with returning comments stored in a non-cached archiver.^
^1-649781601^,^^,^Admin UI - NonWeb^,^The Admin UI does not allow the user to query the last ten values from the list of 30,000 tags.^
^1-676130467^,^^,^Admin UI -General^,^A comment can be applied to the wrong tag during a multiple tag query.^
^1-518766471^,^^,^Server^,^The standard deviation calculation mode is not using time weighting and the values returned from the query are incorrect.^
^1-511282885^,^^,^Collector^,^The Non Web Admin UI displays an error message when the collector redundancy watchdog tag is left blank.^
^1-507975264^,^^,^Admin UI - General^,^Queries returning multiple samples are not updated.^
^1-444119643^,^^,^Admin UI - NonWeb^,^Archiver memory used status bar of Admin UI returns zero bytes on German XP.^
^1-422615682^,^^,^Cluster^,^Cannot disable "Maintain Auto Recovery Files" option when running on a cluster.^
^1-334922672^,^^,^Server^,^Comments do not reflect raw samples used in a calculation.^
^1-442107313^,^^,^Data Archiver^,^Data Archiver debug log does not contain the duplicate collector’s IP details.^
^1-422916637^,^^,^Admin UI - NonWeb^,^The Non Web Admin UI cannot be resized to show more collectors, archives, tags, or messages.^
^1-409251781^,^^,^Admin UI - NonWeb^,^In Historian 3.1 Service Pack 1, a server memory usage bar is added to the main page of the Admin UI. This displays 0 when the Data Archiver is running on Windows 2000.^
^1-561629391^,^^,^Server^,^Issue occurs when the combination of SET and SELECT statements is longer than 4000 characters.^
^1-606015911^,^^,^Admin UI - General^,^An error message “Queried too much of data” occurs when several million data samples are queried.^
^1-538228762^,^^,^OLEDB^,^A specific kind of SQL query similar to "WHERE (A OR B OR C) AND (D OR E)" causes the OLEDB provider to crash when determining the query execution plan.^
^1-475228622^,^^,^Server^,^Issues in using tags containing single quote in a WHERE clause.

If the tagname is NODE 'TagWithAQuote'.f_cv and if you query the ihTrend table then you must use two single quotes as shown:

select NODE.''TagWithAQuote''.f_cv.Value from ihTrend.^
^1-454846730^,^^,^OLEDB^,^If the OLEDB provider runs out of process as a linked server, then the numbers of rows returned are limited.^
^1-487801581^,^^,^Admin UI - General^,^Both data and alarms must be stored in a time zone neutral format so that any client can retrieve the backed up data and alarms from the archives and restore to other archiver machines. Data works correctly but alarms are stored in local time zone.^
^1-413469977^,^^,^Admin UI - General^,^Any query on the ihAlarms table allocates memory for an alarm list and does not clear the memory.^
^1-365597201^,^^,^Alarms^,^Doing ihAlarms table column such as "where starttime=endtime" does not have any effect.^
^1-291626608^,^^,^Alarms^,^Using "select * from ihAlarms where tagname like tag1*" does not return correct alarms.^
^1-397897021^,^^,^Alarm Archiver^,^The Alarm Archiver does not check for invalid timestamps sent by some of the OPC A and E Servers.^
^1-609173381^,^^,^API^,^A user API program can retrieve string values using a raw query or current value query.  If the string value is NULL, then the User API program crashes.^
^1-406225367^,^^,^API^,^Issue when a user API program calls “ihuWriteData with wait_for_reply=true” and passes an incorrect array after installing Service Pack 1.^
^1-420920032^,^^,^Admin UI - General^,^Issue in retrieving raw samples for multiple tags in a single attempt.^
^1-617575706^,^^,^Admin UI - General^,^Filtered data queries using a string filter value and containing only numbers does not work for values above 9999.^
^1-568714907^,^^,^EXCEL Add-In^,^If you generate an XML file containing calculation tags by using an Excel export or any third party programs, then on import, the carriage returns are lost from the VBScript code.^
^1-438585484^,^^,^Collector- OPC^,^During the browse time some OPC servers do not return the Data Type item.^
^1-462289414^,^^,^Collector^,^The OPC collector collects incorrect values when the OPC data type is VT_I1 (single byte signed integer).^
^1-441626622^,^^,^Server^,^Historian logs bad data quality samples when trying to collect any E_ field from iFIX.^
^1-397771833^,^^,^Collector –  Calculation and Server to Server^,^If the polled Calculation or Server to Server tag evaluates result=NULL, then at the collector startup the tag does not settle into its configured collection rate. Also, the calculation collector leaks memory on each poll cycle if the polled calculation fails.^
^1-332449101^,^^,^Collector -Calculation or Server to Server^,^The Calculation or Server to Server data timestamps are displaying incorrectly when a collector is running and if there is a change in the PC clock offset between the Data Archiver computer and the Calculation or Server to Server .^
^1-761933847^,^^,^Data Archiver^,^Crash when retrieving floats as comments.^
^1-698620501^,^^,^Tag Configuration^,^Re-adding a deleted tag with iH Tag admin security gives an error.^
^1-719244811^,^^,^Excel Add-in^,^Step value average does not work when query spans archives.^
^1-622802101/1-726281051^,^^,^Historian Server^,^Data Archiver stack overflows when reading out of order data.^
^1-694908707^,^^,^OLE DB^,^OLE DB cannot use LIKE on tag with underscore.^
^1-510761518^,^^,^Archiver Service^,^User cannot backup archives larger than 4 gig with alarms.^
^1-679436541^,^^,^Other^,^OPC AE memory leaks on checking vendor attributes.^
^1-543548611^,^^,^Other^,^Excel opens slowly when you double click on a spreadsheet.^
^1-622671642^,^^,^Collector OPC^,^You cannot collect alarms from a DLL A+E server.^
^1-545969111^,^^,^Collector - OPC^,^Collector failover leaves collection group.^
^1-614902118^,^^,^OLE DB^,^You cannot use tagname with single quote in WHERE clause.^
^1-444392131^,^^,^Excel Add-In^,^Tag import fails in the Dutch language version of excel for boolean properties.^
^1-444853947^,^^,^Calculation Collector^,^Calculation collector fails multiple tags when reading a missing tag.^
^1-416461371^,^^,^Excel Add-In^,^Excel query using trend sampling mode is truncated.^


Notes

Proficy Historian 3.5 Release Notes

Table of Contents

Installation Troubleshooting

IMPORTANT: Historian 3.5 does not support FIX32 and CIMPLICITY native collectors. You must un-install Historian 3.0 or 3.1 which contains FIX32 and CIMPLICITY native collectors and then install Historian 3.5.

Upgrading from Historian 3.1 Service Pack 1 or 3.0

Before upgrading Historian, it is recommended that you follow these steps:

  1. Stop the Historian Data Archiver service.
  2. Back up all archive data files (*.iha), configuration files (*.ihc) and backup files. By default, you can find these files in the c:\Program Files\GE Fanuc\Proficy Historian\Archives folder.
  3. Optionally, use the Excel Add-In to export your tag configuration for all tags. It is recommended that you export tags associated with each collector to a separate worksheet.
  4. If you are using Microsoft Excel 2000, then you must upgrade to Microsoft Excel 2003 or above.
  5. If you are using a SQL Server 2000 database, then you must:
    • Stop the Historian Services including the Alarm Archiver service.
    • Upgrade to SQL Server 2005 or higher before upgrading Historian.
    • Upgrade to Historian 3.5. During the Install process provide the valid connection information to the SQL Server 2005 or SQL Server 2008.
  6. If you are using MSDE database, then Historian 3.5 Installer will install SQL Server Express 2008 and migrate the MSDE data into SQL Server Express 2008 automatically.
  7. Shut down the DEP (Data Execution Protection) feature. One way to do this is from the Control Panel, access the System Properties. Select the Advanced tab, and click the Settings button in the Performance area. On the Data Execution Protection tab, select the "Turn on DEP for essential Windows programs and services only" check box.

NOTE: If you choose to upgrade to Historian 3.5, then you must upgrade your Historian 3.1 license key to Historian 3.5 license key.

Installing Proficy Historian 3.5

Before installing Proficy Historian 3.5, stop all running Historian services by going to Administrative Tools, and then Services. The installation process for the Proficy Historian 3.5 should automatically uninstall your SIMs. However, the automatic uninstall of your SIMs may fail during the install if files are locked. An error will display indicating the file which is in use. You will be required to stop the services or applications locking the file, then attempt the installation again.

You can choose to manually uninstall your Historian SIMs prior to installing the Historian 3.5. To uninstall SIMs manually, you must first stop all Historian Services, then go into your systems control panel, click on add/remove programs, and remove those SIMs. It is recommended after any SIM uninstall to restart your system.

Installing Historian 3.5 on Windows XP SP3, Windows Vista, Windows 2003 SP2, or Windows Server 2008

When you install Historian on Windows XP SP3, Windows Vista, Windows 2003 SP2, or Windows Server 2008 computer, you may notice that it takes a very long time to install the product, especially when it is installing the licensing component. You may also experience issues with the hardware key. If this occurs, be aware that there is nothing wrong with the installation CD or your computer. The problem is with the Windows Operating System and the version of the licensing on the CD. There is a feature called DEP (Data Execution Prevention) that was installed by the Service Pack for your operating system. This is a feature that helps prevent malicious code from executing in memory. In order to get the software installed properly, we need to disable DEP.

To disable DEP, follow these steps:

  1. Uninstall your GE Fanuc software if it was already installed.
  2. Open the Windows Control Panel.
  3. Open the System group. You may need to switch from Category view to Classic view.
  4. Select the Advanced Tab in the System Properties.
  5. Click the Settings button in Startup And Recovery area.
  6. In Startup, click the Edit button.
  7. In the boot.ini Notepad window, you will need to make a change to the /NoExecute entry. Your entry may look like the following:

    multi(0)disk(0)rdisk(0)partition(1)\WINDOWS="Microsoft Windows XP Professional" /fastdetect /NoExecute=OptIn Change /NoExecute=OptIn or /NoExecute=AlwaysOn or /NoExecute=OptOff to /NoExecute=/AlwaysOff

  8. Restart your computer.
  9. Install your GE Fanuc Software. You should notice the install moving faster than before.
  10. Uninstall the licensing component of your install.
  11. Go to http://www.gefanuc.com/support and click on the licensing key update link to download the latest licensing (M1 of M4) for your hardware key.
  12. Install the downloaded licensing component.
  13. Restart your computer.

Archive Backup Behavior

If you back up an archive more than once, the backup tool will, by default, attempt to use the same name for the backup file and will detect that an archive with the same name already exists. Rename the backup archive file or move the original backup archive file from the target backup directory.

Data Execution Prevention (DEP) Support Statement For GE Fanuc Products Using Proficy Common Licensing

When trying to install any GE Fanuc application (For Example, iFIX, iHistorian, CIMPLICITY) or any 3rd Party application, the install may display an error, stop responding, or appear not to start or complete. You may also experience unexplained system lockups that require a complete reboot of the computer. This may be due to conflicts between DEP and the HASP driver included with Proficy Common Licensing.

DEP affects all products using HASP drivers. The HASP driver is included with Proficy Common Licensing, and is a part of all GE Fanuc software products. At this time, GE Fanuc products do not support running with hardware-based DEP turned on. Please read the remainder of this article for further detail of DEP and how to disable DEP.

For more information, please refer to this Knowledge Base article: http://support.gefanuc.com/support/index?page=kbchannel&id=S:23301021e12f6d011417920b5e006000

Proficy Historian IHA (Historian Archive) Migration Tool

How to use the IHA Migration Tool

The Historian Archive Migration Tool is commonly used for:

  • Merging archives to save space.
  • Migrating archives from one server to another with different server names.
  • Reducing large archives into smaller archives.

The IHA Migration utility will only migrate one (1) archive at a time by design. As a result, if you are required to add more than one (1) archive at a time, you can create a batch file to automate multiple archive merges for you. When migrating any archive into another, you need to start with the earliest time stamped archive first, followed by later times in sequence. Failure to do this could produce undesirable results.

When creating a batch file, you need to provide it with a logical name and save the batch (.bat) file in a location that you can easily access from the command line. The following is an example of how contents of the batch file should appear:

  cd C:\Program Files\GE Fanuc\Proficy Historian
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive001.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive002.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive003.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive004.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive005.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive006.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive007.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive008.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive009.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive010.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive011.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive012.iha

Additional command line options for the IHA Migration tools are:

/NOTHROTTLE - This does not throttle any part of the migration process, but may impact resources on the server. Optionally, you can remove this switch as required. By default throttling is rated at 5000 events per second.

/NOMESSAGES - This does not migrate messages into the newly created archive. Using this switch may or may not reduce the size of your archives, depending on the number of messages stored in the archive. By default, messages are migrated if this switch is not used.

/b - This option of the start.exe file allows the IHA Migration tool to start without opening a new window for each instance.

/wait - This option of the start.exe file allows each instance of the IHA Migration tool to complete the migration before starting the next migration in the sequence.

For further details and instructions, refer to the following readme file:

  • \Program Files\GE Fanuc\Proficy Historian\SIMS\iH31_SP1BackupFiles\readme.txt

Proficy Historian and Microsoft Excel 2007

Installing Excel Add-in for Excel 2007

Requirement: Make sure that Visual Basic for Applications is installed before installing the Excel Add-in for Excel 2007. This is typically located under Office Shared Features in the Office 2007 installation process.

To install Excel Add-in for Excel 2007, use the following steps:

  1. In Excel 2007, click the Office button in the top left corner.
  2. Click Options and then go to Add-Ins.
  3. Make sure the drop-down list for Manage is set for Excel Add-ins, and click Go.
  4. Select Proficy Historian Add-In.

If the installation is successful a new menu item appears under Add-Ins. If it does not appear then you may need to shutdown and restart Excel. If you receive an error such as: "This workbook has lost its VBA project, ActiveX controls and other programmability-related features." , the most probable cause is that Visual Basic for Applications was not installed. Install this application by navigating to Office Shared Features through the Office 2007 installation process.

VMWare specifications

You must use VMWare Compatibility Hardware and Software before installing the Proficy Historian 3.5 on a Virtual Machine.

For information regarding VMWare specifications and requirements, please visit: http://www.vmware.com/resources/guides.html

Changes to the Proficy Historian non-Web Admin UI Time Format

As a result of integrating SIM 1-343889412 into Proficy Historian 3.1 SP1, time stamps in a raw data query have changed. This change applies to the last 10 values, or raw by time data query, in the non-web admin UI.

The new format includes milliseconds if you have non-zero millisecond time stamps, but it will also show time using a 24 hour clock.

Proficy Historian Alarm and Events Server with Microsoft SQL Server 2008

If you choose to install the Alarm and Event Archiver then you must restart your computer to complete the SQL Server Express 2008 and Plant Database installations

If you are using SQL Server 2005, then you must enable TCP/IP network protocol before installing Historian 3.5

Proficy Historian and Microsoft SQL Server 2005 Linked Server Connection

To setup a Microsoft 2005 Linked Server Connection with Historian 3.5

To install the Historian OLE DB Provider, run the Historian installation setup program from the Historian install CD and enable and install the Historian OLE DB Driver option. This makes the Historian OLE DB Provider available on the SQL Server 2005 machine.

To configure a linked server connection to Proficy Historian from Microsoft SQL 2005 perform the following steps:

  1. Open Microsoft SQL Server Management Studio.
  2. In the Object Explorer, click Server Objects, then click Linked Servers.
  3. Right-Click the Linked Servers folder and select New Linked Server.
  4. On the General configuration page, enter the following:
  5. Enter a name for the new Linked Server connection, such as iHist.
  6. For Server Type, select Other data source.
  7. For Provider, select iHistorian OLE DB Provider from the list.
  8. For Product Name, enter Proficy Historian.
  9. For Data Source, enter the computer name of the Historian server that you will be connecting to.
  10. Click the OK button.

A new Linked Server will be created under the Linked Servers folder in the Object Explorer.

Configuring the Proficy Historian OLE DB Provider Properties

To configure the Proficy Historian OLE DB provider Properties, perform the following steps:

  1. Expand the Providers folder which is located inside the Linked Servers folder in the Object Explorer.
  2. Right-click the ihOLEDB.iHistorian provider and select Properties.
  3. Enable the following Provider Options:
  • Level zero only
  • Allow inprocess
  • Supports 'Like' operator

Historian OLE DB Provider and Microsoft SQL Server 2005 Service Pack 2

Beginning with SQL 2005 Service Pack 2, apartment threaded OLE DB providers are not allowed as linked servers. You can override this restriction with a command line parameter to the SQL Server service.

If you have a working Historian linked server, then install SQL 2005 SP2 and attempt an OPENQUERY the following error displays:

"OLE DB provider [target] cannot be used for distributed queries because the provider is configured to run in single-threaded apartment mode."

Attempts to configure a new linked server results in error 7308.

Changing the Historian OLEDB provider to "ThreadingModel=Both" does allow the provider to starting working, but has not been thoroughly tested.

The following instructions allow apartment threaded OLE DB providers to work on SQL 2005 SP2. This adds the Trace flag 7300 to the SQL Server by adding a -T7300 command line parameter to the Sql Server Service.

  1. Start SQL Server Configuration Manager and select SQL Server 2005 Services.
  2. Right-click SQL Server (MSSQLSERVER)and choose Properties.
  3. Click the Advanced tab and then the Startup Parameters in the list. You should have some existing command line parameters; -d -e -l.
  4. At the end of those parameters, add a ;-T7300 note that is the number 7300. Do not add a space before the semi colon.
  5. Restart the SQL Server service, or restart the machine.

If completed correctly, the Historian linked server should start working again. Verify that the trace flag is enabled by going into a query window of Management Studio and typing DBCC TRACESTATUS(-1). Traceflag 7300 should display in the results with status=1, global=1, and session=0.

With this setting in place, the existing linked server should now be operational. The linked server should have the ability to set up a new linked server as well as the ability to use the security context dialog to connect to historian as a specific user.

Multiple Archives

If you are creating multiple archives on a remote machine, then you must ensure that you have enough hard disk space on that machine. The Allocate Space slider does not display a remote machine's hard disk space. In other words, if you are creating multiple archives on a remote machine, you must ignore the “percentage of available disk space will be used” message displayed by the Allocate Space slider.

If you receive the error message “Runtime error 330 Invalid Property Value" while creating multiple archives on a remote machine, it is probably because you do not have enough hard disk space on that machine. When you click OK on the error message, Historian Administrator may disappear. You must now clean up the remote machine's hard disk space and restart the Historian Administrator.

NOTE: You can create only one archive at a time using the Historian Web Administrator.

Dynamic Collector Updates

If you disable the On-line Tag Configuration Changes option, any changes you make to the tags do not affect collection until after you restart the collector. To restart the collector you must stop and start the collector service or executable. Restarting the collector stops and restarts the tag(s) collection and records bad data samples to the collection.

All the collector configuration changes done within a 30 second time frame are batched up together and applied to the collector.

If the modified tags get zero bad markers and available runtime values at the same time, then precedence is given to available runtime values instead of zero bad markers.

Throttling Store and Forward Buffer Flush

Store and forward buffering is a key feature of Historian collectors. It prevents data loss during planned or unplanned network outage between a collector and Historian server.

If the collector is disconnected from the archiver for several hours or days, many megabytes of data can be buffered and must be delivered by the collector to the Data Archiver upon reconnect. Since all data is sent from the collector to the archiver in time order, the design goal has been to catch up to real time as quickly as possible by sending data as fast as possible.

If this is not the desired behavior because you want to limit the network load on a slow, shared Wide Area Network (WAN) or you want to limit the CPU load on the Data Archiver caused by the incoming data, you can configure the collector to throttle the data it is sending.

NOTE: Throttling Store and Forward does not affect the alarm and events collector.

Configuring the BufferFlushMultiplier

Configuring the throttle is easy, but due to modifying a key in the registry, this should be done with caution. A DWORD registry key called BufferFlushMultiplier is present under each collector under:

HKey_Local_Machine\Software\Intellution, Inc.\iHistorian\Services\YOUR_COLLECTOR_TYPE.

To slow the store and forward throttling, enter a value of 2 in the registry on the BufferFlushMultiplier key. To disable throttling, set the value to 0 or delete the registry value. The 2 means that the collector should never send data at more than 2 times its normal rate. This limits network and CPU load, but because data is sent in time order, you are not able to retrieve near current time historical data until the throttled flush is complete.

Proficy Historian and Antivirus Software

It is recommended that antivirus software be configured to exclude Historian archive and ihc files from antivirus scans, as this may interfere with server operation.

Proficy Historian and Microsoft Windows

Windows Firewall Enabled by Default in Windows XP SP3, Vista, Server 2003, and Server 2008

If you install Proficy Historian on a Windows XP system, you will be prompted to allow Proficy Historian to reconfigure the Windows Firewall. If you answer Yes, Historian will be added to the firewall's exception list and set to Enabled. If you answer No, Historian will be added to the list and set to Disabled. You can change this setting through the Windows Firewall control panel at any time.

Optimizing Server Settings for Windows 2003 Server, or Windows 2008 Server

If you are running Historian on a Windows 2003 Server, or Windows 2008 Server computer, do not set your File and Printer Sharing for the Server optimization options to Maximum Throughput for File Sharing. The Maximize Data Throughput for File Sharing setting in File and Printer Sharing for Microsoft Networks Properties controls the system cache size and allows the cache to grow very large. This could cause excessive paging when dealing with large files and might interfere with applications like Historian.

It is recommended that you select the Maximum Data Throughput for Network Applications.

To view or change your Server Optimization settings on Windows 2003 or Windows 2008 servers:

  1. Open the Control Panel.
  2. Double-click the Network and Dial-Up Connections icon. The Network and Dial-up Connections dialog box appears.
  3. Right-click the Local Area Connection Properties icon and select Properties.
  4. Select the File and Printer Sharing for Microsoft Networks component and click the Properties button.
  5. Ensure that the Maximize Data Throughput for Network Applications options is selected.
  6. Click OK.

For more information on changing the Server Service properties, refer to the Microsoft Knowledge Base article Q228766.

Archiver Obtaining List of Domain Controllers

If the archiver is configured to use domain group security, the data archiver obtains the list of primary and backup domain controllers at archiver startup. If a domain controller is not available at that time or if you add new domain controllers, they are not seen by the archiver until the next time the archiver is restarted. For example, if your backup domain controller was not available on archiver startup, the archiver will not fail over to the backup domain controller for user authentication.

Proficy Historian General Troubleshooting

Receiving an ihConfigurationGetProperties Error

If you receive a single ihConfigurationGetProperties[-2] error in the collector.LOG file, the error most likely occurred as a result of the collector connecting and querying for changes in the tag database immediately, getting a timeout, and then immediately querying again and succeeding.

Web Administrator Not Working With Zone Alarm Pro

Zone Alarm Pro has a privacy feature for ad blocking, cookie control and mobile code control that causes the Web Administrator to cease functioning.

In order to use the Historian Web Administrator with Zone Alarm Pro, you must completely disable Zone Alarm's privacy features. Consult your Zone Alarm Pro documentation for more information.

Alarm Archiver Does Not Start Up

The alarm archiver requires a valid license, and will not start in demo mode. Plug in a valid license key and restart your computer.

User API Programs Not Freeing Up Memory

User API Programs built with anything other than Visual Studio .NET should be modified to call ihuFreePtr() to free any memory pointers returned by the User API. Do not free these pointers using free() in your application or you can risk memory corruption.


Historian - Requirements

System Requirements

Hardware Requirements

For Historian Servers, the minimum hardware requirements are:

  • A Pentium 4-based 2.0 GHz or better computer with 1 GB RAM.

  • A CD-ROM drive.

  • 100 MBit TCP/IP-compatible network interface adapter for network communication and certain I/O drivers.

  • A screen resolution of at least 1024 X 768.

  • 80 GB free hard drive space, for the data archives, message files, buffer files, and log files used by the system.

For Data Collector nodes, the recommended minimum hardware requirements are:

  • A Pentium 4-based 2.0 GHz or better computer with 512 MB RAM.

  • 40 GB of free hard drive space to store buffered data.

  • A CD-ROM drive.

  • TCP/IP-compatible network interface adapter for network communication and certain I/O drivers.

For the Microsoft Cluster service, the minimum hardware requirements are:

  • A Pentium 4-based 2.0Ghz or better computer with 1GB of RAM

  • 80 GB of local free hard drive space

  • 40 GB shared SCSI hard drive (RAID preferred)

  • Two 100Mbit TCP/IP-compatible network interface adapters for network communication and certain I/O drivers (one for public network, another for private network).

NOTE: The configuration of each server added to the cluster must be identical to the other servers in the cluster.

You determine the size of an Historian Server as a function of the number of tags from which data is collected, the rate of alarm and event collection, and how often you intend to collect the data and how much data you want to keep online. The number of tags is an indicator of the number of concurrent users likely to access the system. The primary factor is server memory requirements; CPU load is a secondary factor. If the number of concurrent users is significantly different from the suggested guidelines, adjust server memory size accordingly.

Use the following parameters to determine the size of the Historian Server.

Tags | Users | RAM (MB) | Recommended Archive Size | CPU
5000 | 10 | 1000 | 100MB | Single
10,000 | 30 | 1000 | 500MB | Single
20,000 | 50 | 1000 | 500MB | Dual
50,000 | 100 | 1000 | 500MB | Dual
100,000 | 200 | 1000 | 500MB | Quad
150,000 | 200 | 2000 | 1GB | Quad
200,000 | 200 | 2000 | 1GB | Quad
250,000 | 200 | 3000 | 1GB | Quad

For iFIX systems, count each Node.Tag.Field (NTF) as a separate tag when you determine the size of the system. For example, FIX.FIC101.F_CV and FIX.FIC101.B_CUALM (current alarm) both count as tags, even though they are derived from the same iFIX tag.

Use the following parameters to determine the size of the Historian Alarm and Event archiver.

Alarm & Event Rate | RAM | CPU
1 / minute | 1GB | Single
1 / second | 2GB | Single
10 / second | 2GB | Single
100 / second | 4GB | Double

You must have disk storage capacity in the multi-GB range for the many data archive files (typically 500 MB each) and alarms you will generate, especially if you want to keep old data online.

NOTE: As more applications run simultaneously on a server, performance decreases. Whenever possible, run additional applications on separate computers.

Software Requirements

The minimum Historian software requirements are:

  • 32-bit version of Windows XP Professional SP3, Windows Server 2003 SP2, Windows Vista SP1 (Business, Ultimate, and Enterprise editions), or Windows Server 2008 SP1.

  • 64-bit version of Windows 2008 Server SP1 or Windows Vista SP1.

    • NOTE: Historian 3.5 works as a 32-bit application on 64-bit Windows opertaing systems using WoW64 mode (Windows-on-Windows 64-bit).

  • Internet Explorer v6.0, 7.0, or 8.0.

  • For systems with Historian Web Administrator client, Microsoft IIS (Internet Information Server) is required. IIS is not required for Historian Non-Web Admin client.

  • Network interface software for network communication. The TCP/IP network protocol is required.

  • SQL Server 2005 SP2 or greater is required for "Use Existing SQL Server" option in alarm and event archiving configuration.

  • The Historian Excel Add-In requires installation of Office XP, Office 2003, or Office 2007 SP1.

  • The Historian Web Administrator requires the Java Runtime Environment version 1.6 update 5.

Compatibility

Several GE Fanuc products work with Proficy Historian. The following is a general set of required versions to work with Historian 3.5.

Product | Required Version
Proficy RTIP | 2.6, 3.0, or 3.0 SP1.
CIMPLICITY | To work with CIMPLICITY Alarm and Event Data, the CIMPLICITY A&E Server must be of version 7.5 with latest service pack and Hotfixes, or version 8.0.
Machine Edition View | To work with Machine Edition data, the Machine Edition software must be version 5.0 SP1 or later.
iFIX | To work iFIX alarm and event data, you must have iFIX 4.5 or 5.0 with current service packs or 4.5 or 5.0 with current services packs and the iFIX OPC AE Server for your version. The iFIX OPC AE Server for your version is available through GlobalCare. On Windows Server 2008, iFIX 5.0 is required. NOTE: You will need a valid GlobalCare account to download the iFIX OPC AE Server.
Plant Apps | 4.3 or 4.4.1.
ROC Driver | 6.31.
Proficy Workflow | 1.0.


^Bug #^,^Description^,^Problem Area^,^Title^
^29484^,^In order to use CIMPLICITY 8.0 or 8.0 R2 and Historian 4.0 on a same machine, you must follow the following order: 1.Install CIMPLICITY 8.0 or 8.0 R2. 2.Uninstall Historian 3.0 client on a CIMPLICITY 8.0 R2 computer. 3. Install 4.0 client tools.^,^Install^,^Installing CIMPLICITY 8.0 or 8.0 R2 on a Historian 4.0 machine may cause Issues with Historian Data Archiver.^
^29589^,^It is recommended to use the Proficy Historian’s default backup system (ihArchiverBackup.exe) to backup archive files on a Windows 7 32-bit and Windows Vista 32-bit operating system^,^Install^,^On a Windows 7 32-bit and Windows Vista 32-bit operating system you may observe a crash consistent backup behavior while using Windows Volume Shadow copy services.^


Proficy Historian 4.0 New Features

64-bit Data Archiver support

Historian 4.0 Server takes the next big step and is now built with 64-bit code. You can now install Proficy Historian 4.0 Server on both 32 bit (x86) systems and 64 bit (x64) systems. Historian 4.0 installer automatically detects and installs a 32-bit or 64-bit Historian 4.0 Server based on the system architecture.

A move to 64-bit not only takes full advantage of all the memory in your 64-bit Windows operating system, but also boosts overall Historian performance, security, and responsiveness.

IMPORTANT: Historian 4.0 Collectors, Client tools, APIs, Non-Web Administrator, and Web Administrator work as a 32-bit application on 64-bit Windows operating systems using WoW64 mode (Windows-on-Windows 64-bit). However, you can read and write data from a 64-bit Historian Server.

For more information, refer to the Installing the Historian Server topic in the online help.

Improved Scalability

Proficy Historian now supports up to 2 Million tags with a sustained data write rate of 150,000 samples per second (that is, 9 Million events per minute).

For more information, refer to the Hardware Requirements topic in the online help to determine the size of the Historian Server.

Microsoft Windows 7 support

You can run Historian 4.0 on Windows XP Embedded, Windows 7, or Windows Server 2008 R2 operating systems.

For more information, refer to the Installing the Historian Server topic in the online help.

Maximum Archive Size

Proficy Historian now supports a maximum archive size of 64 GB per archive.

For more information, refer to the Adding Archives topic in the online help.

Archive Backup and Restore using Volume Shadow Copy Services

Proficy Historian now supports using Windows Volume Shadow Copy Services, which is faster backup technology to quickly backup and restore large archive files. Using the Volume Shadow Copy Services, you can backup and restore large archives reliably and quickly in a short period of time without affecting the data collection. Windows Backup uses Volume Shadow Copy Service (VSS) and block-level backup technology to back up and recover files quickly.

For more information, refer to the Backing Up an Archive using Volume Shadow Copy Service topic in the online help.

Tag Rename

Historian now allows you to modify or update tag names. You can rename tags multiple times, but only the latest active tag name will be visible in the Tags list. You can rename tags using the Non-Web Historian Administrator, Excel Add-in, ihuAPI, and ihSDK. Tag renaming updates or modifies tag names without modifying or updating the tag properties.

NOTE: If you delete a renamed tag, then all the aliases will also be deleted.

For more information, refer to the Renaming a Tag topic in the online help.

Pre-created Archive

When data starts loading into an archive, Historian asynchronously creates a new, empty archive file of the same user-specified size. Whenever the current archive becomes full, Historian immediately serve data to a newly created archive file. This significantly reduces archive creation and transition time.

For more information, refer to the Setting Archive Size topic in the online help.

Improved Dynamic Archive Caching

Dynamic Archive Caching has been improved to optimize the performance of the Data Archiver. By default, Proficy Historian now caches 100 archives. With this, Historian now reduces the memory usage per archive and allows you to keep more data online.

For more information, refer to the Dynamic Archive Caching topic in the online help.

Improved Disk Cache Management

Proficy Historian now allows you to specify the maximum disk cache memory that an archiver can use. If your computer has extra memory, then you can increase the disk cache. Increasing the disk cache memory optimizes Historian performance.

For more information, refer to the Disk Caching topic in the online help.

Improved checks for disk space availability

Proficy Historian now periodically checks to make sure you have configured enough amount of free disk space to save the archives, buffer files, and log files. If there is insufficient disk space, the Data Archiver shuts down and a message is logged into the log file.

For more information, refer to the Setting Archive Size topic in the online help.

Improved User API

Historian now allows you to use the 64-bit User API to read and write data to a 64-bit or 32-bit Historian server. Also, the User API has been enhanced to support 100,000 samples per call.

NOTE: All Sample programs provided with the User API will work with both 32-bit and 64-bit ihUAPI.dll(s).

For more information, refer to the User API topic in the online help.

Improved Tag search

When browsing tags from an archiver, Proficy Historian now allows you to specify the maximum number of tags the search should return.

For more information, refer to the Searching for Tags topic in the online help.


^Bug #^,^Description^,^Problem Area^,^Title^
^1-860616171^,^This issue is fixed in Historian 4.0.^,^Data Archiver^,^Each connection thread in a data archiver uses 10 megabytes of memory.^
^1-806070201^,^This issue is fixed in Historian 4.0. ^, ^SDK^,^If an SDK program is subscribed to data changes, then it is always returning good data quality even if the data changes are bad data quality.^
^1-744109571^,^This issue is fixed in Historian 4.0.^,^ Calculation Collector^,^Calculation collector pre-read of data can lead to incorrect calculated results.^
^1-801204651^,^This issue is fixed in Historian 4.0.^,^iFIX collector^,^iFIX collector crashes on startup if you have a tag of string data type with improper formatted source address.^
^1-779899331^,^This issue is fixed in Historian 4.0. ^,^Data Archiver^,^Spike Logic is not working properly when using absolute deadband.^
^1-774796817^,^This issue is fixed in Historian 4.0. The ihArchiveBackup connection timeout is now 90 seconds. ^,^Data Archiver^,^ihArchiveBackup gets connection timeout message every 15 seconds.^
^1-764344517^,^This issue is fixed in Historian 4.0. ^,^A& E Cimplicity^,^ Data Archiver crashes on failed write of long alarm messages.^
^1-908689851^,^This issue is fixed in Historian 4.0. ^,^Data Archiver^,^ihCalculationCollector uses 1GB of memory.^
^1-935019601^,^This issue is fixed in Historian 4.0. ^,^OPC HDA^,^If two OPCHDA clients are connected and one client disconnects, then the second client hangs on disconnect.^
^1-933308611^,^This issue is fixed in Historian 4.0. ^,^OLE DB^,^RawByTime query returns held point outside of start and end time.^
^1-913602231^,^This issue is fixed in Historian 4.0. ^,^ihArchiveinfo.exe^,^iharchiveinfo crashes on Windows Server 2008 64 bit operating system.^
^1-927254271^,^This issue is fixed in Historian 4.0. ^,^iFIX and Cimplicity^,^Modifying tags in iFIX or CIMPLICITY that are being collected by Historian causes licensed tag count errors or excessive collection.^
^1-892024273^,^This issue is fixed in Historian 4.0. Create an AlarmTimestampCheck registry key, set the value to 1, and restart the data archiver to control this behavior.^,^Data Archiver^,^The data archiver uses high CPU when validating alarm timestamps.^
^1-807365058^,^This issue is fixed in Historian 4.0. ^,^Excel Add-in^,^Importing a comment with apostrophe removes the first apostrophe and thus breaks the calculation.^
^1-945303027^,^This issue is fixed in Historian 4.0. ^,^iFIX collector^,^iFIX collector crashes while getting source timestamp after tag change.^
^1-944386571^,^This issue is fixed in Historian 4.0. ^,^Data Archiver^,^Data archiver deadlock on re-evaluating caching.^
^1-883391421^,^This issue is fixed in Historian 4.0. ^,^Cluster^,^User cannot do archive restore when SQL Server installed on cluster.^
^1-885817861^,^This issue is fixed in Historian 4.0. ^,^Data Archiver^,^Data Archiver Memory leak on querying comments on current value.^
^1-949435011^,^This issue is fixed in Historian 4.0. ^,^Data Archiver^,^Data archiver memory leak when adding comments/annotations.^
^1-906554851^,^This issue is fixed in Historian 4.0. ^,^Data Archiver^,^Cannot coerce type errors in a data archiver log causes archiver to exit.^
^1-943216493^,^This issue is fixed in Historian 4.0. ^,^ihArchiveinfo.exe^,^ihArchiveinfo does not report an error when an archive (.IHA) file is not found.^
^1-884941813^,^This issue is fixed in Historian 4.0. ^,^Excel Add-in^,^Excel Add-In spreadsheet does not have focus on startup.^
^1-965449682^,^This issue is fixed in Historian 4.0. ^,^Server to Sever^,^Unsolicited timestamps do not match for Server to Server tags.^
^1-963969281^,^This issue is fixed in Historian 4.0. ^,^OPC HDA^,^OPC HDA browse for a specific tag takes multiple seconds on system with 8000 tags.^
^1-959401098^,^This issue is fixed in Historian 4.0. ^,^OPC Collectors^,^Bad offline can be newest sample for unsolicited OPC tags during startup.^
^1-959937711^,^This issue is fixed in Historian 4.0. ^,^Data Archiver^,^Data archiver crash on querying audit trail messages containing double byte character.^
^1-967868230^,^This issue is fixed in Historian 4.0. ^,^SDK^,^Read results are shifted when reading multiple tags.^
^1-971259051^,^This issue is fixed in Historian 4.0. ^,^Data Archiver^,^Data Archiver uses high CPU on collector redundancy thread when collectors are not active.^
^1-980749286^,^This issue is fixed in Historian 4.0. ^,^IhSQL^,^ Interpolated queries take long time to retrieve data depending on the retrieval.^
^1-970106391^,^This issue is fixed in Historian 4.0. ^,^OPC Collectors^,^OPC Collector logs bad data during startup because of missing COM call.^
^1-975549447^,^This issue is fixed in Historian 4.0. ^,^Data Archiver^,^Rapidly restoring archives with large tag count crashes archiver.^
^1-985226581^,^This issue is fixed in Historian 4.0. ^,^Data Archiver^,^User cannot query ihTags by using archiveabsolutedeadbanding.^
^1-949766391^,^This issue is fixed in Historian 4.0. ^,^Data Archiver^,^Data archiver does not respond when a read request comes in while a tag browse is in process on the same connection.^
^1-981842951^,^This issue is fixed in Historian 4.0. ^,^OLEDB^,^OLEDB query containing where daylightsavingtime=false is still applying daylight saving time.^
^1-963845061^,^This issue is fixed in Historian 4.0. ^,^Data Archiver^,^Average was wrong when spanning archives with held point.^
^1-991190501 ^,^This issue is fixed in Historian 4.0. Historian now allows you to migrate up to 30 years of old data ^,^DataArchiver^,^User cannot migrate IHA 10 years of old data.^
^1-987474171^,^This issue is fixed in Historian 4.0. ^,^Data Archiver^,^Historian Read only user gets access denied message when reading multiple tags containing bad tags.^
^1-1004286624^,^This issue is fixed in Historian 4.0. ^,^ihuapi^,^User cannot configure the socket connection timeout via user api.^
^1-1002347851^,^This issue is fixed in Historian 4.0. ^,^DataArchiver^,^Data archiver memory leak on a user program writes from a non-security admin.^
^1-1000328251^,^This issue is fixed in Historian 4.0. ^,^Collectors^, ^User cannot recalculate with multiple local calculation collectors.^
^1-1002348050^,^This issue is fixed in Historian 4.0. ^,^DataArchiver^,^User cannot cache more than 10 archives at min cache.^
^1-1002347990^,^This issue is fixed in Historian 4.0. ^,^DataArchiver^,^Writing to multiple archives causes multiple max cached archives.^


Notes

Proficy Historian 4.0 Release Notes

Where to Go First for More Information

Check out the Getting Started first. This guide contains detailed information about installing and upgrading Proficy Historian, as well as supported configurations.

For an overview of how to configure your Historian system, refer to the Proficy Historian electronic book.

Installation Troubleshooting

IMPORTANT: Historian 4.0 does not support FIX32 and CIMPLICITY native collectors. You must un-install Historian 3.0 or 3.1 which contains FIX32 and CIMPLICITY native collectors and then install Historian 4.0.

Upgrading from Historian 3.5 or 3.1 Service Pack 1

Before upgrading Historian, it is recommended that you follow these steps:

  1. Stop the Historian Data Archiver service.
  2. Back up all archive data files (*.iha), configuration files (*.ihc) and backup files. By default, you can find these files in the c:\Program Files\GE Fanuc\Proficy Historian\Archives folder.
  3. Optionally, use the Excel Add-In to export your tag configuration for all tags. It is recommended that you export tags associated with each collector to a separate worksheet.
  4. If you are using Microsoft Excel 2000, then you must upgrade to Microsoft Excel 2003 or above.
  5. If you are using a SQL Server 2000 database, then you must:
    • Stop the Historian Services including the Alarm Archiver service.
    • Upgrade to SQL Server 2005 or higher before upgrading Historian.
    • Upgrade to Historian 4.0. During the Install process provide the valid connection information to the SQL Server 2005 or SQL Server 2008.
  6. If you are using MSDE database, then Historian 4.0 Installer will install SQL Server Express 2008 and migrate the MSDE data into SQL Server Express 2008 automatically.
  7. Shut down the DEP (Data Execution Protection) feature. One way to do this is from the Control Panel, access the System Properties. Select the Advanced tab, and click the Settings button in the Performance area. On the Data Execution Protection tab, select the "Turn on DEP for essential Windows programs and services only" check box.

NOTE: If you choose to upgrade to Historian 4.0, then you must upgrade your Historian 4.0 license key to Historian 4.0 license key.

Upgrading Historian 3.5 on a Windows 64-bit Operating System

If you have created registry keys such as RouteInterfaceStautsMsg under the data archiver in a WoW64 bit registry path "HKEY_LOCAL_MACHINE\SOFTWARE\ Wow64\Intellution, Inc.\iHistorian\Services\DataArchiver\”, then you must manually re-create them under native 64-bit registry path "HKEY_LOCAL_MACHINE\SOFTWARE\Intellution, Inc.\iHistorian\Services\DataArchiver\” . You can also delete all the data archiver related registry entries from the WoW64 bit registry path.

Installing Proficy Historian 4.0

Before installing Proficy Historian 4.0, stop all running Historian services by going to Administrative Tools, and then Services. The installation process for the Proficy Historian 4.0 should automatically uninstall your SIMs. However, the automatic uninstall of your SIMs may fail during the install if files are locked. An error will display indicating the file which is in use. You will be required to stop the services or applications locking the file, and then attempt the installation again.

You can choose to manually uninstall your Historian SIMs prior to installing the Historian 4.0. To uninstall SIMs manually, you must first stop all Historian Services, then go into your systems control panel, click on add/remove programs, and remove those SIMs. It is recommended after any SIM uninstall to restart your system.

NOTE: :When you start Proficy Historian, it may take a longer time to start an archiver depending on number of archives online, number of tags, and number of connections.

New Installation Folders

On new installs, the default installation folder reflects the new Proficy name:

C:\Program Files\Proficy\Proficy Historian\

The archives, log files, and buffer files are installed to these locations:

C:\Proficy Historian Data\Archives\

C:\Proficy Historian Data\BufferFiles\

C:\Proficy Historian Data\LogFiles\

The help files are installed to:

C:\Program Files\Proficy\ProficyDoc\1033\Historian\

On a 64-bit Windows Operating System:

  1. The default destination folder for a 64-bit Historian Server is:

    C:\Program Files\Proficy\Proficy Historian\x64\Server directory.

  2. The default destination folder for all 32-bit components (such as collectors, client tools, and APIs) is:

    C:\Program Files\Proficy\Proficy Historian\x86 directory

  3. The default archives, log files, and buffer files are installed to:

    C:\Proficy Historian Data\

  4. The help files are installed to:

    C:\Program Files\Proficy\ProficyDoc\1033\Historian\

Be aware that when upgrading Historian 3.5 or earlier versions, the Server, OLEDB, API, NonWebAdmin, Samples, and Online help installs to the new locations described above.

IMPORTANT: If you have uninstalled a previous version of Proficy Historian and did not remove the archives, ensure you direct the new Historian to the previous install folder (for example, C:\Program Files\GE Fanuc\Proficy Historian\Archives\ ) so that the Historian install program will find the existing archives and configuration file.

NOTE: On a 64-bit Windows Operating System, all 32-bit components (such as collectors, client tools, and APIs) related registry keys will be located under HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\\Intellution, Inc.\iHistorian\.

For more information, refer to the Installing the Historian Server topic in the online help.

Historian and DEP settings

While installing Historian, you may notice that it takes a very long time to install the product, especially when it is installing the licensing component. You may also experience issues with the hardware key. If this occurs, be aware that there is nothing wrong with the installation CD or your computer. The problem is with the Windows Operating System and the version of the licensing on the CD. There is a feature called DEP (Data Execution Prevention) that was installed by the Service Pack for your operating system. This is a feature that helps prevent malicious code from executing in memory. In order to get the software installed properly, we need to disable DEP.

To disable DEP, follow these steps:

  1. Uninstall your GE Intelligent Platforms software if it was already installed.
  2. Open the Windows Control Panel.
  3. Open the System group. You may need to switch from Category view to Classic view.
  4. Select the Advanced Tab in the System Properties.
  5. Click the Settings button in Startup And Recovery area.
  6. In Startup, click the Edit button.
  7. In the boot.ini Notepad window, you will need to make a change to the /NoExecute entry. Your entry may look like the following:

    multi(0)disk(0)rdisk(0)partition(1)\WINDOWS="Microsoft Windows XP Professional" /fastdetect /NoExecute=OptIn Change /NoExecute=OptIn or /NoExecute=AlwaysOn or /NoExecute=OptOff to /NoExecute=/AlwaysOff

  8. Restart your computer.
  9. Install your GE Intelligent Platforms Software. You should notice the install moving faster than before.
  10. Uninstall the licensing component of your install.
  11. Go to http://www.ge-ip.com/support and click on the licensing key update link to download the latest licensing (M1 of M4) for your hardware key.
  12. Install the downloaded licensing component.
  13. Restart your computer.

Archive Backup Behavior

If you back up an archive more than once, the backup tool will, by default, attempt to use the same name for the backup file and will detect that an archive with the same name already exists. Rename the backup archive file or move the original backup archive file from the target backup directory.

Data Execution Prevention (DEP) Support Statement for GE Intelligent Platforms Products Using Proficy Common Licensing

When trying to install any GE Intelligent Platforms application (for example, iFIX, Proficy Historian, CIMPLICITY) or any 3rd Party application, the install may display an error, stop responding, or appear not to start or complete. You may also experience unexplained system lockups that require a complete reboot of the computer. This may be due to conflicts between DEP and the HASP driver included with Proficy Common Licensing.

DEP affects all products using HASP drivers. The HASP driver is included with Proficy Common Licensing, and is a part of all GE Intelligent Platforms software products. At this time, GE Intelligent Platforms products do not support running with hardware-based DEP turned on. Please read the remainder of this article for further detail of DEP and how to disable DEP.

For more information, please refer to this Knowledge Base article: http://support.ge-ip.com/support/index?page=kbchannel&id=S:23301021e12f6d011417920b5e006000

Proficy Historian IHA (Historian Archive) Migration Tool

Historian now allows you to migrate up to 30 years of old data.

How to use the IHA Migration Tool

The Historian Archive Migration Tool is commonly used for:

  • Merging archives to save space.
  • Migrating archives from one server to another with different server names.
  • Reducing large archives into smaller archives.

The IHA Migration utility will only migrate one (1) archive at a time by design. As a result, if you are required to add more than one (1) archive at a time, you can create a batch file to automate multiple archive merges for you. When migrating any archive into another, you need to start with the earliest time stamped archive first, followed by later times in sequence. Failure to do this could produce undesirable results.

When creating a batch file, you need to provide it with a logical name and save the batch (.bat) file in a location that you can easily access from the command line. The following is an example of how contents of the batch file should appear:

  cd C:\Program Files\Proficy\Proficy Historian
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive001.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive002.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive003.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive004.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive005.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive006.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive007.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive008.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive009.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive010.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive011.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive012.iha

Additional command line options for the IHA Migration tools are:

/NOTHROTTLE - This does not throttle any part of the migration process, but may impact resources on the server. Optionally, you can remove this switch as required. By default throttling is rated at 5000 events per second.

/NOMESSAGES - This does not migrate messages into the newly created archive. Using this switch may or may not reduce the size of your archives, depending on the number of messages stored in the archive. By default, messages are migrated if this switch is not used.

/b - This option of the start.exe file allows the IHA Migration tool to start without opening a new window for each instance.

/wait - This option of the start.exe file allows each instance of the IHA Migration tool to complete the migration before starting the next migration in the sequence.

Proficy Historian and Microsoft Excel

Installing Excel Add-in for Excel 2007 or Excel 2010(32-bit)

Requirement: Make sure that Visual Basic for Applications is installed before installing the Excel Add-in for Excel 2007 or 2010. This is typically located under Office Shared Features in the Office 2007 or 2010 installation process.

To install Excel Add-in for Excel 2007 or 2010, use the following steps:

  1. In Excel 2007, click the Office button in the top left corner.
    • In Excel 2010, click the File tab -> Options.
  2. Click Options and then go to Add-Ins.
  3. Make sure the drop-down list for Manage is set for Excel Add-ins, and click Go.
  4. Select Proficy Historian Add-In.

If the installation is successful a new menu item appears under Add-Ins. If it does not appear then you may need to shutdown and restart Excel. If you receive an error such as: "This workbook has lost its VBA project, ActiveX controls and other programmability-related features." , the most probable cause is that Visual Basic for Applications was not installed. Install this application by navigating to Office Shared Features through the Office 2007 or 2010 installation process.

Support for VMWare Products

You must use VMWare Compatibility Hardware and Software before installing Proficy Historian 4.0 on a Virtual Machine. Historian 4.0 is supported and tested on VMWare ESX 3.5 and 4.0. In order to run Historian 4.0 in virtualized environments, such as VMWare ESX 3.5, 4.0, and VMWare workstation, a supported softkey licence is required.

For information regarding VMWare's compatibility and its supported software and hardware environments, please visit: http://www.vmware.com/resources/guides.html

Proficy Historian Alarm and Events Server with Microsoft SQL Server 2008

If you choose to install the Alarm and Event Archiver then you must restart your computer to complete the SQL Server Express 2008 and Plant Database installations

Using a Remote SQL Server

If you have chosen to connect Historian to a remote SQL Server, you must ensure the following conditions are met:

  1. The Historian Alarm Archiver service must be run on a user account that has privileges to log into the SQL Server using Windows Authentication.
  2. The remote connections for SQL Server 2005 Express or SQL Server 2005 Developer Edition must be enabled. For more information about enabling remote connections, refer to Microsoft's website: http://support.microsoft.com/kb/914277.
  3. The Default Backup Path, found on the Archive screen, must be a shared directory that is accessible to both the Historian Data Archiver and the remote SQL Server. It is recommended that this shared directory be placed on the same computer as the Historian Data Archiver service.

If you are using SQL Server 2005, then you must enable TCP/IP network protocol before installing Historian 4.0.

Proficy Historian and Microsoft SQL Server 2005 Linked Server Connection

To setup a Microsoft 2005 Linked Server Connection with Historian 4.0

To install the Historian OLE DB Provider, run the Historian installation setup program from the Historian install CD and enable and install the Historian OLE DB Driver option. This makes the Historian OLE DB Provider available on the SQL Server 2005 machine.

To configure a linked server connection to Proficy Historian from Microsoft SQL 2005 perform the following steps:

  1. Open Microsoft SQL Server Management Studio.
  2. In the Object Explorer, click Server Objects, then click Linked Servers.
  3. Right-Click the Linked Servers folder and select New Linked Server.
  4. On the General configuration page, enter the following:
  5. Enter a name for the new Linked Server connection, such as iHist.
  6. For Server Type, select Other data source.
  7. For Provider, select iHistorian OLE DB Provider from the list.
  8. For Product Name, enter Proficy Historian.
  9. For Data Source, enter the computer name of the Historian server that you will be connecting to.
  10. Click the OK button.

A new Linked Server will be created under the Linked Servers folder in the Object Explorer.

Configuring the Proficy Historian OLE DB Provider Properties

To configure the Proficy Historian OLE DB provider Properties, perform the following steps:

  1. Expand the Providers folder which is located inside the Linked Servers folder in the Object Explorer.
  2. Right-click the ihOLEDB.iHistorian provider and select Properties.
  3. Enable the following Provider Options:
  • Level zero only
  • Allow inprocess
  • Supports 'Like' operator

Historian OLE DB Provider and Microsoft SQL Server 2005 Service Pack 2

Beginning with SQL 2005 Service Pack 2, apartment threaded OLE DB providers are not allowed as linked servers. You can override this restriction with a command line parameter to the SQL Server service.

If you have a working Historian linked server, then install SQL 2005 SP2 and attempt an OPENQUERY the following error displays:

"OLE DB provider [target] cannot be used for distributed queries because the provider is configured to run in single-threaded apartment mode."

Attempts to configure a new linked server results in error 7308.

Changing the Historian OLEDB provider to "ThreadingModel=Both" does allow the provider to starting working, but has not been thoroughly tested.

The following instructions allow apartment threaded OLE DB providers to work on SQL 2005 SP2. This adds the Trace flag 7300 to the SQL Server by adding a -T7300 command line parameter to the Sql Server Service.

  1. Start SQL Server Configuration Manager and select SQL Server 2005 Services.
  2. Right-click SQL Server (MSSQLSERVER)and choose Properties.
  3. Click the Advanced tab and then the Startup Parameters in the list. You should have some existing command line parameters; -d -e -l.
  4. At the end of those parameters, add a ;-T7300 note that is the number 7300. Do not add a space before the semi colon.
  5. Restart the SQL Server service, or restart the machine.

If completed correctly, the Historian linked server should start working again. Verify that the trace flag is enabled by going into a query window of Management Studio and typing DBCC TRACESTATUS(-1). Traceflag 7300 should display in the results with status=1, global=1, and session=0.

With this setting in place, the existing linked server should now be operational. The linked server should have the ability to set up a new linked server as well as the ability to use the security context dialog to connect to historian as a specific user.

Using wildcards in OLEDB queries

The Historian OLE DB Provider supports the use of the LIKE expression. Use the LIKE expression when searching for column data similar to a specified text string. By using wildcards, you can specify the text strings that you want to search. You can use the wildcard before, after, or before and after the text that you want to search for. The * symbol represents multiple unknown characters in a search string. The ? wildcard represents a single unknown character.

NOTE: You can also use % wildcard to select all tags that contain a specific string in the tag name and _ wildcard to select all tags when you are only unsure of one character in the tag name, but you must enclose the % or _ wildcards in single quotes (eg, '%' or '_') .

Multiple Archives

If you are creating multiple archives on a remote machine, then you must ensure that you have enough hard disk space on that machine. The Allocate Space slider does not display a remote machine's hard disk space. In other words, if you are creating multiple archives on a remote machine, you must ignore the “percentage of available disk space will be used” message displayed by the Allocate Space slider.

If you receive the error message “Runtime error 330 Invalid Property Value" while creating multiple archives on a remote machine, it is probably because you do not have enough hard disk space on that machine. When you click OK on the error message, Historian Administrator may disappear. You must now clean up the remote machine's hard disk space and restart the Historian Administrator.

NOTE: You can create only one archive at a time using the Historian Web Administrator.

Browsing Tags from Historian Clients

By default, the Historian clients can return a maximum of 100K tags at a time. If the Historian clients are capable of retrieving more than 100K tags, then you can configure the maximum tags the search should return by adding the "MaxTagsToRetrieve" registry key.

For more information, refer to the Browsing Tags from Historian Clients topic in the online help.

Throttling Store and Forward Buffer Flush

Store and forward buffering is a key feature of Historian collectors. It prevents data loss during planned or unplanned network outage between a collector and Historian server.

If the collector is disconnected from the archiver for several hours or days, many megabytes of data can be buffered and must be delivered by the collector to the Data Archiver upon reconnect. Since all data is sent from the collector to the archiver in time order, the design goal has been to catch up to real time as quickly as possible by sending data as fast as possible.

If this is not the desired behavior because you want to limit the network load on a slow, shared Wide Area Network (WAN) or you want to limit the CPU load on the Data Archiver caused by the incoming data, you can configure the collector to throttle the data it is sending.

NOTE: Throttling Store and Forward does not affect the alarm and events collector.

Configuring the BufferFlushMultiplier

Configuring the throttle is easy, but due to modifying a key in the registry, this should be done with caution. A DWORD registry key called BufferFlushMultiplier is present under each collector under:

HKey_Local_Machine\Software\Intellution, Inc.\iHistorian\Services\YOUR_COLLECTOR_TYPE.

To slow the store and forward throttling, enter a value of 2 in the registry on the BufferFlushMultiplier key. To disable throttling, set the value to 0 or delete the registry value. The 2 means that the collector should never send data at more than 2 times its normal rate. This limits network and CPU load, but because data is sent in time order, you are not able to retrieve near current time historical data until the throttled flush is complete.

Proficy Historian and Antivirus Software

It is recommended that antivirus software be configured to exclude Historian archive and ihc files from antivirus scans, as this may interfere with server operation.

Proficy Historian and Microsoft Windows

Windows Firewall Enabled by Default in Windows XP SP3, Vista, Server 2003, and Server 2008

If you install Proficy Historian on a Windows XP system, you will be prompted to allow Proficy Historian to reconfigure the Windows Firewall. If you answer Yes, Historian will be added to the firewall's exception list and set to Enabled. If you answer No, Historian will be added to the list and set to Disabled. You can change this setting through the Windows Firewall control panel at any time.

Optimizing Server Settings for Windows 2003 Server, or Windows 2008 Server

If you are running Historian on a Windows 2003 Server, or Windows 2008 Server computer, do not set your File and Printer Sharing for the Server optimization options to Maximum Throughput for File Sharing. The Maximize Data Throughput for File Sharing setting in File and Printer Sharing for Microsoft Networks Properties controls the system cache size and allows the cache to grow very large. This could cause excessive paging when dealing with large files and might interfere with applications like Historian.

It is recommended that you select the Maximum Data Throughput for Network Applications.

To view or change your Server Optimization settings on Windows 2003 or Windows 2008 servers:

  1. Open the Control Panel.
  2. Double-click the Network and Dial-Up Connections icon. The Network and Dial-up Connections dialog box appears.
  3. Right-click the Local Area Connection Properties icon and select Properties.
  4. Select the File and Printer Sharing for Microsoft Networks component and click the Properties button.
  5. Ensure that the Maximize Data Throughput for Network Applications options is selected.
  6. Click OK.

For more information on changing the Server Service properties, refer to the Microsoft Knowledge Base article Q228766.

Archiver Obtaining List of Domain Controllers

If the archiver is configured to use domain group security, the data archiver obtains the list of primary and backup domain controllers at archiver startup. If a domain controller is not available at that time or if you add new domain controllers, they are not seen by the archiver until the next time the archiver is restarted. For example, if your backup domain controller was not available on archiver startup, the archiver will not fail over to the backup domain controller for user authentication.

Proficy Historian General Troubleshooting

IMPORTANT: Before you start to troubleshoot any performance-related issue, it is important first to set correct expectations. If you installed Proficy Historian on a computer that only meets the minimum hardware requirements, but the computer does not meet the recommended hardware requirements, you may be unable to make a noticeable improvement to the performance of Proficy Historian unless you upgrade the hardware on the computer.

Receiving an ihConfigurationGetProperties Error

If you receive a single ihConfigurationGetProperties[-2] error in the collector.LOG file, the error most likely occurred as a result of the collector connecting and querying for changes in the tag database immediately, getting a timeout, and then immediately querying again and succeeding.

Web Administrator Not Working With Zone Alarm Pro

Zone Alarm Pro has a privacy feature for ad blocking, cookie control and mobile code control that causes the Web Administrator to cease functioning.

In order to use the Historian Web Administrator with Zone Alarm Pro, you must completely disable Zone Alarm's privacy features. Consult your Zone Alarm Pro documentation for more information.

User API Programs Not Freeing Up Memory

User API Programs built with anything other than Visual Studio .NET should be modified to call ihuFreePtr() to free any memory pointers returned by the User API. Do not free these pointers using free() in your application or you can risk memory corruption.

Tag Rename

Whenever you rename a tag, only the active tag name (that is, the new tag name) will be visible in the Tags list on the Historian Administrator Tag Maintenance screen. You can rename tags multiple times, but only the latest active tag name will be visible in the Tags list. You can also retrieve the data using any alias (that is, the new or old tag names). However, the Tag Maintenance screen will display only an active tag name (that is, the new tag name). Whenever you change or copy a tag name, the information about the old tag name, new tag name, and time stamps are all recorded in the audit trail.

Maximum Buffer Memory size

You can specify the maximum memory buffer size that an archiver queues can take. By default, memory buffer size is 100MB.


Historian - Requirements

System Requirements

Hardware Requirements

For Historian Servers, the minimum hardware requirements are:

  • An Intel Core or Xeon 2.4 GHz (or 2 GHz Core Duo) or equal AMD CPU with minimum 2 GB RAM for a 32-bit Historian Server and 4 GB RAM for a 64-bit Historian Server.

  • A DVD drive.

  • 100 MBit TCP/IP-compatible network interface adapter for network communication and certain I/O drivers.

  • 80 GB free hard drive space for the data archives, message files, buffer files, and log files used by the system.

For Data Collector nodes, the recommended minimum hardware requirements are:

  • A Pentium 4-based 2.0 GHz or better computer with 1 GB RAM.

  • 40 GB of free hard drive space to store buffered data.

  • A DVD drive.

  • TCP/IP-compatible network interface adapter for network communication and certain I/O drivers.

For the Microsoft Cluster service, the minimum hardware requirements are:< /p>

  • An Intel Core or Xeon 3 GHz (or 2 GHz Core Duo) or equal AMD CPU with minimum 4 GB RAM.

  • 80 GB of local free hard drive space.

  • 40 GB shared SCSI hard drive (RAID preferred).

  • Two 100Mbit TCP/IP-compatible network interface adapters for network communication and certain I/O drivers (One for public network, another for private network).

NOTE: The configuration of each server added to the cluster must be identical to the other servers in the cluster.

You determine the size of an Historian Server as a function of the number of tags from which data is collected, the rate of alarm and event collection, and how often you intend to collect the data and how much data you want to keep online. The number of tags is an indicator of the number of concurrent users likely to access the system. The primary factor is server memory requirements; CPU load is a secondary factor. If the number of concurrent users is significantly different from the suggested guidelines, adjust server memory size accordingly.

Use the following parameters to determine the size of the Historian Server.

Recommended Historian Server Configurations*
Tags | <10K | 10K to 100K | 100K to 1 Million | 1 Million to 2 Million
RAM (GB) | 2 GB | 4 GB | 64 GB | 256 GB
Disk Size required | 80 GB | 160 GB | 1 TB | 4 TB
Historian 4.0 Server | 32-bit |  | 64-bit
Processor Type | Xeon, or Intel Core family, or equivalent |  | Xeon or equivalent
CPU | Single/Dual/Quad |  | Quad
CPU Speed (Ghz) | 2.4 |  | 2.4
Operating System | Windows 7 (32-bit) or Windows Server 2008 (32-bit) |  | Windows Server 2008 R2
Storage Type | Internal SATA Drives |  | Storage Array / SAN Drives
Years of data online | 1 year

*Above recommended configurations may vary based on years of data online, update rate, data compression setting, and other tag configuration parameters.

NOTES:

  • Proficy Historian Server can run on both 32-bit and 64-bit versions of Windows.

  • Maximum supported event rate is 9 million per minute.

  • Proficy Historian 4.0 supports Windows XP SP3 (32-bit or 64-bit) operating System. To view the list of supported operating systems, refer to the Software Requirements section.

  • Proficy Historian supports Intel Pentium 4 or Core Duo based processors as long as they are compatible with the operating system.

  • Proficy Historian does not support Itanium processors.

Recommended Historian Collector Configurations:

Recommended Historian Collector Configurations*
RAM (GB) | 2 GB*
Disk Size required | 40 GB
Historian 4.0 Collectors | 32-bit
Operating System | Windows 7 (32-bit) or Windows 7 (64-bit)**

*Historian 4.0 Collectors may use up to 4 GB RAM in a 64-bit Windows operating system.

**Historian 4.0 Collectors work as 32-bit applications on a 64-bit Windows operating systems using WoW64 mode (Windows-on-Windows 64-bit). However, you can read and write data from a 64-bit Historian Server.

NOTES:

  • RAM and Disk Size required may vary based on the collectors available on the system.

  • Recommended number of tags per collector is 20 to 30K.

For iFIX systems, count each Node.Tag.Field (NTF) as a separate tag when you determine the size of the system. For example, FIX.FIC101.F_CV and FIX.FIC101.B_CUALM (current alarm) both count as tags, even though they are derived from the same iFIX tag.

Use the following parameters to determine the size of the Historian Alarm and Event archiver.

Alarm & Event Rate | RAM | CPU
1 / minute | 1 GB | Single
1 / second | 2 GB | Single
10 / second | 2 GB | Single
100 / second | 4 GB | Double

You must have disk storage capacity in the multi-GB range for the many data archive files (typically 500 MB each) and alarms you will generate, especially if you want to keep old data online.

NOTE: As more applications run simultaneously on a server, performance decreases. Whenever possible, run additional applications on separate computers.

Hardware Requirements - Proficy Historian on Windows XP Embedded

The minimum Historian software requirements are:

  • A minimum Atom-based 1.6 GHz computer or equivalent.

  • A minimum of 1 GB RAM.

  • A minimum of 1 GB of free hard drive space.

  • Other GE Intelligent products, such as Proficy iFIX, impose additional requirements. Refer to the Important Product Information (IPI) topic in the product's electronic books for specific system requirements. Click the System Req. tab in that product's IPI for details.

  • TCP/IP-compatible network interface adapter for network communication and certain I/O drivers. One free, direct-connect USB port. Some touch screens, pointing devices, and I/O drivers require a serial port. Additional ports for I/O hardware should be ordered with the computer.

  • SVGA or better color graphics monitor and a 100% IBM-compatible, 24-bit graphics card capable of 800x600 resolution and at least 16 million (16,777,216) colors.

  • Two-button mouse or compatible pointing device (such as a touch screen).

    • NOTE: There are risks associated with using a Compact Flash or a similar device as a Primary drive in the Windows XP Embedded environment with the Proficy Historian product and your production data. These types of devices have a lifetime associated with them regarding the number of writes the device is capable of over a lifetime. As such, storing production data on such a device may result in lost data, over the long term. If the system has a physical drive, and not a Compact Flash or a similar device, the production data is affected by this risk.

Software Requirements

The minimum Historian software requirements are:

  • One of the following operating systems, with latest service packs or revisions:

    • Windows Server 2008 R2
    • Windows Server 2008 (32-bit or 64-bit)
    • Windows Server 2003 (32-bit or 64-bit)
    • Windows Server 2003 R2 (32-bit or 64-bit)
    • Windows 7 Professional (32-bit or 64-bit)
    • Windows Vista Professional (32-bit or 64-bit)
    • Windows XP Professional SP3 (32-bit or 64-bit)
    • Windows XP Embedded (32-bit)

    NOTES:

    • Historian 4.0 Collectors, Client tools, APIs, Non-Web Administrator, and Web Administrator work as 32-bit application on 64-bit Windows operating systems using WoW64 mode (Windows-on-Windows 64-bit). However, you can read and write data from a 64-bit Historian Server.

    • Windows Server 2008 (32-bit or 64-bit) and Windows Server 2008 R2 can be installed as either the Full or Server Core installation. Proficy Historian 4.0 does not support on a Windows Server Core installation.

  • Internet Explorer v6.0, 7.0, or 8.0.

  • For systems with Historian Web Administrator client, Microsoft IIS (Internet Information Server) 6.0 or 7.0 is required. IIS is not required for Historian Non-Web Admin client.

  • Network interface software for network communication. The TCP/IP network protocol is required.

  • One of the following 32-bit or 64-bit SQL Server systems to configure alarm and event archiving:

    • Microsoft SQL Server 2008 Standard, Professional, or Enterprise Edition.
    • Microsoft SQL Server 2005 Standard SP2, Professional SP2, or Enterprise Edition SP2.
    • Microsoft SQL Server 2008 Express.

  • One of the following 32-bit versions of SQL Server to use Historian as a linked server:

    • Microsoft SQL Server 2008 Standard, Professional, or Enterprise Edition.
    • Microsoft SQL Server 2005 Standard SP2, Professional SP2, or Enterprise Edition SP2.
    • Microsoft SQL Server 2008 Express.

  • The Historian Excel Add-In requires installation of Microsoft Office XP, Microsoft Office 2003, or Microsoft Office 2007, or Microsoft Office 2010 (32-bit).

  • The Historian Web Administrator requires the Java Runtime Environment version 1.6 update 5.

Compatibility

Several GE Intelligent Platform products work with Proficy Historian. The following is a general set of required versions to work with Historian 4.0.

Product

Required Version

Proficy RTIP

3.0 with SP1.

CIMPLICITY

8.0 R2 or 8.1.

NOTE: If you want to use Historian 4.0 with CIMPLICITY 8.0 R2, then it is recommended to uninstall Historian 3.0 client tools on a CIMPLICITY 8.0 R2 computer and then install Historian 4.0 client tools.

Machine Edition View

5.9 with SP1 or 6.0.

iFIX

5.0 SP2 or 5.1 with SP1.

IMPORTANT:

  • iFIX 5.0 SP2 or 5.1 is only supported when Historian 4.0 is installed remotely (that is, not on the same machine where IFIX 5.0 SP2 or 5.1 is installed).

  • You cannot trend historian data if you have iFIX 5.1 or 5.0 SP2 and Historian 4.0 installed on the same machine.

  • If you want to use Historian 4.0 with iFIX on a same machine, then you must use iFIX 5.1 SP1.

Proficy Pulse

1.0 with SP1.

Plant Apps

4.4.1 or 5.0.

ROC Driver

6.31.

Proficy Workflow

1.0 or 1.2.

Proficy Analytic Client

1.0.

Proficy Troubleshooter+

1.0.


^Bug #^,^Description^,^Problem Area^,^Title^
^34887^,^In ihTrend table, the timestamp column shows no value when a query is run with timestamp and microsecond columns.^,^ihSQL^,^ Timestamp column is empty in ihTrend table but microseconds filled in.^
^35293^,^Install Windows Server 2003 Enterprise SP2 and then install Historian 4.5.^,^Install^,^ Historian 4.5 fails to install on Windows Server 2003 Enterprise Edition.^


Proficy Historian 4.5 New Features (Draft)

Proficy Historian 4.5 New Features

Scalable Tag Count

Proficy Historian now supports more than 10MM tags on a single server, with upwards of 3000 client connections.

For more information, refer to the Hardware Requirements topic in the online help to determine the size of the Historian Server.

Maximum Archive Size

Proficy Historian now supports a maximum archive size of 256 GB per archive. Now, it gives improved archive performance and stability through expanded use of multi-threading to load balance processes, and improved query responsiveness and archive management through the ability to access to more physical memory for caching.

For more information, refer to the Adding Archives topic in the online help.

Condition-based Collection

Historian 4.5 offers more control in managing data storage where you can store only specific data required for your analysis, rather storing the whole sequence of data. This feature includes condition parameters that let you specify when collected data should be sent to Data Archiver.

For more information, refer to Configuring Tags topic in the online help.

Hybrid Data Retrieval

Historian now provides more ways to perform data retrieval and plotting of data through the client tools. To improve performance of your Data Archiver and enhanced "zoom" capability for your trends, now you can view raw data in place of calculated data whenever there are fewer samples found in the archive.

For more information, refer to the Sampling Modes topic in the online help.

Microsecond Resolution

You can now store data using a custom application or the File Collector with precision through the ability to store time series information with a timestamp resolution of 1 microsecond, 1 millionth of a second.

Enhanced 64-bit Support

The OLEDB Provider now supports native 64-bit environments like 64-bit SQL Server (Linked Server) to read tags, data, messages, and alarms from Historian, and users of the 64-bit edition of Microsoft Office Excel can now use the 64-bit Office add-in for analyzing data from archive files and reading alarms.

Historian Client Access API

Most of the applications today rely on .Net based development platforms from Microsoft. Historian 4.5 is featured with a .Net API to develop applications which can easily integrate with Historian.

Enhanced User API Functionality

The new User API allows you to leverage the store/forward mechanism used by collectors from within your custom application that write data to Historian and it also features support for short and scaled data types for multi-threaded applications.

The improved User API also includes a sample code C# Wrapper allowing development of User API programs using C# programming language.

For more information, refer to the User API topic in the online help.

Unsolicited Tag Compression Timeout

This feature allows the user to configure a timeout interval along with collector compression such that a current value for the tag is generated at the specified timeout interval.

For more information, refer to the Compression topic in the online help.


^Bug #^,^Description^,^Problem Area^,^Title^
^1-1042395831^,^This issue is fixed in Historian 4.5.^,^Historian Administrator^,^Overflow error in Admin when creating an archive on drive with more than 655 gig of free space.^
^1-1036750601^,^This issue is fixed in Historian 4.5. ^,^Data Archiver^,^Data archiver produces inefficient data storage on recalculation.^
^1-1040325306^,^This issue is fixed in Historian 4.5.^,^Data Archiver^,^Data archiver can corrupt archives on clean shutdown due to caching in progress.^
^1-937516731^,^This issue is fixed in Historian 4.5.^,^OPC Collectors^,^OPC collector deadlock on SetState during data callback.^
^1-955630961^,^This issue is fixed in Historian 4.5. ^,^OLEDB^,^OLEDB Errors when running Queries through Linked Server.^
^1-983977979^,^This issue is fixed in Historian 4.5. ^,^OPC Collectors^,^OPC collector cannot polled collect at 100 milliseconds.^
^1-1008716151^,^This issue is fixed in Historian 4.5. ^,^ihUAPI^,^ User API program returns only comments on last interval for interpolated query.^
^1-939239121^,^This issue is fixed in Historian 4.5. ^,^OLEDB^,^Concurrent linked server queries against ihtrend cause memory error.^
^1-1049093551^,^This issue is fixed in Historian 4.5. ^,^Data Archiver^,^Archive compression not applied to data samples put in archive below min cache.^
^1-1040127258^,^This issue is fixed in Historian 4.5. ^,^OPC HDA^,^OPCHDA server puts its log file in a wrong location.^
^1-1065870869^,^This issue is fixed in Historian 4.5. ^,^OPC HDA^,^The browse list of tags in OPCHDA returned twice as many tags as it should.^
^1-1067379971^,^This issue is fixed in Historian 4.5. ^,^Data Archiver^,^Data archiver would refuse to start on cluster system using dynamic disk.^
^1-1062892161^,^This issue is fixed in Historian 4.5. ^,^ihUAPI^,^The user cannot create tags of ihuShort data type with User Api. The ihuInteger tags were creating Integer tags but should be Double Integer.^
^1-1067885460^,^This issue is fixed in Historian 4.5. ^,^Data Archiver^,^Archive file names change due to overwrite. Prior to this change if the Data Archiver was configured to reuse old archives, it would give them new names upon re-use.  Now the old name is preserved.^
^1-1014072157^,^This issue is fixed in Historian 4.5. ^,^S2S Collector^,^Server to Server stops sending data after reconnecting to source.^
^1-1081575871^,^This issue is fixed in Historian 4.5. ^,^Data Archiver^,^Archiver shuts down after 1 minute when historian write security is enabled.^
^1-1068126720^,^This issue is fixed in Historian 4.5. ^,^Data Archiver^,^Incorrect deep tree read messages when querying large time range.^
^1-1048962920^,^This issue is fixed in Historian 4.5. ^,^OPC Collectors^,^Bad nonspecific data on unsolicited tags after collector redundancy failover.^
^1-1092184761^,^This issue is fixed in Historian 4.5. ^,^Data Archiver^,^Data archiver accepts collector data while in buffering full state.^
^1-1094117991^,^This issue is fixed in Historian 4.5. ^,^ihUAPI^,^User api current value should return error when tag not found.^
^1-1093191770^,^This issue is fixed in Historian 4.5. ^,^OPC COllectors^,^First tag in OPC group has bad non specific data logged due to S_FALSE.^
^1-1078341721^,^This issue is fixed in Historian 4.5. ^,^OPC Collectors^,^User cannot turn off OPC reconnect thread for DLL opc servers.^
^1-1097738336^,^This issue is fixed in Historian 4.5. ^,^Data Archiver^,^Filtered data queries using string filter values return no values.^
^1-1137221801^,^This issue is fixed in Historian 4.5. ^,^Data Archiver^,^Interpolated query with no raw samples in next archive fails.^
^1-1094118097^,^This issue is fixed in Historian 4.5. ^,^Data Archiver^,^Overlapping archives after archiver restart due to last located archive.^
^1-1143231349, 1-1143609061^,^This issue is fixed in Historian 4.5.^,^ihUAPI^,^32 bit user api DLL not installed on 64 bit OS.^
^1-1073409551^,^This issue is fixed in Historian 4.5. ^,^OPC HDA^,^OPCHDA server takes 20 seconds to check digital signature.^
^1-1149971680^,^This issue is fixed in Historian 4.5. ^,^OPC Collectors^,^OPC Collector crash on copy of garbage string after failed polled read.^
^1-1140846101^,^This issue is fixed in Historian 4.5. ^,^OPC HDA^,^User cannot query data via OPCHDA in reverse time order.^
^1-1155579201^,^This issue is fixed in Historian 4.5. ^,^OPC Collectors^,^OPC tags continue collecting after setting collection disabled.^
^1-1159569771^,^This issue is fixed in Historian 4.5. ^,^Data Archiver^,^User cannot trend the number of messages processed by archiver.^
^1-1174804541^,^This issue is fixed in Historian 4.5. ^,^Data Archiver^,^User cannot determine tagname of archiver out of order writes.^
^1-1160212171^,^This issue is fixed in Historian 4.5. ^,^OPC Collectors^,^Collector percent deadband still used after change to absolute.^
^1-1150926783^,^This issue is fixed in Historian 4.5. ^,^Historian Administrator^,^OPC A+E collector filter configuration lost on update.^
^1-1170207971^,^This issue is fixed in Historian 4.5. ^,^Data Archiver^,^Error should be displayed if you try to  rename a tag to a deleted name.^
^1-1170562991^,^This issue is fixed in Historian 4.5. ^,^DataArchiver^,^Messages received before login is complete are discarded.^
^1-1189108541^,^This issue is fixed in Historian 4.5. ^,^ihUAPI^,^User api should internally use COM memory allocation calls.^
^1-1208467421^,^This issue is fixed in Historian 4.5. ^,^-^,^Max Query Intervals not enforced on Portal Multi tag query.^
^1-1214867731^,^This issue is fixed in Historian 4.5. ^,^-^,^Paused collector is resumed upon reconnect to archiver.^
^1-1215177941^,^This issue is fixed in Historian 4.5. ^,^Data Archiver^,^Data Archiver should cleanly shutdown when virtual memory is high.^
^1-1205556321^,^This issue is fixed in Historian 4.5. ^,^-^,^32 bit user api not installed on 64 bit os when installing API only.^
^1-1215178020^,^This issue is fixed in Historian 4.5. ^,^-^,^Data archiver loses messages while in message processing stopped state.^
^1-1049314171^,^This issue is fixed in Historian 4.5. ^,^-^,^Data add error -1 when deleting unsolicited OPC tags.^


Notes

Proficy Historian 4.5 Release Notes

Where to Go First for More Information

Check out the Getting Started first. This guide contains detailed information about installing and upgrading Proficy Historian, as well as supported configurations.

For an overview of how to configure your Historian system, refer to the Proficy Historian electronic book.

Installation Troubleshooting

IMPORTANT: Historian 4.5 does not support FIX32 and CIMPLICITY native collectors. You must un-install Historian 3.0, 3.1 or 4.0 which contains FIX32 and CIMPLICITY native collectors and then install Historian 4.5.

Upgrading from Historian 4.0 or 3.5

Before upgrading Historian, it is recommended that you follow these steps:

  1. Stop the Historian Data Archiver service.
  2. Make sure you back up all archive data files (*.iha), configuration files (*.ihc) and backup files. By default, you can find these files in the c:\Proficy Historian Data\Archives folder. The upgrade process will update these existing files to the new version. These new files are not backward compatible with the older version of Historian.
  3. Optionally, use the Excel Add-In to export your tag configuration for all tags. It is recommended that you export tags associated with each collector to a separate worksheet.
  4. If you are using MSDE database, then Historian 4.5 Installer will install SQL Server Express 2008 and migrate the MSDE data into SQL Server Express 2008 automatically.
  5. Shut down the DEP (Data Execution Protection) feature. One way to do this is from the Control Panel, access the System Properties. Select the Advanced tab, and click the Settings button in the Performance area. On the Data Execution Protection tab, select the "Turn on DEP for essential Windows programs and services only" check box.

NOTES:

  • Please stop all Proficy applications (iFIX, CIMPLICTY, PlantApps) and any custom applications which read/write data from Historian, before upgrade.
  • If you choose to upgrade to Historian 4.5, then you must upgrade your Historian 4.0 license key to Historian 4.5 license key.
  • For upgrading Historian from version 3.1 to 4.5, you must uninstall both Historian 3.1 service packs and/or SIMs and base product manually (from Control Panel -> Add/Remove Programs) and then, run Historian 4.5 installer.

Upgrading Historian 4.5 on a Windows 64-bit Operating System

If you have created registry keys such as RouteInterfaceStautsMsg under the data archiver in a WoW64 bit registry path "HKEY_LOCAL_MACHINE\SOFTWARE\ Wow64\Intellution, Inc.\iHistorian\Services\DataArchiver\”, then you must manually re-create them under native 64-bit registry path "HKEY_LOCAL_MACHINE\SOFTWARE\Intellution, Inc.\iHistorian\Services\DataArchiver\” . You can also delete all the data archiver related registry entries from the WoW64 bit registry path.

Installing Proficy Historian 4.5

Before installing Proficy Historian 4.5, stop all running Historian services by going to Administrative Tools, and then Services. The installation process for the Proficy Historian 4.5 should automatically uninstall your SIMs. However, the automatic uninstall of your SIMs may fail during the install if files are locked. An error will display indicating the file which is in use. You will be required to stop the services or applications locking the file, and then attempt the installation again.

You can choose to manually uninstall your Historian SIMs prior to installing the Historian 4.5. To uninstall SIMs manually, you must first stop all Historian Services, then go into your systems control panel, click on add/remove programs, and remove those SIMs. It is recommended after any SIM uninstall to restart your system.

NOTE: :When you start Proficy Historian, it may take a longer time to start an archiver depending on number of archives online, number of tags, and number of connections.

New Installation Folders

On new installs, the default installation folder reflects the new Proficy name:

C:\Program Files\Proficy\Proficy Historian\

The archives, log files, and buffer files are installed to these locations:

C:\Proficy Historian Data\Archives\

C:\Proficy Historian Data\BufferFiles\

C:\Proficy Historian Data\LogFiles\

The help files are installed to:

C:\Program Files\Proficy\ProficyDoc\1033\Historian\

On a 64-bit Windows Operating System:

  1. The default destination folder for a 64-bit Historian Server is:

    C:\Program Files\Proficy\Proficy Historian\x64\Server directory.

  2. The default destination folder for all 32-bit components (such as collectors and APIs) is:

    C:\Program Files\Proficy\Proficy Historian\x86 directory

  3. The default archives, log files, and buffer files are installed to:

    C:\Proficy Historian Data\

  4. The help files are installed to:

    C:\Program Files\Proficy\ProficyDoc\1033\Historian\

Be aware that when upgrading Historian 4.5 or earlier versions, the Server, OLEDB, API, NonWebAdmin, Samples, and Online help installs to the new locations described above.

IMPORTANT: If you have uninstalled a previous version of Proficy Historian and did not remove the archives, ensure you direct the new Historian to the previous install folder (for example, C:\Program Files\GE Fanuc\Proficy Historian\Archives\ ) so that the Historian install program will find the existing archives and configuration file. If you are rolling back to the previous versions of Historian 4.5, it is recommended to backup the Data Archiver and Config files.

NOTE: On a 64-bit Windows Operating System, all 32-bit components (such as collectors and APIs) related registry keys will be located under HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\\Intellution, Inc.\iHistorian\.

For more information, refer to the Installing the Historian Server topic in the online help.

Historian and DEP settings

While installing Historian, you may notice that it takes a very long time to install the product, especially when it is installing the licensing component. You may also experience issues with the hardware key. If this occurs, be aware that there is nothing wrong with the installation CD or your computer. The problem is with the Windows Operating System and the version of the licensing on the CD. There is a feature called DEP (Data Execution Prevention) that was installed by the Service Pack for your operating system. This is a feature that helps prevent malicious code from executing in memory. In order to get the software installed properly, we need to disable DEP.

To disable DEP, follow these steps:

  1. Uninstall your GE Intelligent Platforms software if it was already installed.
  2. Open the Windows Control Panel.
  3. Open the System group. You may need to switch from Category view to Classic view.
  4. Select the Advanced Tab in the System Properties.
  5. Click the Settings button in Startup And Recovery area.
  6. In Startup, click the Edit button.
  7. In the boot.ini Notepad window, you will need to make a change to the /NoExecute entry. Your entry may look like the following:

    multi(0)disk(0)rdisk(0)partition(1)\WINDOWS="Microsoft Windows XP Professional" /fastdetect /NoExecute=OptIn Change /NoExecute=OptIn or /NoExecute=AlwaysOn or /NoExecute=OptOff to /NoExecute=/AlwaysOff

  8. Restart your computer.
  9. Install your GE Intelligent Platforms Software. You should notice the install moving faster than before.
  10. Uninstall the licensing component of your install.
  11. Go to http://www.ge-ip.com/support and click on the licensing key update link to download the latest licensing (M1 of M4) for your hardware key.
  12. Install the downloaded licensing component.
  13. Restart your computer.

NOTE: Hardware-enforced DEP is always enabled for 64-bit native programs such as the Proficy Historian Data Archiver. Setting DEP to apply to “Essential Windows Programs only” will not disable DEP for the Data Archiver but, depending on your configuration, hardware-enforced DEP may be disabled for 32-bit programs such as the Calculation Collector.
To determine whether your computer's processor supports hardware-enforced DEP or not, contact the manufacturer of your computer.

Archive Backup Behavior

If you back up an archive more than once, the backup tool will, by default, attempt to use the same name for the backup file and will detect that an archive with the same name already exists. Rename the backup archive file or move the original backup archive file from the target backup directory.

Data Execution Prevention (DEP) Support Statement for GE Intelligent Platforms Products Using Proficy Common Licensing

When trying to install any GE Intelligent Platforms application (for example, iFIX, Proficy Historian, CIMPLICITY) or any 3rd Party application, the install may display an error, stop responding, or appear not to start or complete. You may also experience unexplained system lockups that require a complete reboot of the computer. This may be due to conflicts between DEP and the HASP driver included with Proficy Common Licensing.

DEP affects all products using HASP drivers. The HASP driver is included with Proficy Common Licensing, and is a part of all GE Intelligent Platforms software products. At this time, GE Intelligent Platforms products do not support running with hardware-based DEP turned on. Please read the remainder of this article for further detail of DEP and how to disable DEP.

For more information, please refer to this Knowledge Base article: http://support.ge-ip.com/support/index?page=kbchannel&id=S:23301021e12f6d011417920b5e006000

NOTE:To determine whether your computer's processor supports hardware-enforced DEP or not, contact the manufacturer of your computer.

Proficy Historian IHA (Historian Archive) Migration Tool

Historian now allows you to migrate up to 30 years of old data.

How to use the IHA Migration Tool

The Historian Archive Migration Tool is commonly used for:

  • Merging archives to save space.
  • Migrating archives from one server to another with different server names.
  • Reducing large archives into smaller archives.

The IHA Migration utility will only migrate one (1) archive at a time by design. As a result, if you are required to add more than one (1) archive at a time, you can create a batch file to automate multiple archive merges for you. When migrating any archive into another, you need to start with the earliest time stamped archive first, followed by later times in sequence. Failure to do this could produce undesirable results.

When creating a batch file, you need to provide it with a logical name and save the batch (.bat) file in a location that you can easily access from the command line. The following is an example of how contents of the batch file should appear:

  cd C:\Program Files\Proficy\Proficy Historian
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive001.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive002.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive003.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive004.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive005.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive006.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive007.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive008.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive009.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive010.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive011.iha
  start /b /wait migrateiha /NOTHROTTLE D:\Generated Data\server_Archive012.iha

Additional command line options for the IHA Migration tools are:

/NOTHROTTLE - This does not throttle any part of the migration process, but may impact resources on the server. Optionally, you can remove this switch as required. By default throttling is rated at 5000 events per second.

/NOMESSAGES - This does not migrate messages into the newly created archive. Using this switch may or may not reduce the size of your archives, depending on the number of messages stored in the archive. By default, messages are migrated if this switch is not used.

/EXISTINGTAGS - This will migrate data for only those tags that exist in the destination archiver.

/b - This option of the start.exe file allows the IHA Migration tool to start without opening a new window for each instance.

/wait - This option of the start.exe file allows each instance of the IHA Migration tool to complete the migration before starting the next migration in the sequence.

Proficy Historian and Microsoft Excel

Installing Excel Add-in for Excel 2007 or Excel 2010(32-bit/64-bit)

Requirement: Make sure that Visual Basic for Applications is installed before installing the Excel Add-in for Excel 2007 or 2010. This is typically located under Office Shared Features in the Office 2007 or 2010 installation process.

To install Excel Add-in for Excel 2007 or 2010, use the following steps:

  1. In Excel 2007, click the Office button in the top left corner.
    • In Excel 2010, click the File tab -> Options.
  2. Click Options and then go to Add-Ins.
  3. Make sure the drop-down list for Manage is set for Excel Add-ins, and click Go.
  4. Select Proficy Historian Add-In.

If the installation is successful a new menu item appears under Add-Ins. If it does not appear then you may need to shutdown and restart Excel. If you receive an error such as: "This workbook has lost its VBA project, ActiveX controls and other programmability-related features." , the most probable cause is that Visual Basic for Applications was not installed. Install this application by navigating to Office Shared Features through the Office 2007 or 2010 installation process.

Support for VMWare Products

You must use VMWare Compatibility Hardware and Software before installing Proficy Historian 4.5 on a Virtual Machine. Historian 4.5 is supported and tested on VMWare ESX 3.5, 4.0, and VMWare workstation 7.1.4. In order to run Historian 4.5 in virtualized environments, such as ESX 3.5, 4.0, and VMWare workstation, a supported sofkey license is required.

For information regarding VMWare's compatibility and its supported software and hardware environments, please visit: http://www.vmware.com/resources/guides.html

Proficy Historian Alarm and Events Server with Microsoft SQL Server 2008

If you choose to install the Alarm and Event Archiver then you must restart your computer to complete the SQL Server Express 2008 and Plant Database installations.

Microsecond support is not available for Alarms.

Using a Remote SQL Server

If you have chosen to connect Historian to a remote SQL Server, you must ensure the following conditions are met:

  1. The Historian Alarm Archiver service must be run on a user account that has privileges to log into the SQL Server using Windows Authentication.
  2. The remote connections for SQL Server 2005 Express or SQL Server 2005 Developer Edition must be enabled. For more information about enabling remote connections, refer to Microsoft's website: http://support.microsoft.com/kb/914277.
  3. The Default Backup Path, found on the Archive screen, must be a shared directory that is accessible to both the Historian Data Archiver and the remote SQL Server. It is recommended that this shared directory be placed on the same computer as the Historian Data Archiver service.

If you are using SQL Server 2005, then you must enable TCP/IP network protocol before installing Historian 4.5.

Proficy Historian and Microsoft SQL Server 2005 Linked Server Connection

To setup a Microsoft 2005 Linked Server Connection with Historian 4.5

To install the Historian OLE DB Provider, run the Historian installation setup program from the Historian install CD and enable and install the Historian OLE DB Driver option. This makes the Historian OLE DB Provider available on the SQL Server 2005 machine.

To configure a linked server connection to Proficy Historian from Microsoft SQL 2005 perform the following steps:

  1. Open Microsoft SQL Server Management Studio.
  2. In the Object Explorer, click Server Objects, then click Linked Servers.
  3. Right-Click the Linked Servers folder and select New Linked Server.
  4. On the General configuration page, enter the following:
  5. Enter a name for the new Linked Server connection, such as iHist.
  6. For Server Type, select Other data source.
  7. For Provider, select iHistorian OLE DB Provider from the list.
  8. For Product Name, enter Proficy Historian.
  9. For Data Source, enter the computer name of the Historian server that you will be connecting to.
  10. Click the OK button.

A new Linked Server will be created under the Linked Servers folder in the Object Explorer.

Configuring the Proficy Historian OLE DB Provider Properties

To configure the Proficy Historian OLE DB provider Properties, perform the following steps:

  1. Expand the Providers folder which is located inside the Linked Servers folder in the Object Explorer.
  2. Right-click the ihOLEDB.iHistorian provider and select Properties.
  3. Enable Supports 'Like' operator Option.

NOTES:

  • Select the Level Zero Only option only when older versions of SQL Server are used. For better performance while executing small queries, select the Allow in Process option. Clear the option if larger queries are to be executed.
  • For configuring the Historian 64-bit OLE DB provider as a linked server, the Allow in Process option is mandatory.

Historian OLE DB Provider and Microsoft SQL Server 2005 Service Pack 2

Beginning with SQL 2005 Service Pack 2, apartment threaded OLE DB providers are not allowed as linked servers. You can override this restriction with a command line parameter to the SQL Server service.

If you have a working Historian linked server, then install SQL 2005 SP2 and attempt an OPENQUERY the following error displays:

"OLE DB provider [target] cannot be used for distributed queries because the provider is configured to run in single-threaded apartment mode."

Attempts to configure a new linked server results in error 7308.

Changing the Historian OLEDB provider to "ThreadingModel=Both" does allow the provider to starting working, but has not been thoroughly tested.

The following instructions allow apartment threaded OLE DB providers to work on SQL 2005 SP2. This adds the Trace flag 7300 to the SQL Server by adding a -T7300 command line parameter to the Sql Server Service.

  1. Start SQL Server Configuration Manager and select SQL Server 2005 Services.
  2. Right-click SQL Server (MSSQLSERVER)and choose Properties.
  3. Click the Advanced tab and then the Startup Parameters in the list. You should have some existing command line parameters; -d -e -l.
  4. At the end of those parameters, add a ;-T7300 note that is the number 7300. Do not add a space before the semi colon.
  5. Restart the SQL Server service, or restart the machine.

If completed correctly, the Historian linked server should start working again. Verify that the trace flag is enabled by going into a query window of Management Studio and typing DBCC TRACESTATUS(-1). Traceflag 7300 should display in the results with status=1, global=1, and session=0.

With this setting in place, the existing linked server should now be operational. The linked server should have the ability to set up a new linked server as well as the ability to use the security context dialog to connect to historian as a specific user.

Using wildcards in OLEDB queries

The Historian OLE DB Provider supports the use of the LIKE expression. Use the LIKE expression when searching for column data similar to a specified text string. By using wildcards, you can specify the text strings that you want to search. You can use the wildcard before, after, or before and after the text that you want to search for. The * symbol represents multiple unknown characters in a search string. The ? wildcard represents a single unknown character.

NOTE: You can also use % wildcard to select all tags that contain a specific string in the tag name and _ wildcard to select all tags when you are only unsure of one character in the tag name, but you must enclose the % or _ wildcards in single quotes (eg, '%' or '_') .

Adding Multiple Archives

If you are creating multiple archives on a remote machine, then you must ensure that you have enough hard disk space on that machine. The Allocate Space slider does not display a remote machine's hard disk space. In other words, if you are creating multiple archives on a remote machine, you must ignore the “percentage of available disk space will be used” message displayed by the Allocate Space slider.

If you receive the error message “Runtime error 330 Invalid Property Value" while creating multiple archives on a remote machine, it is probably because you do not have enough hard disk space on that machine. When you click OK on the error message, Historian Administrator may disappear. You must now clean up the remote machine's hard disk space and restart the Historian Administrator.

NOTE: You can create only one archive at a time using the Historian Web Administrator.

Browsing Tags from Historian Clients

By default, the Historian clients can return a maximum of 100K tags at a time. If the Historian clients are capable of retrieving more than 100K tags, then you can configure the maximum tags the search should return by adding the "MaxTagsToRetrieve" registry key.

For more information, refer to the Browsing Tags from Historian Clients topic in the online help.

Throttling Store and Forward Buffer Flush

Store and forward buffering is a key feature of Historian collectors. It prevents data loss during planned or unplanned network outage between a collector and Historian server.

If the collector is disconnected from the archiver for several hours or days, many megabytes of data can be buffered and must be delivered by the collector to the Data Archiver upon reconnect. Since all data is sent from the collector to the archiver in time order, the design goal has been to catch up to real time as quickly as possible by sending data as fast as possible.

If this is not the desired behavior because you want to limit the network load on a slow, shared Wide Area Network (WAN) or you want to limit the CPU load on the Data Archiver caused by the incoming data, you can configure the collector to throttle the data it is sending.

NOTE: Throttling Store and Forward does not affect the alarm and events collector.

Configuring the BufferFlushMultiplier

Configuring the throttle is easy, but due to modifying a key in the registry, this should be done with caution. A DWORD registry key called BufferFlushMultiplier is present under each collector under:

HKey_Local_Machine\Software\Intellution, Inc.\iHistorian\Services\YOUR_COLLECTOR_TYPE.

To slow the store and forward throttling, enter a value of 2 in the registry on the BufferFlushMultiplier key. To disable throttling, set the value to 0 or delete the registry value. The 2 means that the collector should never send data at more than 2 times its normal rate. This limits network and CPU load, but because data is sent in time order, you are not able to retrieve near current time historical data until the throttled flush is complete.

Proficy Historian and Antivirus Software

It is recommended that antivirus software be configured to exclude Historian archive and ihc files from antivirus scans, as this may interfere with server operation.

Proficy Historian and Microsoft Windows

Windows Firewall Enabled by Default in Windows XP SP3, Vista, Server 2003, and Server 2008

If you install Proficy Historian on a Windows XP system, you will be prompted to allow Proficy Historian to reconfigure the Windows Firewall. If you answer Yes, Historian will be added to the firewall's exception list and set to Enabled. If you answer No, Historian will be added to the list and set to Disabled. You can change this setting through the Windows Firewall control panel at any time.

Optimizing Server Settings for Windows 2003 Server, or Windows 2008 Server

If you are running Historian on a Windows 2003 Server, or Windows 2008 Server computer, do not set your File and Printer Sharing for the Server optimization options to Maximum Throughput for File Sharing. The Maximize Data Throughput for File Sharing setting in File and Printer Sharing for Microsoft Networks Properties controls the system cache size and allows the cache to grow very large. This could cause excessive paging when dealing with large files and might interfere with applications like Historian.

It is recommended that you select the Maximum Data Throughput for Network Applications.

To view or change your Server Optimization settings on Windows 2003 or Windows 2008 servers:

  1. Open the Control Panel.
  2. Double-click the Network and Dial-Up Connections icon. The Network and Dial-up Connections dialog box appears.
  3. Right-click the Local Area Connection Properties icon and select Properties.
  4. Select the File and Printer Sharing for Microsoft Networks component and click the Properties button.
  5. Ensure that the Maximize Data Throughput for Network Applications options is selected.
  6. Click OK.

For more information on changing the Server Service properties, refer to the Microsoft Knowledge Base article Q228766.

Archiver Obtaining List of Domain Controllers

If the archiver is configured to use domain group security, the data archiver obtains the list of primary and backup domain controllers at archiver startup. If a domain controller is not available at that time or if you add new domain controllers, they are not seen by the archiver until the next time the archiver is restarted.For example, if your backup domain controller was not available on archiver startup, the archiver will not fail over to the backup domain controller for user authentication.

For more information, refer "Working with Security" section in Online Help.

Proficy Historian General Troubleshooting

IMPORTANT: Before you start to troubleshoot any performance-related issue, it is important first to set correct expectations. If you installed Proficy Historian on a computer that only meets the minimum hardware requirements, but the computer does not meet the recommended hardware requirements, you may be unable to make a noticeable improvement to the performance of Proficy Historian unless you upgrade the hardware on the computer.

Receiving an ihConfigurationGetProperties Error

If you receive a single ihConfigurationGetProperties[-2] error in the collector.LOG file, the error most likely occurred as a result of the collector connecting and querying for changes in the tag database immediately, getting a timeout, and then immediately querying again and succeeding.

Web Administrator Not Working With Zone Alarm Pro

Zone Alarm Pro has a privacy feature for ad blocking, cookie control and mobile code control that causes the Web Administrator to cease functioning.

In order to use the Historian Web Administrator with Zone Alarm Pro, you must completely disable Zone Alarm's privacy features. Consult your Zone Alarm Pro documentation for more information.

User API Programs Not Freeing Up Memory

User API Programs built with anything other than Visual Studio .NET should be modified to call ihuFreePtr() to free any memory pointers returned by the User API. Do not free these pointers using free() in your application or you can risk memory corruption.

Tag Rename

Whenever you rename a tag, only the active tag name (that is, the new tag name) will be visible in the Tags list on the Historian Administrator Tag Maintenance screen. You can rename tags multiple times, but only the latest active tag name will be visible in the Tags list. You can also retrieve the data using any alias (that is, the new or old tag names). However, the Tag Maintenance screen will display only an active tag name (that is, the new tag name). Whenever you change or copy a tag name, the information about the old tag name, new tag name, and time stamps are all recorded in the audit trail.

Maximum Buffer Memory size

You can specify the maximum memory buffer size that an archiver queues can take. By default, memory buffer size is 100MB.


Historian - Requirements

System Requirements

Hardware Requirements

For Historian Servers, the minimum hardware requirements are:

  • An Intel Core 2.4 GHz or equivalent AMD CPU with minimum 2 GB RAM for a 32-bit Historian Server and 4 GB RAM for a 64-bit Historian Server.

  • A DVD-ROM drive.

  • 100 MBit TCP/IP-compatible network interface adapter for network communication and certain I/O drivers.

  • 80 GB free hard drive space for the data archives, message files, buffer files, and log files used by the system.

For Data Collector nodes, the recommended minimum hardware requirements are:

  • An Intel Core 2.0 GHz or better computer with 1 GB RAM.

  • 40 GB of free hard drive space to store buffered data.

  • A DVD-ROM drive.

  • TCP/IP-compatible network interface adapter for network communication and certain I/O drivers.

For the Microsoft Cluster service, the minimum hardware requirements are:< /p>

  • An Intel Core or Xeon 3 GHz or equivalent AMD CPU with minimum 4 GB RAM.

  • 80 GB of local free hard drive space.

  • 40 GB shared SCSI hard drive (RAID preferred).

  • Two 100Mbit TCP/IP-compatible network interface adapters for network communication and certain I/O drivers (One for public network, another for private network).

NOTE: The configuration of each server added to the cluster must be identical to the other servers in the cluster.

Guidelines for Determining Historian Server Size

You determine the size of an Historian Server as a function of the number of tags from which data is collected, the rate of alarm and event collection, and how often you intend to collect the data and how much data you want to keep online. The number of tags is an indicator of the number of concurrent users likely to access the system. The primary factor is server memory requirements; CPU load is a secondary factor. If the number of concurrent users is significantly different from the suggested guidelines, adjust server memory size accordingly.

Use the following parameters to determine the size of the Historian Server.

Recommended Historian Server Configurations*
Tags | <10K | 10K to 100K | 100K to 1 Million | 1 Million to 2 Million | 2 MM to 10 Million | 10 Million to 20 Million
RAM (GB) | 2 GB | 4 GB |  | 64 GB | 128GB | 256GB
Disk Size required | 80 GB | 160 GB | 1 TB | 4 TB | 10TB | 15TB
Historian 4.5 Server | 32-bit |  | 64-bit |  | 64-bit | 64-bit
Processor Type | Xeon, or Intel Core family, or equivalent |  | Intel Xeon or AMD Opternon or equivalent CPU |  | Intel Xeon or AMD Opternon or equivalent CPU | Intel Xeon or AMD Opternon or equivalent CPU
CPU | Single/Dual/Quad |  | Dual Socket/ Quad or Hex cores |  | 4- socket Quad or Hex Cores | 4 socket- Quad or Hex Cores
CPU Speed (Ghz) | 2.8 |  | 2.4 |  | 2.6 | 2.6
Operating System | Windows 7 (32-bit) or Windows Server 2008 (32-bit) |  | Windows Server 2008 R2 (64-bit) |  | Windows Server 2008 R2 (64-bit) | Windows Server 2008 R2 (64-bit)
Storage Type | Internal SATA Drives |  | DAS or shared storage with SAS enterprise class drives |  | High speed shared storage with SAS or SSD drives | High speed shared storage with SAS or SSD drives
Years of data online | 1 year

*Above recommended configurations may vary based on years of data online, update rate, data compression setting, and other tag configuration parameters.

NOTES:

  • Proficy Historian Server can run on both 32-bit and 64-bit versions of Windows.

  • Maximum supported event rate is 9 million per minute.

  • Proficy Historian 4.5 supports Windows XP SP3 (32-bit or 64-bit) operating System. To view the list of supported operating systems, refer to the Software Requirements section.

  • Proficy Historian supports Intel Pentium 4 or Core Duo based processors as long as they are compatible with the operating system.

  • Proficy Historian does not support Itanium processors.

Recommended Historian Collector Configurations:

Recommended Historian Collector Configurations*
RAM (GB) | 2 GB*
Disk Size required | 40 GB
Historian 4.5 Collectors | 32-bit
Operating System | Windows 7 (32-bit) or Windows 7 (64-bit)**

*Historian 4.5 Collectors may use up to 4 GB RAM in a 64-bit Windows operating system.

**Historian 4.5 Collectors work as 32-bit applications on a 64-bit Windows operating systems using WoW64 mode (Windows-on-Windows 64-bit). However, you can read and write data from a 64-bit Historian Server.

NOTES:

  • RAM and Disk Size required may vary based on the collectors available on the system.

  • Recommended number of tags per collector is 20 to 30K.

For iFIX systems, count each Node.Tag.Field (NTF) as a separate tag when you determine the size of the system. For example, FIX.FIC101.F_CV and FIX.FIC101.B_CUALM (current alarm) both count as tags, even though they are derived from the same iFIX tag.

Use the following parameters to determine the size of the Historian Alarm and Event archiver.

Alarm & Event Rate | RAM | CPU
1 / minute | 1 GB | Single
1 / second | 2 GB | Single
10 / second | 2 GB | Single
100 / second | 4 GB | Double

You must have disk storage capacity in the multi-GB range for the many data archive files (typically 500 MB each) and alarms you will generate, especially if you want to keep old data online.

NOTE: As more applications run simultaneously on a server, performance decreases. Whenever possible, run additional applications on separate computers.

Hardware Requirements - Proficy Historian on Windows XP Embedded

The minimum Historian software requirements are:

  • A minimum Atom-based 1.6 GHz computer or equivalent.

  • A minimum of 1 GB RAM.

  • A minimum of 1 GB of free hard drive space (for an upgrade). For a new installation, a minimum of 5 GB of free hard drive space is required.

  • Other GE Intelligent products, such as Proficy iFIX, impose additional requirements. Refer to the Important Product Information (IPI) topic in the product's electronic books for specific system requirements. Click the System Req. tab in that product's IPI for details.

  • TCP/IP-compatible network interface adapter for network communication and certain I/O drivers. One free, direct-connect USB port. Some touch screens, pointing devices, and I/O drivers require a serial port. Additional ports for I/O hardware should be ordered with the computer.

  • SVGA or better color graphics monitor and a 100% IBM-compatible, 24-bit graphics card capable of 800x600 resolution and at least 16 million (16,777,216) colors.

  • Two-button mouse or compatible pointing device (such as a touch screen).

    • NOTE: There are risks associated with using a Compact Flash or a similar device as a Primary drive in the Windows XP Embedded environment with the Proficy Historian product and your production data. These types of devices have a lifetime associated with them regarding the number of writes the device is capable of over a lifetime. As such, storing production data on such a device may result in lost data, over the long term. If the system has a physical drive, and not a Compact Flash or a similar device, the production data is affected by this risk.

Software Requirements

The minimum Historian software requirements are:

  • One of the following operating systems, with latest service packs or revisions:

    • Windows Server 2008 R2
    • Windows Server 2008 (32-bit or 64-bit)
    • Windows Server 2003 (32-bit or 64-bit)
    • Windows Server 2003 R2
    • Windows 7 Professional (32-bit or 64-bit)
    • Windows Vista Professional (32-bit or 64-bit)
    • Windows XP Professional SP3 (32-bit or 64-bit)
    • Windows XP Embedded (32-bit)

    NOTES:

    • Historian 4.5 32-bit components such as Collectors, Excel Add-in 32-bit, Interactive SQL 32-bit, APIs, Non-Web Administrator, and Web Administrator work as 32-bit application on 64-bit Windows operating systems using WoW64 mode (Windows-on-Windows 64-bit). However, you can read and write data from a 64-bit Historian Server.

    • Windows Server 2008 (32-bit or 64-bit) and Windows Server 2008 R2 can be installed as either the Full or Server Core installation. Proficy Historian 4.5 does not support on a Windows Server Core installation.

    • SQL must use mixed mode authentication.

  • Internet Explorer v6.0, 7.0, or 8.0.

  • For systems with Historian Web Administrator client, Microsoft IIS (Internet Information Server) 6.0 or 7.0 is required. IIS is not required for Historian Non-Web Admin client.

  • Network interface software for network communication. The TCP/IP network protocol is required.

  • One of the following 32-bit or 64-bit SQL Server systems to configure alarm and event archiving:

    • Microsoft SQL Server 2008 Standard, Professional, or Enterprise Edition.
    • Microsoft SQL Server 2005 Standard SP2, Professional SP2, or Enterprise Edition SP2.
    • Microsoft SQL Server 2008 Express.

  • One of the following 32-bit or 64-bit versions of SQL Server to use Historian as a linked server:

    • Microsoft SQL Server 2008 Standard, Professional, or Enterprise Edition.
    • Microsoft SQL Server 2005 Standard SP2, Professional SP2, or Enterprise Edition SP2.
    • Microsoft SQL Server 2008 Express.

  • The Historian Excel Add-In requires installation of Microsoft Office 2003, or Microsoft Office 2007, or Microsoft Office 2010 (32-bit/64-bit).

  • The Historian Web Administrator requires the Java Runtime Environment version 1.6 update 5.

Compatibility

Several GE Intelligent Platform products work with Proficy Historian. The following is a general set of required versions to work with Historian 4.5.

Product

Required Version

Proficy Portal

3.5.

Machine Edition View

5.9 with SP1 or 6.0.

CIMPLICITY

8.0 R2, 8.1 or 8.2.

NOTE: If you want to use Historian 4.5 with CIMPLICITY 8.0 R2, then it is recommended to uninstall Historian 4.0 client tools on a CIMPLICITY 8.0 R2 computer and then install Historian 4.5 client tools.

iFIX

5.0 SP2 or 5.1 with SP1.

IMPORTANT:

  • iFIX 5.0 SP2 or 5.1 is only supported when Historian 4.5 is installed remotely (that is, not on the same machine where IFIX 5.0 SP2 or 5.1 is installed).

  • You cannot trend historian data if you have iFIX 5.1 or 5.0 SP2 and Historian 4.5 installed on the same machine.

  • If you want to use Historian 4.5 with iFIX on a same machine, then you must use iFIX 5.1 SP1.

Proficy Pulse

1.0 with SP1.

Plant Apps

4.4.1 or 5.0.

ROC Driver

6.31.

Proficy Workflow

1.0 or 1.2.

Proficy Analytic Client

1.0.

Proficy Troubleshooter+

1.0.